#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(get_ahci_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x74e1a125, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xa42d5a2b, "_gpl");
SYMBOL_CRC(ahci_ops, 0xfce08f9a, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x0e08a490, "_gpl");
SYMBOL_CRC(get_ahci_em_messages, 0x691aea7b, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x71c9eebe, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x62c1bf25, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xc0db4f6a, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xe51f2fcd, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x70ce4de9, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x05e35f0c, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x6e9a6404, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xc4d21886, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xd865c761, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x911886e9, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x1042af69, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x5be42528, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xfaf76cce, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xbda7f0bb, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xdc5127a2, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x2be9c84d, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x44573aaf, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x82da51e6, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xed5998d2, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x2aeb8434, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x713f70d3, "ata_link_next" },
	{ 0xe6bcf5dc, "ata_wait_register" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xc9eb8ad3, "ata_dev_set_feature" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x9e76ee5b, "ata_msleep" },
	{ 0x70ff151f, "sata_link_scr_lpm" },
	{ 0xba87b279, "_dev_err" },
	{ 0xdf87019c, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x3111d4ba, "ata_std_qc_defer" },
	{ 0x83933bb3, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0x61f282d2, "ata_port_classify" },
	{ 0xab9b2de3, "ata_qc_complete_multiple" },
	{ 0xe11318, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xca3107a3, "sata_pmp_error_handler" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0xc791ff6a, "ata_host_start" },
	{ 0xe9fb9efc, "devm_request_threaded_irq" },
	{ 0x6e8797ff, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7bfdc049, "ata_host_activate" },
	{ 0x17691fc7, "ata_host_register" },
	{ 0x8cc612b7, "ata_dummy_port_ops" },
	{ 0x7b39b568, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0x8b88401c, "dmam_alloc_attrs" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4cda5f4, "devm_kfree" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xca618ac6, "sata_link_hardreset" },
	{ 0xfb9bc6a2, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1a82958f, "ata_ehi_clear_desc" },
	{ 0xe6d7593c, "ata_ehi_push_desc" },
	{ 0xb16ac3f7, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xef78f163, "ata_port_abort" },
	{ 0xeec70cd4, "sata_lpm_ignore_phy_events" },
	{ 0x543f8d7e, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0xa45ba21, "sata_pmp_port_ops" },
	{ 0x2078cbf6, "dev_attr_sw_activity" },
	{ 0x27788462, "dev_attr_unload_heads" },
	{ 0x9c19feac, "dev_attr_ncq_prio_supported" },
	{ 0x80354b05, "dev_attr_ncq_prio_enable" },
	{ 0x61cf7cad, "dev_attr_link_power_management_policy" },
	{ 0x58168cd6, "dev_attr_em_message_type" },
	{ 0xebff3d58, "dev_attr_em_message" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x832629b, "__pm_runtime_idle" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9F4F31C4EC4CE1F5735DEC9");
