#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2d90d95, "ata_bmdma_irq_clear" },
	{ 0x848d372e, "iowrite8" },
	{ 0x12e2cd24, "ata_sff_dma_pause" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xb19b445, "ioread8" },
	{ 0xafddd545, "ata_id_c_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x19ca28c5, "ata_do_set_mode" },
	{ 0xefb0e266, "ata_dev_next" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x5250b482, "ata_host_alloc_pinfo" },
	{ 0xf42158b9, "pcim_enable_device" },
	{ 0x883dd431, "pcim_iomap_regions" },
	{ 0x5215ca54, "pcim_iomap_table" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x73a48b4a, "ata_sff_std_ports" },
	{ 0xaee48be7, "ata_port_pbar_desc" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x7bfdc049, "ata_host_activate" },
	{ 0x398a3077, "ata_print_version" },
	{ 0x6ba699e3, "pcim_pin_device" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe11318, "ata_port_freeze" },
	{ 0x7f6be676, "ata_sff_hsm_move" },
	{ 0xe6d7593c, "ata_ehi_push_desc" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x53a193, "ata_bmdma32_port_ops" },
	{ 0x471ebd1e, "ata_scsi_queuecmd" },
	{ 0xad7f39f2, "ata_scsi_ioctl" },
	{ 0x998c3235, "ata_scsi_slave_alloc" },
	{ 0x8c3bae65, "ata_scsi_slave_config" },
	{ 0x3deefdf1, "ata_scsi_slave_destroy" },
	{ 0x5c256d8b, "ata_scsi_dma_need_drain" },
	{ 0x15dd18dd, "ata_std_bios_param" },
	{ 0xab26077e, "ata_scsi_unlock_native_capacity" },
	{ 0xabd7780c, "ata_common_sdev_groups" },
	{ 0xf351b37e, "ata_pci_remove_one" },
	{ 0x1e147544, "ata_pci_device_suspend" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f383d1a, "ata_pci_device_do_resume" },
	{ 0x66431544, "ata_host_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v00001095d00003112sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00000240sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003512sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001095d00003114sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000436Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00004379sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d0000437Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "54E6F405936A3D75240118D");
