#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_dax_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x3304b366, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x63e36ca9, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x3352de92, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x1d5ea902, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x7b090ab8, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x0663c389, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x748134b6, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x86190c5d, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x3d9ae510, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0xf6a06e45, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x10c2272a, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x6b2aeb55, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x0444be59, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x756a4a73, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x8494060f, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x6e37b202, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x64fd4089, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x0b2b1c42, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xa95e101f, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xf5f37e34, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x835103b5, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xa461a738, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xd0e99ce6, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x80d56dca, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xd6211535, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xf134b60b, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x22213fdb, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x85431788, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x2e1dda09, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xd3f59095, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x462e8b57, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x966fcbae, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x33ef75b3, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xcaf1831b, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x3e4509a8, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x68e922c0, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x4015e85d, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x00e47ab2, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x5cb8a779, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xbbbfb589, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x8a0a2ce8, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x91f2be63, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x7a3ff582, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x335bc94a, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x2da1c720, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xe2be1990, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x19cb8dbf, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xe385ff04, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x5de545a3, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x776959f8, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0xd9eda035, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xa52b6838, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x9baf98cf, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x9e5999e0, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xef80c150, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x75833a0c, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x34b74acb, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x21158f5d, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x4bc6a54e, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xa26be48a, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x069f66fa, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x567d84c6, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xd833e2c5, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x810398a7, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x21ca8670, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x533648a2, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x5ac45ed3, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xc5dc4f3d, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x8a8a5d0b, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x48a771a2, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x1b2d8100, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x9d98717f, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x35ef9c6c, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x307cd617, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x8ff9b8be, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x08ad2350, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x4c47ec71, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xfcbf98d7, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xf34504be, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x6a1daf36, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xeaa0f906, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x13c42f6d, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xa355914e, "_gpl");
SYMBOL_CRC(to_cxl_dax_region, 0x5958d974, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xa2fe0b5f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddb1d0ad, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x84c930d2, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x91c774fa, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xb96b65b4, "dev_set_name" },
	{ 0xf1f1cf0c, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa72e50d0, "cdev_device_del" },
	{ 0xd0127c86, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x84dde4f4, "device_unregister" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5c01170, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xab4f6da9, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x748b2821, "devm_remove_action" },
	{ 0x9b5c95fa, "get_device" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0x4bdd7562, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3cc53975, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71959fa5, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x786067b9, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f036e7, "walk_iomem_res_desc" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x43a1e228, "bus_for_each_dev" },
	{ 0xc302abca, "sysfs_create_link" },
	{ 0xe6a89eb6, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xecee80a8, "compat_ptr_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x78e35ea1, "sysfs_update_group" },
	{ 0x168db8e3, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x4cda5f4, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x914dfa1, "debugfs_create_bool" },
	{ 0xb0a41a68, "bus_find_device" },
	{ 0x29d7c05a, "device_add" },
	{ 0x9e124c65, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6b7ba84f, "noop_llseek" },
	{ 0x2c36b2b4, "device_attach" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9bb2d819, "kernfs_find_and_get_ns" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0xfce43f74, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd648f51, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x68f6dd2c, "devm_release_action" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb61d6fc2, "down_read_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3ce70c2b, "alloc_free_mem_region" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdb722fcf, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e644ed6, "device_for_each_child_reverse_from" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x715f2a16, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1b3dd4a2, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xe5163d5f, "kernfs_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8906a25e, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x43d4e33c, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xda09a94b, "pci_walk_bus" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x7a020c84, "__devm_add_action" },
	{ 0x9e0ed27d, "pci_find_dvsec_capability" },
	{ 0x15190f4, "device_find_child_by_name" },
	{ 0x79dd4e64, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd8368a0, "pci_write_config_word" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x8e30b7a9, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbedc3f28, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x96253d25, "pci_bus_type" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x3d3a4a16, "__request_region" },
	{ 0xdd1bcce3, "bus_register" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "397646B2A9B9B97F87BC9D1");
