#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(idxd_wq_alloc_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_free_resources, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_init_percpu_ref, "_gpl", "IDXD");
KSYMTAB_FUNC(__idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_wq_quiesce, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_enable_wq, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_drv_disable_wq, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_alloc_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_free_desc, "_gpl", "IDXD");
KSYMTAB_FUNC(idxd_submit_desc, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_wq_alloc_resources, 0xc3ec43c6, "_gpl");
SYMBOL_CRC(idxd_wq_free_resources, 0x0b5eb699, "_gpl");
SYMBOL_CRC(idxd_wq_init_percpu_ref, 0x26776e91, "_gpl");
SYMBOL_CRC(__idxd_wq_quiesce, 0x27f34190, "_gpl");
SYMBOL_CRC(idxd_wq_quiesce, 0xe962e4bd, "_gpl");
SYMBOL_CRC(idxd_drv_enable_wq, 0x9c36c5f8, "_gpl");
SYMBOL_CRC(idxd_drv_disable_wq, 0xd3d90a63, "_gpl");
SYMBOL_CRC(idxd_drv, 0x60eb907a, "_gpl");
SYMBOL_CRC(idxd_alloc_desc, 0xd5ac087e, "_gpl");
SYMBOL_CRC(idxd_free_desc, 0x623b22b6, "_gpl");
SYMBOL_CRC(idxd_submit_desc, 0x434d9e4e, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x71d1385d, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0x7352b9fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc2678c98, "pci_msix_vec_count" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0xb96b65b4, "dev_set_name" },
	{ 0x7283db9f, "pci_iomap" },
	{ 0x7ccff61e, "dma_async_device_unregister" },
	{ 0xaf97e1e2, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xd000f60d, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa72e50d0, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x84dde4f4, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0x5c01170, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0x577b23a4, "dsa_bus_type" },
	{ 0x9e66a2f4, "iommu_dev_disable_feature" },
	{ 0x69acdf38, "memcpy" },
	{ 0x720a636b, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc24499e5, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x5c56886, "seq_lseek" },
	{ 0xc842d4e9, "iommu_sva_bind_device" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa528a9dc, "iommu_detach_device_pasid" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb8405555, "pci_irq_vector" },
	{ 0x9b5c95fa, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0x88c9f6fb, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xecb61f56, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x786067b9, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x4cb99d0c, "kmalloc_node_trace" },
	{ 0xe90d993f, "iommu_dev_enable_feature" },
	{ 0x141ed771, "kmem_cache_alloc" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf118c076, "__idxd_driver_register" },
	{ 0xdc24d3d5, "iommu_get_domain_for_dev" },
	{ 0x951f43f7, "perf_pmu_migrate_context" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7db12e0a, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x168db8e3, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x6046858, "__cpuhp_setup_state" },
	{ 0x29d7c05a, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7fff1f7c, "kmem_cache_create_usercopy" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x77f0f892, "kmem_cache_free" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1879ecd0, "dma_async_device_channel_unregister" },
	{ 0x6780b069, "iommu_sva_unbind_device" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x6a7468e3, "__cpuhp_state_add_instance" },
	{ 0xada4569a, "iommu_alloc_global_pasid" },
	{ 0x49a84bb2, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd5901bff, "pci_iounmap" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x812ed23, "iommu_sva_get_pasid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x97b6f097, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5cfb388f, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8b45977d, "iommu_attach_device_pasid" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2e9e89e2, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3db24784, "dma_async_device_channel_register" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xd5ecb991, "dma_async_tx_descriptor_init" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfa16f1f7, "boot_cpu_data" },
	{ 0x24de7432, "seq_puts" },
	{ 0x1adf355d, "single_release" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0xf6955479, "kthread_unuse_mm" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x79dd4e64, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd64d079e, "single_open" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0xc63be68c, "pci_free_irq_vectors" },
	{ 0x42f40294, "idxd_driver_unregister" },
	{ 0xae795aee, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0xbedc3f28, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xdd1bcce3, "bus_register" },
	{ 0xc758cc6e, "kmem_cache_destroy" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2AA6FEEE0D3BE4AE5D6C665");
