#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i915_read_mch_val, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_raise, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_lower, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_busy, "_gpl", "");
KSYMTAB_FUNC(i915_gpu_turbo_disable, "_gpl", "");
KSYMTAB_FUNC(intel_gvt_set_ops, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_gvt_clear_ops, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_alloc, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_create_shmem, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_init, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_ggtt_pin_ww, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_pin_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_object_set_to_cpu_domain, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__i915_gem_object_flush_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__i915_gem_object_set_pages, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_gtt_insert, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_prime_export, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_ww_ctx_init, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_ww_ctx_backoff, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_gem_ww_ctx_fini, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_ppgtt_create, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_request_add, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_request_create, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_request_wait, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_reserve_fence, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_unreserve_fence, "_gpl", "I915_GVT");
KSYMTAB_FUNC(i915_vm_release, "_gpl", "I915_GVT");
KSYMTAB_FUNC(_i915_vma_move_to_active, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_context_create, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__intel_context_do_pin, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__intel_context_do_unpin, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_ring_begin, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_runtime_pm_get, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_runtime_pm_put_unchecked, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_uncore_forcewake_for_reg, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_uncore_forcewake_get, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_uncore_forcewake_put, "_gpl", "I915_GVT");
KSYMTAB_FUNC(shmem_pin_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(shmem_unpin_map, "_gpl", "I915_GVT");
KSYMTAB_FUNC(__px_dma, "_gpl", "I915_GVT");
KSYMTAB_DATA(i915_fence_ops, "_gpl", "I915_GVT");
KSYMTAB_FUNC(intel_gvt_iterate_mmio_table, "_gpl", "I915_GVT");

SYMBOL_CRC(i915_read_mch_val, 0x500858b9, "_gpl");
SYMBOL_CRC(i915_gpu_raise, 0x08a7896d, "_gpl");
SYMBOL_CRC(i915_gpu_lower, 0x402468e9, "_gpl");
SYMBOL_CRC(i915_gpu_busy, 0x05876c69, "_gpl");
SYMBOL_CRC(i915_gpu_turbo_disable, 0xe7237b0b, "_gpl");
SYMBOL_CRC(intel_gvt_set_ops, 0xc0413abd, "_gpl");
SYMBOL_CRC(intel_gvt_clear_ops, 0x6a74e95a, "_gpl");
SYMBOL_CRC(i915_gem_object_alloc, 0x31b7aa20, "_gpl");
SYMBOL_CRC(i915_gem_object_create_shmem, 0xc31b30b2, "_gpl");
SYMBOL_CRC(i915_gem_object_init, 0x86928237, "_gpl");
SYMBOL_CRC(i915_gem_object_ggtt_pin_ww, 0xf62a06a7, "_gpl");
SYMBOL_CRC(i915_gem_object_pin_map, 0x46e3d689, "_gpl");
SYMBOL_CRC(i915_gem_object_set_to_cpu_domain, 0x81047d13, "_gpl");
SYMBOL_CRC(__i915_gem_object_flush_map, 0xf9557191, "_gpl");
SYMBOL_CRC(__i915_gem_object_set_pages, 0x011ed936, "_gpl");
SYMBOL_CRC(i915_gem_gtt_insert, 0xa239c1b6, "_gpl");
SYMBOL_CRC(i915_gem_prime_export, 0xacd869da, "_gpl");
SYMBOL_CRC(i915_gem_ww_ctx_init, 0x93f7321c, "_gpl");
SYMBOL_CRC(i915_gem_ww_ctx_backoff, 0xe8ba4cc5, "_gpl");
SYMBOL_CRC(i915_gem_ww_ctx_fini, 0xc83ac220, "_gpl");
SYMBOL_CRC(i915_ppgtt_create, 0xc2864eba, "_gpl");
SYMBOL_CRC(i915_request_add, 0x95df7c44, "_gpl");
SYMBOL_CRC(i915_request_create, 0xa0a4887e, "_gpl");
SYMBOL_CRC(i915_request_wait, 0x22806b5a, "_gpl");
SYMBOL_CRC(i915_reserve_fence, 0x72e34a98, "_gpl");
SYMBOL_CRC(i915_unreserve_fence, 0xe10cadcf, "_gpl");
SYMBOL_CRC(i915_vm_release, 0x890fc889, "_gpl");
SYMBOL_CRC(_i915_vma_move_to_active, 0xeb13f5a6, "_gpl");
SYMBOL_CRC(intel_context_create, 0x25cce85e, "_gpl");
SYMBOL_CRC(__intel_context_do_pin, 0xdf288338, "_gpl");
SYMBOL_CRC(__intel_context_do_unpin, 0x00e01a3d, "_gpl");
SYMBOL_CRC(intel_ring_begin, 0x147539a8, "_gpl");
SYMBOL_CRC(intel_runtime_pm_get, 0x84e21b0a, "_gpl");
SYMBOL_CRC(intel_runtime_pm_put_unchecked, 0x200464bb, "_gpl");
SYMBOL_CRC(intel_uncore_forcewake_for_reg, 0x7b05b22c, "_gpl");
SYMBOL_CRC(intel_uncore_forcewake_get, 0xfc6b02cf, "_gpl");
SYMBOL_CRC(intel_uncore_forcewake_put, 0xcf517765, "_gpl");
SYMBOL_CRC(shmem_pin_map, 0x3a4a90bf, "_gpl");
SYMBOL_CRC(shmem_unpin_map, 0xfe8ec108, "_gpl");
SYMBOL_CRC(__px_dma, 0xaba14cfc, "_gpl");
SYMBOL_CRC(i915_fence_ops, 0x38b91c5b, "_gpl");
SYMBOL_CRC(intel_gvt_iterate_mmio_table, 0x7245b4f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3860440a, "hrtimer_active" },
	{ 0x29ad8e33, "x86_hyper_type" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x187a4faa, "drm_show_fdinfo" },
	{ 0x1c82ab62, "drm_fb_helper_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7e088d0, "intel_graphics_stolen_res" },
	{ 0xc631580a, "console_unlock" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x2172e612, "drm_atomic_helper_commit_hw_done" },
	{ 0xa8b926c5, "queue_rcu_work" },
	{ 0x5b641283, "arch_phys_wc_add" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x909e9371, "vga_switcheroo_client_probe_defer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aedbac6, "drm_fb_helper_ioctl" },
	{ 0x1000e51, "schedule" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x21118720, "drm_connector_attach_max_bpc_property" },
	{ 0xc5b38544, "component_add_typed" },
	{ 0xd79c950f, "request_firmware" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0xa93ec6bb, "drm_mode_create_tv_properties_legacy" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0x8d701329, "drm_dp_clock_recovery_ok" },
	{ 0xe1608ea9, "unregister_shrinker" },
	{ 0x29296cb0, "drm_dp_read_channel_eq_delay" },
	{ 0x8f391ffb, "drm_property_create_blob" },
	{ 0x58d5c4ee, "pm_runtime_allow" },
	{ 0x3e2f6944, "__folio_batch_release" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xebf31ed, "drm_crtc_vblank_get" },
	{ 0x40c8e347, "drm_mode_probed_add" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xef5d8e96, "drm_dp_cec_unset_edid" },
	{ 0xa171dbdf, "drm_lspcon_set_mode" },
	{ 0x2fa94ef2, "drm_dp_downstream_444_to_420_conversion" },
	{ 0xcc9e9e30, "kobj_sysfs_ops" },
	{ 0x6797d568, "intel_gmch_gtt_get" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb4db1991, "mipi_dsi_generic_write" },
	{ 0xec7b6c09, "drm_dp_atomic_find_time_slots" },
	{ 0xfe12bcb9, "drm_dsc_compute_rc_parameters" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xec91acea, "pci_write_config_byte" },
	{ 0xef92e13e, "drm_atomic_helper_prepare_planes" },
	{ 0x521ad6d0, "drm_puts" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x5f7985a5, "drm_mm_scan_remove_block" },
	{ 0xc5c99a79, "drm_dp_get_adjust_request_voltage" },
	{ 0x334b9156, "drm_crtc_arm_vblank_event" },
	{ 0x3100dcbf, "__tracepoint_mmap_lock_released" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x73b5cc0b, "acpi_dev_get_resources" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0xc0963ca8, "drm_framebuffer_plane_height" },
	{ 0xfda4936b, "drm_connector_attach_scaling_mode_property" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x7c3bc7e, "drm_dp_pcon_frl_prepare" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x6b53e216, "drm_dp_downstream_max_tmds_clock" },
	{ 0x77f0f892, "kmem_cache_free" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x4691f33f, "ttm_resource_init" },
	{ 0x7d4bfe14, "drm_connector_list_iter_next" },
	{ 0x5e00bf1d, "ttm_bo_vm_fault_reserved" },
	{ 0x7a6f9afd, "drm_dp_read_mst_cap" },
	{ 0x677d0ad5, "drm_plane_create_blend_mode_property" },
	{ 0xcb970751, "stop_machine" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x32dcdb48, "ww_mutex_lock_interruptible" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x79008c7e, "drm_dsc_setup_rc_params" },
	{ 0xe31559cf, "drm_clflush_pages" },
	{ 0x30d66451, "drm_gem_private_object_init" },
	{ 0xdc8bf99c, "__i2c_transfer" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9825ad23, "mipi_dsi_picture_parameter_set" },
	{ 0x9ad7a582, "iosf_mbi_assert_punit_acquired" },
	{ 0xedcf81ce, "drm_dp_channel_eq_ok" },
	{ 0x56a663e9, "drm_dp_dsc_sink_line_buf_depth" },
	{ 0xcc30bcd6, "drm_hdmi_avi_infoframe_quant_range" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x765722be, "ttm_resource_manager_evict_all" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0xda37acd, "dma_fence_array_first" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x2e34ec2b, "pci_dev_put" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x7ea26932, "drm_property_replace_blob" },
	{ 0x24761ab5, "device_get_next_child_node" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4cc36054, "drm_atomic_state_alloc" },
	{ 0xec7bdb25, "drm_fb_helper_pan_display" },
	{ 0xdd3c6afa, "drm_mode_is_420_also" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0x69353664, "__drm_debug" },
	{ 0x392a838b, "drm_dp_downstream_max_dotclock" },
	{ 0xe021acc0, "drm_mode_create" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd77e3705, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x47cb6593, "drm_dp_read_sink_count_cap" },
	{ 0x914dfa1, "debugfs_create_bool" },
	{ 0x73011db0, "drm_dp_bw_code_to_link_rate" },
	{ 0xedff86df, "drm_property_blob_put" },
	{ 0x3e3f37ec, "drm_fb_helper_fini" },
	{ 0x7a45377b, "acpi_video_unregister" },
	{ 0x63256847, "drm_open" },
	{ 0x38e3f13b, "drm_dp_pcon_frl_enable" },
	{ 0xd966181d, "pci_bus_write_config_byte" },
	{ 0xaad1ecc8, "mmu_interval_notifier_remove" },
	{ 0x7fe0287, "get_fs_type" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0xe5360b84, "drm_dp_pcon_dsc_max_slices" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x76ff6644, "drm_dp_lttpr_pre_emphasis_level_3_supported" },
	{ 0x8823ef75, "intel_gmch_gtt_insert_page" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x498bac86, "drm_dp_mst_put_port_malloc" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xccf54d5e, "drm_dp_get_adjust_tx_ffe_preset" },
	{ 0xecb61f56, "__cpuhp_state_remove_instance" },
	{ 0xba119e4d, "pci_match_id" },
	{ 0x349cba85, "strchr" },
	{ 0xf52c21dc, "drm_atomic_get_mst_payload_state" },
	{ 0x4b1161b5, "bus_register_notifier" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc512626a, "__supported_pte_mask" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x9f44c898, "drm_buddy_init" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x60bbb124, "dma_fence_signal_locked" },
	{ 0xeb00889a, "drm_dp_aux_unregister" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x45f82b71, "drm_atomic_helper_page_flip" },
	{ 0xcd73109, "mipi_dsi_dcs_read" },
	{ 0xb0f60b2c, "drm_connector_unregister" },
	{ 0xa285d383, "drm_gem_unmap_dma_buf" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x35a0efe4, "fwnode_handle_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6a7468e3, "__cpuhp_state_add_instance" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x75e9b66d, "pci_get_domain_bus_and_slot" },
	{ 0xf814933a, "drm_crtc_vblank_waitqueue" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0xceea7dc9, "drm_dp_mst_update_slots" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x1c519035, "drm_vblank_work_flush" },
	{ 0x51a48818, "pci_d3cold_disable" },
	{ 0x29646877, "mark_page_accessed" },
	{ 0x5a921311, "strncmp" },
	{ 0x3c7c3f8b, "drm_modeset_lock_all_ctx" },
	{ 0x8b79182f, "drm_debugfs_create_files" },
	{ 0x5a290250, "hdmi_drm_infoframe_pack_only" },
	{ 0x3105eaaa, "drm_connector_set_path_property" },
	{ 0x1a63af34, "vga_switcheroo_process_delayed_switch" },
	{ 0xf08fdc62, "zap_vma_ptes" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0xce9fd6a1, "synchronize_srcu_expedited" },
	{ 0x3adf16b4, "drm_connector_list_iter_end" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x9f984513, "strrchr" },
	{ 0x53b954a2, "up_read" },
	{ 0xadd3693e, "drm_atomic_helper_shutdown" },
	{ 0xadd655d8, "drm_fb_helper_hotplug_event" },
	{ 0x1522a0bd, "sg_alloc_table_from_pages_segment" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3549e2a8, "drm_dp_pcon_hdmi_frl_link_error_count" },
	{ 0x5295ce09, "drm_privacy_screen_put" },
	{ 0xd973513e, "dma_resv_iter_next_unlocked" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xffc7213e, "drm_atomic_helper_check_modeset" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x51225df1, "drm_helper_hpd_irq_event" },
	{ 0x7343a321, "drm_atomic_set_crtc_for_plane" },
	{ 0x66b7fe56, "fwnode_handle_get" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xbaea81e6, "__mmap_lock_do_trace_start_locking" },
	{ 0x9b95c885, "drm_mode_match" },
	{ 0x639388e1, "drm_connector_update_privacy_screen" },
	{ 0x26654b4e, "drm_dp_mst_topology_mgr_suspend" },
	{ 0x7aadb34b, "drm_atomic_helper_duplicate_state" },
	{ 0xb7c69a63, "unregister_vmap_purge_notifier" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb03a5f5c, "ttm_bo_move_sync_cleanup" },
	{ 0xccfabf28, "devm_pinctrl_get" },
	{ 0x2fb9885e, "kernel_param_unlock" },
	{ 0x18388b01, "device_remove_bin_file" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7db12e0a, "perf_pmu_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x31369499, "kobject_create_and_add" },
	{ 0xb9fa6c56, "cpufreq_cpu_get" },
	{ 0xc020c0c1, "drm_dp_pcon_dsc_max_slice_width" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xcaa9b99f, "drm_plane_from_index" },
	{ 0xb613487d, "drm_crtc_vblank_off" },
	{ 0x6df31390, "intel_gmch_gtt_clear_range" },
	{ 0x8226fb29, "drm_atomic_helper_suspend" },
	{ 0xa1fefe6a, "drm_dp_psr_setup_time" },
	{ 0x81188c30, "match_string" },
	{ 0xd6f046c9, "drm_atomic_helper_unprepare_planes" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x522eea69, "ttm_bo_wait_ctx" },
	{ 0x65d59ae2, "simple_attr_open" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x13bcefc9, "pci_bus_read_config_byte" },
	{ 0x6aacee47, "drm_dp_128b132b_link_training_failed" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x2d5057ef, "__drmm_add_action_or_reset" },
	{ 0xdcb5c42d, "firmware_request_nowarn" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0xcc76859b, "drm_dp_vsc_sdp_log" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7dfed3c0, "drm_vblank_work_schedule" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x89fb84bb, "drm_gem_fb_get_obj" },
	{ 0x301304c2, "__get_user_nocheck_8" },
	{ 0xa38abefe, "vga_client_register" },
	{ 0x328efe2b, "dma_resv_wait_timeout" },
	{ 0xe998e641, "ttm_resource_manager_init" },
	{ 0x318030d1, "pci_d3cold_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc2f3a423, "i2c_put_adapter" },
	{ 0x6cf4072c, "drm_syncobj_create" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x127d4324, "drm_dp_mst_connector_late_register" },
	{ 0x563fa538, "single_open_size" },
	{ 0xa843606e, "drm_dp_dsc_sink_supported_input_bpcs" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x140e3b33, "seq_write" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xb3625c50, "drm_fb_helper_debug_leave" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0xef50ae1d, "ttm_bo_vm_access" },
	{ 0xcc6d95ff, "i2c_get_adapter" },
	{ 0x54bfe8f1, "ttm_resource_manager_debug" },
	{ 0xcf8e3aa5, "pid_task" },
	{ 0x823c19ea, "iosf_mbi_unregister_pmic_bus_access_notifier_unlocked" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x5995faa8, "intel_gmch_probe" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x7d1971c0, "__put_devmap_managed_page_refs" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xdd04be50, "ttm_resource_free" },
	{ 0x92a9cc34, "ttm_bo_init_reserved" },
	{ 0xe76f538e, "drm_dp_128b132b_read_aux_rd_interval" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x4afddfe0, "drm_dp_read_lttpr_common_caps" },
	{ 0x2dcd857c, "drm_invalid_op" },
	{ 0x49e96999, "cond_synchronize_rcu" },
	{ 0xdc266347, "drm_connector_attach_encoder" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x131ded10, "vga_switcheroo_register_client" },
	{ 0xfb1a7a5a, "drm_dp_downstream_rgb_to_ycbcr_conversion" },
	{ 0x852db9e, "irq_set_chip_and_handler_name" },
	{ 0x7d468d53, "drm_hdmi_avi_infoframe_content_type" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7f8839d6, "i2c_acpi_get_i2c_resource" },
	{ 0xf6c008d9, "put_device" },
	{ 0xe27b89a5, "drm_fb_helper_debug_enter" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfacea7a1, "hrtimer_try_to_cancel" },
	{ 0x149090e5, "drm_crtc_enable_color_mgmt" },
	{ 0x2d4c773a, "hdmi_spd_infoframe_init" },
	{ 0x5ae60e00, "drm_dp_dpcd_write" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x11443d95, "drm_modeset_acquire_init" },
	{ 0xc6e28341, "drm_mode_create_aspect_ratio_property" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf218a5ea, "pci_save_state" },
	{ 0x7b2e2166, "drm_vma_node_revoke" },
	{ 0xab480ae0, "vga_switcheroo_client_fb_set" },
	{ 0xad6f63b8, "kobject_add" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf6c502bd, "drm_dp_dpcd_read_phy_link_status" },
	{ 0x4e1ce7a9, "drm_dp_pcon_frl_configure_2" },
	{ 0x22d53779, "drm_buddy_free_list" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0xec0362b7, "backlight_device_unregister" },
	{ 0xb9af9ef9, "kern_unmount" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0x2541a84f, "i2c_acpi_find_adapter_by_handle" },
	{ 0xd308bba0, "device_link_del" },
	{ 0xa84174c, "drm_modeset_acquire_fini" },
	{ 0xe990ee1a, "dma_map_sg_attrs" },
	{ 0x192ea14f, "__SCT__tp_func_dma_fence_signaled" },
	{ 0x1fbc9748, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf9a482f9, "msleep" },
	{ 0x91c774fa, "bpf_trace_run4" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xa0d3456d, "nr_swap_pages" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5690f017, "ttm_tt_fini" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x89522b1, "drm_dp_cec_unregister_connector" },
	{ 0xe0c88e85, "fb_io_read" },
	{ 0x275f3d49, "hdmi_vendor_infoframe_check" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xf26b07e1, "register_shrinker" },
	{ 0x7d913e0a, "pci_iomap_range" },
	{ 0xa0ebd437, "hdmi_drm_infoframe_check" },
	{ 0xfda9a3f1, "intel_gmch_enable_gtt" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0xff748b76, "drm_buddy_alloc_blocks" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xec3da29c, "drm_dp_dpcd_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3c74d68c, "drm_hdmi_avi_infoframe_colorimetry" },
	{ 0x722a2e8d, "drm_dp_pcon_pps_override_param" },
	{ 0xdb1edee6, "hdmi_infoframe_unpack" },
	{ 0x550ce709, "pat_enabled" },
	{ 0x333bfca1, "hdmi_infoframe_pack_only" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb3de5e3d, "i2c_bit_algo" },
	{ 0x6a4df8c5, "drm_dp_128b132b_eq_interlane_align_done" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0xde80cd09, "ioremap" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xfa150882, "drm_buddy_fini" },
	{ 0x5c56886, "seq_lseek" },
	{ 0x98e44662, "drm_modeset_unlock_all" },
	{ 0xc6f154eb, "drm_dp_mst_atomic_wait_for_dependencies" },
	{ 0xe6313d04, "dma_buf_unmap_attachment" },
	{ 0x98d6989, "drm_crtc_create_scaling_filter_property" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xc1dcfbfa, "dma_resv_iter_first" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x2488129e, "unlock_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x66497e8a, "drm_atomic_set_crtc_for_connector" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb4ff8b1f, "drm_dp_mst_topology_mgr_set_mst" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x403aa4ba, "dma_resv_reserve_fences" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xb9478d90, "hdmi_drm_infoframe_unpack_only" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x789e7588, "relay_switch_subbuf" },
	{ 0xa8730570, "dma_buf_put" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xd64d079e, "single_open" },
	{ 0x73cfa82e, "pin_user_pages_fast" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc2353612, "dma_resv_iter_first_unlocked" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe6148b4f, "dma_resv_add_fence" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x87098168, "drm_dp_atomic_release_time_slots" },
	{ 0x45b48e85, "drm_atomic_add_affected_connectors" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x3b080aa6, "find_vma" },
	{ 0x39dfba8a, "drm_dp_mst_detect_port" },
	{ 0xe6819713, "folio_mark_accessed" },
	{ 0xb32c6b35, "irq_work_sync" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x1605d0ed, "drm_dp_lttpr_max_lane_count" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xaa8bd428, "shmem_read_mapping_page_gfp" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5aff43f3, "sysfs_merge_group" },
	{ 0x2e7a17d4, "vmap_pfn" },
	{ 0xabba3f48, "pci_unmap_rom" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x47ec8f4d, "sync_file_create" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xedb3f25d, "unpin_user_pages" },
	{ 0xc8b6a8ae, "drm_dp_128b132b_lane_channel_eq_done" },
	{ 0x79c00fa2, "drm_edid_alloc" },
	{ 0x6ae7dae7, "drm_plane_create_rotation_property" },
	{ 0x1a411479, "drm_syncobj_free" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0xea7572be, "ttm_bo_vm_dummy_page" },
	{ 0x47ac52f0, "drm_modeset_lock_all" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xd70423a7, "dma_resv_iter_next" },
	{ 0xc4f46df5, "drm_fb_helper_prepare" },
	{ 0xa90932c6, "drm_edp_backlight_disable" },
	{ 0xa8fb71a6, "debugfs_create_file_unsafe" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x247c3c55, "pci_bus_alloc_resource" },
	{ 0x7dc54fc5, "generic_file_llseek" },
	{ 0x668b19a1, "down_read" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0x185d3d50, "ttm_kmap_iter_tt_init" },
	{ 0x7c729504, "drm_dp_get_phy_test_pattern" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe091c977, "list_sort" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xaf267620, "drm_dp_lttpr_count" },
	{ 0x4357ff20, "drm_gem_handle_create" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0xef6c3f70, "round_jiffies_up_relative" },
	{ 0xeafc653, "drm_atomic_helper_set_config" },
	{ 0x755e08cf, "ww_mutex_unlock" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xfc13063d, "drm_dp_read_dpcd_caps" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0x781da9a0, "drm_dev_enter" },
	{ 0x63a477fb, "drm_dp_downstream_min_tmds_clock" },
	{ 0xf615e2ac, "drmm_kmalloc" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xae795aee, "__cpuhp_remove_state" },
	{ 0xa40dd7c2, "drm_fb_helper_restore_fbdev_mode_unlocked" },
	{ 0xdec68178, "kmem_cache_create" },
	{ 0x67b7cdbc, "shmem_file_setup_with_mnt" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x3ecfdab4, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x1c231995, "shmem_file_setup" },
	{ 0x197678ec, "drm_atomic_get_new_mst_topology_state" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x37652c1c, "component_del" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0xb9c6f526, "drm_atomic_helper_update_legacy_modeset_state" },
	{ 0xfcd1819a, "hdmi_spd_infoframe_check" },
	{ 0x3f63c9fa, "relay_open" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x583ea23e, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0x989c5f4a, "drm_dp_pcon_convert_rgb_to_ycbcr" },
	{ 0x24c848b5, "anon_inode_getfd" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x314a6d15, "drm_dev_get" },
	{ 0xbe5bf175, "mipi_dsi_attach" },
	{ 0x506300cd, "cleanup_srcu_struct" },
	{ 0xf7ef9a79, "iosf_mbi_punit_release" },
	{ 0x45b8f961, "sysfs_create_bin_file" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x680ab1d6, "folio_alloc" },
	{ 0x904bc801, "drm_atomic_commit" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x7410aba2, "strreplace" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x24aeaa3a, "device_del" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcff42bd4, "drm_kms_helper_connector_hotplug_event" },
	{ 0x49a84bb2, "perf_pmu_unregister" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xc10f1a03, "drm_crtc_send_vblank_event" },
	{ 0x71959fa5, "__devm_request_region" },
	{ 0x16c7538, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x81631a1a, "set_page_dirty" },
	{ 0xd92d5425, "drm_dp_mst_hpd_irq_send_new_request" },
	{ 0xd2377244, "pinctrl_lookup_state" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe405b583, "ttm_device_init" },
	{ 0xf30965ac, "iosf_mbi_register_pmic_bus_access_notifier" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x91ca0aab, "drm_atomic_helper_commit_cleanup_done" },
	{ 0x46faaaf5, "drm_dp_add_payload_part2" },
	{ 0x9e74858e, "__drm_atomic_helper_plane_state_reset" },
	{ 0x2ac195f6, "drm_mode_object_get" },
	{ 0x221c38, "acpi_find_child_device" },
	{ 0xa93af8b3, "sysfs_create_files" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4979f52f, "get_task_pid" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaf7df9b0, "simple_attr_read" },
	{ 0x8b4c3dcd, "drm_connector_attach_dp_subconnector_property" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xbc24fd1e, "ww_mutex_trylock" },
	{ 0x7e307d72, "drm_atomic_helper_connector_destroy_state" },
	{ 0x5063680f, "drm_universal_plane_init" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x1575ecb9, "pci_get_class" },
	{ 0xaa309cf, "synchronize_hardirq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdc70656b, "pci_bus_resource_n" },
	{ 0x26ed2186, "register_vmap_purge_notifier" },
	{ 0x72f27d3c, "drm_helper_probe_detect" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfcc5b47c, "drm_connector_attach_vrr_capable_property" },
	{ 0x71fb6892, "dma_fence_array_next" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x93f0c6a2, "drm_property_blob_get" },
	{ 0x4d924f20, "memremap" },
	{ 0x9c5f0474, "drm_crtc_accurate_vblank_count" },
	{ 0xf4d00841, "drm_mode_object_put" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xbd17acdc, "bus_unregister_notifier" },
	{ 0xcca95dc1, "drm_atomic_helper_disable_plane" },
	{ 0xd9ca2a34, "vfs_kern_mount" },
	{ 0xd907ee9b, "__tracepoint_mmap_lock_start_locking" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0xb3010341, "drm_edid_read_switcheroo" },
	{ 0x7eb7ea01, "mipi_dsi_set_maximum_return_packet_size" },
	{ 0x39a7e7e0, "pwm_put" },
	{ 0x951f43f7, "perf_pmu_migrate_context" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa2841e81, "drm_read" },
	{ 0xfe0e949, "dma_buf_map_attachment" },
	{ 0x98331cc, "_dev_printk" },
	{ 0x40142030, "drm_crtc_vblank_helper_get_vblank_timestamp_internal" },
	{ 0x255481fe, "drm_mode_object_find" },
	{ 0x1a71d30c, "ttm_move_memcpy" },
	{ 0xb0f0e6c1, "i2c_add_adapter" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x80c3815d, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x24240ea2, "kobject_init" },
	{ 0x3871e0cd, "drm_dp_mst_topology_mgr_init" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x20f90ec5, "drm_crtc_handle_vblank" },
	{ 0xdc82d4cf, "drm_connector_attach_privacy_screen_provider" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x5c55cc1a, "drm_atomic_state_init" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0xb20a938, "drm_privacy_screen_get" },
	{ 0x950bb208, "drm_hdcp_check_ksvs_revoked" },
	{ 0xb2f74fb6, "intel_gmch_remove" },
	{ 0x789e6a85, "backlight_device_get_by_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x29eba37f, "current_is_async" },
	{ 0xc30d71cc, "drm_buddy_block_print" },
	{ 0x2183c08c, "drm_mm_scan_add_block" },
	{ 0x59f27ed7, "drm_dp_pcon_enc_is_dsc_1_2" },
	{ 0x56470118, "__warn_printk" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x7ad1ded1, "pinctrl_register_mappings" },
	{ 0x62c01760, "drm_atomic_get_mst_topology_state" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe41d1462, "drm_dev_register" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x9f4befd8, "cec_fill_conn_info_from_drm" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8f8b3a6a, "clear_page_dirty_for_io" },
	{ 0xaeb5ba70, "drm_dp_remove_payload" },
	{ 0x543c445c, "drm_crtc_init_with_planes" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfa16f1f7, "boot_cpu_data" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xf778257d, "drm_fb_helper_alloc_info" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a847134, "ttm_kmap_iter_iomap_init" },
	{ 0xe2133270, "gpiod_set_value_cansleep" },
	{ 0xc758cc6e, "kmem_cache_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78c4fd43, "pci_set_power_state" },
	{ 0xf689ad25, "drm_dp_downstream_420_passthrough" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x71e4889f, "hwmon_device_unregister" },
	{ 0x25daad93, "__drm_mm_interval_first" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x62fa001f, "drm_dp_cec_set_edid" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x820ac5c0, "drm_vma_node_allow_once" },
	{ 0x72136190, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x5a86f411, "drm_dp_phy_name" },
	{ 0xb79a433b, "default_llseek" },
	{ 0xd8c1a7b, "ttm_pool_free" },
	{ 0xadbeed61, "mipi_dsi_packet_format_is_long" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20befb91, "vma_set_file" },
	{ 0x65702bd6, "drm_default_rgb_quant_range" },
	{ 0x1e4fbf2, "drm_dp_cec_irq" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xa47826e4, "drm_dp_calc_pbn_mode" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x524879e0, "mas_find" },
	{ 0xd5901bff, "pci_iounmap" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x745a981, "xa_erase" },
	{ 0x2d9e9583, "drm_buddy_print" },
	{ 0x30f9c9af, "drm_dp_aux_init" },
	{ 0xefefbb2b, "drm_fb_helper_unregister_info" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0xffb7c514, "ida_free" },
	{ 0xd4e6ad47, "drm_gem_dmabuf_export" },
	{ 0x23c1368, "device_link_add" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0xca5e462f, "ttm_bo_move_to_lru_tail" },
	{ 0x8de74e90, "drm_kms_helper_poll_disable" },
	{ 0x8a833583, "dma_fence_array_ops" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x781f3715, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd7f0dda5, "drm_dp_check_act_status" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc2a02903, "__irq_alloc_descs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5d804872, "drm_kms_helper_poll_reschedule" },
	{ 0xc6b56b51, "drm_plane_enable_fb_damage_clips" },
	{ 0xd0a896e3, "folio_mark_dirty" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xee04023e, "pci_assign_unassigned_bus_resources" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0xfebeda40, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xe4a0016c, "gpiod_set_value" },
	{ 0x7053fa72, "drm_dp_get_pcon_max_frl_bw" },
	{ 0x423f8efc, "drm_dp_mst_connector_early_unregister" },
	{ 0x1c75d712, "drm_plane_create_color_properties" },
	{ 0xa723aea9, "drm_gem_dmabuf_release" },
	{ 0xaa473d95, "drm_gem_free_mmap_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4b5e3a47, "__get_user_nocheck_1" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf46d16a, "drm_hdmi_avi_infoframe_from_display_mode" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe552a1b5, "drm_atomic_get_old_mst_topology_state" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xbb4b9abf, "vm_mmap" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x4a4ae5fb, "page_table_check_disabled" },
	{ 0xf0139976, "_dev_notice" },
	{ 0x55439fea, "drm_modeset_lock" },
	{ 0x1adf355d, "single_release" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x97d2dd55, "drm_dp_downstream_mode" },
	{ 0xaba62e99, "drm_probe_ddc" },
	{ 0xdc23af6d, "drm_atomic_get_connector_state" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe04e59b2, "is_acpi_device_node" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf43fdd7, "drm_connector_attach_content_type_property" },
	{ 0x6579f222, "drm_encoder_cleanup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xba670056, "drm_dp_read_lttpr_phy_caps" },
	{ 0x2a962499, "drm_mm_scan_init_with_range" },
	{ 0x12d9c0e, "drm_connector_attach_colorspace_property" },
	{ 0xeb92ecc4, "drm_atomic_get_plane_state" },
	{ 0x21415208, "drm_helper_probe_single_connector_modes" },
	{ 0x10b17c2c, "__auxiliary_device_add" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0xbace3292, "drm_edp_backlight_init" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa26c1244, "__free_pages" },
	{ 0x20b29579, "drm_scdc_read" },
	{ 0xaa5760aa, "drm_lspcon_get_mode" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75811a87, "ttm_bo_eviction_valuable" },
	{ 0xaba61446, "__devm_drm_dev_alloc" },
	{ 0xfd8368a0, "pci_write_config_word" },
	{ 0x26815dbc, "drm_dp_link_rate_to_bw_code" },
	{ 0x65d00a65, "debugfs_attr_read" },
	{ 0x1b0a1fdc, "drm_dp_lttpr_voltage_swing_level_3_supported" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x6e1bed9, "drm_dp_aux_register" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0xffa840b8, "drm_atomic_add_affected_planes" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x44aaf30f, "tsc_khz" },
	{ 0x27c6d6f, "kernel_param_lock" },
	{ 0x3da171f9, "pci_mem_start" },
	{ 0x58a29204, "drm_syncobj_find" },
	{ 0xdcf7370e, "drm_scdc_set_scrambling" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x58d8fcaa, "drm_dsc_pps_payload_pack" },
	{ 0x24a373ba, "drm_edp_backlight_enable" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd16425ef, "drm_crtc_add_crc_entry" },
	{ 0xf3ff73f5, "drm_gem_prime_mmap" },
	{ 0xf3c26be0, "drm_fb_helper_damage_range" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xf7a5623c, "drm_modeset_drop_locks" },
	{ 0x2a1b5721, "drm_scdc_set_high_tmds_clock_ratio" },
	{ 0xa98864c0, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0xbbfcf827, "drm_fb_helper_check_var" },
	{ 0x83e93163, "drm_framebuffer_cleanup" },
	{ 0xc8591a92, "drm_dp_dpcd_read_link_status" },
	{ 0x5317ceb9, "drm_color_lut_check" },
	{ 0x8bd39d92, "relay_close" },
	{ 0xde320d73, "drm_edid_connector_update" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0x148653, "vsnprintf" },
	{ 0xebd8c8f7, "__folio_put" },
	{ 0x92b9835e, "drm_dp_128b132b_cds_interlane_align_done" },
	{ 0xf7069f6, "gpiod_put" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0xb83bfc6f, "drm_atomic_get_crtc_state" },
	{ 0x3f992f26, "drm_syncobj_replace_fence" },
	{ 0xd424aa5c, "drm_modeset_backoff" },
	{ 0x3e4368a8, "kobject_init_and_add" },
	{ 0xd5a95eae, "drm_dp_128b132b_lane_symbol_locked" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf2852ab3, "drm_poll" },
	{ 0xece784c2, "rb_first" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0xc8c9a07a, "drmm_mode_config_init" },
	{ 0x2fccf3fc, "devm_pinctrl_put" },
	{ 0x27328eb6, "apply_to_page_range" },
	{ 0xc0321979, "drm_atomic_helper_wait_for_flip_done" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8e6ea2af, "drm_atomic_set_mode_for_crtc" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x52daa2e6, "drm_kms_helper_poll_init" },
	{ 0xad430643, "drm_crtc_vblank_restore" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x3897afed, "dma_buf_attach" },
	{ 0xa3216db7, "pci_write_config_dword" },
	{ 0xb8454a45, "drm_dp_get_vc_payload_bw" },
	{ 0x2ee7a207, "mipi_dsi_dcs_write" },
	{ 0xbbd5b65b, "unmap_mapping_range" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xdda15c88, "drm_dp_read_desc" },
	{ 0x78dea872, "drm_property_create_range" },
	{ 0x75cace98, "shmem_truncate_range" },
	{ 0x20465319, "drm_dp_dual_mode_detect" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x455e476b, "vga_put" },
	{ 0x71469d45, "drm_framebuffer_init" },
	{ 0x158d9e19, "cfb_copyarea" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1e61592e, "cfb_fillrect" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x23daa989, "mipi_dsi_create_packet" },
	{ 0x7330b23b, "drm_dp_mst_hpd_irq_handle_event" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1f8dc9f7, "hwmon_device_register_with_info" },
	{ 0x340c41e9, "init_srcu_struct" },
	{ 0x141ed771, "kmem_cache_alloc" },
	{ 0x1366fe77, "release_resource" },
	{ 0xdf3f760d, "drm_mm_scan_color_evict" },
	{ 0x72626f34, "ttm_resource_fini" },
	{ 0x2274dbfd, "drm_dp_pcon_hdmi_link_active" },
	{ 0xb5f49722, "drm_mode_crtc_set_gamma_size" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x3e4cc7d3, "drm_dp_mst_dump_topology" },
	{ 0x8a290217, "drm_atomic_state_default_release" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82226c53, "pinctrl_unregister_mappings" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xcdcd88ef, "perf_event_sysfs_show" },
	{ 0xffcd7f49, "iosf_mbi_punit_acquire" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcbc8a761, "dma_buf_detach" },
	{ 0xdf3ef104, "param_ops_charp" },
	{ 0x67f0bcdb, "drm_dp_dual_mode_max_tmds_clock" },
	{ 0x79b16e62, "seq_putc" },
	{ 0x48677174, "debugfs_attr_write" },
	{ 0x3d5ba4bf, "irq_work_queue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0xf06abfcb, "drm_atomic_helper_damage_merged" },
	{ 0x336cf790, "drm_dp_pcon_is_frl_ready" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xe9eb3489, "drm_edid_connector_add_modes" },
	{ 0x28779e52, "drm_printf" },
	{ 0xf8a69b28, "pci_release_resource" },
	{ 0xd2b9e322, "drm_mode_config_cleanup" },
	{ 0xc951ef8e, "drm_fb_helper_setcmap" },
	{ 0x832629b, "__pm_runtime_idle" },
	{ 0x1057a279, "bsearch" },
	{ 0x16660621, "drm_property_add_enum" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0xf0ff0c3d, "pci_disable_msi" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x31161950, "drm_atomic_helper_cleanup_planes" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0xb8490e5, "sysfs_create_group" },
	{ 0xba87b279, "_dev_err" },
	{ 0x9ff23e7, "ttm_tt_init" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x3ab5ab0, "drm_atomic_state_clear" },
	{ 0x229d1f6c, "pcibios_align_resource" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x999e8297, "vfree" },
	{ 0x2a3172db, "drm_crtc_set_max_vblank_count" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x87706d4e, "__put_user_nocheck_8" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x268c9be1, "put_pid" },
	{ 0x69d1a7b6, "drm_property_create_enum" },
	{ 0xc24499e5, "dump_mm" },
	{ 0xdb45baf7, "drm_crtc_wait_one_vblank" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x4603c416, "drm_dp_pcon_dsc_bpp_incr" },
	{ 0x5b7a4150, "drm_plane_create_scaling_filter_property" },
	{ 0x110cf9d2, "pwm_apply_might_sleep" },
	{ 0xa49c2919, "drm_fb_helper_fill_info" },
	{ 0x1203a5a3, "drm_compat_ioctl" },
	{ 0xf41cfe18, "pci_resize_resource" },
	{ 0x8591fd4b, "anon_inode_getfile" },
	{ 0x23961837, "drm_dp_downstream_max_bpc" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0x6b7ba84f, "noop_llseek" },
	{ 0xf449815e, "ttm_bo_put" },
	{ 0x77ffb0b8, "drm_syncobj_add_point" },
	{ 0x9b40c435, "__drm_atomic_helper_connector_duplicate_state" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe3b043fb, "drm_atomic_state_default_clear" },
	{ 0x7a060ed5, "pagecache_get_page" },
	{ 0x7fb892ff, "drm_noop" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x32d10f6a, "drm_fb_helper_unprepare" },
	{ 0xcca6ebf5, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x9aaa48f0, "bpf_trace_run5" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xe5b8e54e, "relay_flush" },
	{ 0x8bf98099, "dma_unmap_sg_attrs" },
	{ 0x371540f7, "drm_dp_pcon_frl_configure_1" },
	{ 0x54140157, "dma_map_sgtable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x266a4b08, "tasklet_unlock" },
	{ 0x412da410, "drm_dp_mst_atomic_check" },
	{ 0xbbda18c4, "dma_fence_free" },
	{ 0xb016fe83, "bpf_trace_run1" },
	{ 0x3decb44e, "backlight_device_register" },
	{ 0xb4bfed79, "__tracepoint_dma_fence_signaled" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0x8ae82795, "drm_prime_gem_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8f4983c6, "dma_max_mapping_size" },
	{ 0x844ef632, "drm_dp_dpcd_probe" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1c4bba9, "drm_dp_lttpr_max_link_rate" },
	{ 0x8a4dd3a1, "hrtimer_forward" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9635ad43, "pci_enable_msi" },
	{ 0xa50de1a9, "cfb_imageblit" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfd2beee8, "drm_dev_unplug" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xe58c8db7, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x69e1bf40, "drm_clflush_sg" },
	{ 0xfb8b274a, "__page_table_check_ptes_set" },
	{ 0x1acd58f6, "mipi_dsi_dcs_write_buffer" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x96848186, "scnprintf" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xd5eab240, "pci_map_rom" },
	{ 0xe40976c0, "pnp_range_reserved" },
	{ 0xc737984f, "shmem_read_folio_gfp" },
	{ 0x50d68377, "arch_phys_wc_del" },
	{ 0x347b9e58, "dma_resv_get_singleton" },
	{ 0x1ca59fce, "mmu_interval_read_begin" },
	{ 0xb872fe87, "sysfs_create_file_ns" },
	{ 0x5e8a5ef4, "drm_hdcp_update_content_protection" },
	{ 0x7fe47479, "drm_hdmi_infoframe_set_hdr_metadata" },
	{ 0xa028a894, "drm_property_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x850e364f, "drm_vblank_init" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xc617f82c, "unregister_oom_notifier" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1f0bcde3, "drm_dp_mst_edid_read" },
	{ 0xc7417a76, "auxiliary_device_init" },
	{ 0xe2f411f9, "drm_dp_cec_register_connector" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x144b7f16, "devm_gpiod_get_index" },
	{ 0x9fafcc94, "ttm_tt_populate" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x80d9e2e2, "drm_hdmi_vendor_infoframe_from_display_mode" },
	{ 0xceefb3a1, "relay_buf_full" },
	{ 0x4c431cfe, "pm_runtime_set_autosuspend_delay" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x89d858ab, "pci_bus_read_config_word" },
	{ 0xe69158ee, "dma_resv_init" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d34ed99, "drm_atomic_helper_setup_commit" },
	{ 0x52b3407, "drm_plane_cleanup" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4ebe78a2, "drm_connector_set_vrr_capable_property" },
	{ 0x30ab3af0, "device_create_bin_file" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0x8086a57e, "cpufreq_cpu_put" },
	{ 0x6046858, "__cpuhp_setup_state" },
	{ 0xdb0c3827, "drm_av_sync_delay" },
	{ 0xb7041bad, "mipi_dsi_compression_mode" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xfe4f6168, "sysfs_remove_group" },
	{ 0x81b7e35b, "drm_dp_mst_topology_mgr_destroy" },
	{ 0x141f38bf, "ktime_get_raw_fast_ns" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0x60fb3e94, "drm_dp_mst_atomic_setup_commit" },
	{ 0x622c7922, "register_oom_notifier" },
	{ 0x9079a27f, "ww_mutex_lock" },
	{ 0x321dacea, "simple_attr_release" },
	{ 0xe07ef363, "intel_gmch_gtt_insert_sg_entries" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3feebd1e, "drm_dp_read_downstream_info" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6180f599, "drm_dp_pcon_hdmi_link_mode" },
	{ 0x1a5bf3ca, "drm_dsc_dp_rc_buffer_size" },
	{ 0x4252099b, "kobject_put" },
	{ 0xf60184a9, "gpiod_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x24ada755, "drm_dsc_set_rc_buf_thresh" },
	{ 0x5407ae9e, "drm_dp_get_dual_mode_type_name" },
	{ 0x8d842c6c, "drm_atomic_helper_disable_all" },
	{ 0x7150e056, "drm_encoder_init" },
	{ 0x2e9e89e2, "seq_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2754dad8, "drm_mm_reserve_node" },
	{ 0xabb5a026, "drm_buddy_block_trim" },
	{ 0xc0fbcf3e, "drm_connector_attach_content_protection_property" },
	{ 0x45d9ac87, "ttm_bo_vm_reserve" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0x947041d5, "drm_connector_init_with_ddc" },
	{ 0xe111c3f8, "drm_dp_mst_get_port_malloc" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xdbf675f, "kobject_uevent_env" },
	{ 0xecd9c93e, "drm_dp_dual_mode_set_tmds_output" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x62c2fe76, "ttm_bo_validate" },
	{ 0x161e238e, "__drm_atomic_helper_crtc_state_reset" },
	{ 0xce807a25, "up_write" },
	{ 0x4fc4a893, "mmu_interval_notifier_insert" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x7f088dab, "drm_framebuffer_remove" },
	{ 0xd8057ee7, "i2c_del_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c1b463e, "__drm_dev_dbg" },
	{ 0xe087bc84, "drm_helper_mode_fill_fb_struct" },
	{ 0x98b7455a, "drm_atomic_helper_swap_state" },
	{ 0x4f26a86e, "drm_vblank_work_init" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xc6d78318, "platform_device_register_full" },
	{ 0xc302abca, "sysfs_create_link" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf7e18412, "drm_fb_helper_initial_config" },
	{ 0x122c3a7e, "_printk" },
	{ 0x95bd81f6, "__drm_atomic_helper_connector_reset" },
	{ 0x1c6afd4a, "drm_atomic_helper_wait_for_dependencies" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x42985a3f, "drm_dev_put" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x20f61e3f, "drm_calc_timestamping_constants" },
	{ 0xeffef8b3, "pwm_get" },
	{ 0xccfc7184, "drm_crtc_vblank_on" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xbf1ab696, "__drm_atomic_helper_plane_destroy_state" },
	{ 0x829b6048, "drm_dp_dsc_sink_max_slice_count" },
	{ 0x5c3cb055, "drm_connector_set_panel_orientation_with_quirk" },
	{ 0xa0ff6188, "drm_connector_cleanup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf49d3553, "vga_switcheroo_unregister_client" },
	{ 0x582f248e, "drm_dp_get_adjust_request_pre_emphasis" },
	{ 0x1fac72bf, "drm_crtc_from_index" },
	{ 0x70ae19bd, "sysfs_remove_bin_file" },
	{ 0x94961283, "vunmap" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb7cd0987, "drm_dp_set_subconnector_property" },
	{ 0x651a4139, "test_taint" },
	{ 0xa72f765, "drm_clflush_virt_range" },
	{ 0xeaa07d40, "drm_kms_helper_poll_fini" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x77bc13a0, "strim" },
	{ 0x754d539c, "strlen" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x10b2bdea, "alloc_pages" },
	{ 0x31be0ae0, "hdmi_infoframe_log" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe8331249, "drm_atomic_helper_update_plane" },
	{ 0x5336fe83, "drm_modeset_unlock" },
	{ 0x192bd637, "relay_file_operations" },
	{ 0xd3bb1d6e, "drm_dp_read_sink_count" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0x20df643f, "drm_kms_helper_hotplug_event" },
	{ 0x78c04946, "drm_any_plane_has_format" },
	{ 0x8826c13b, "acpi_video_register" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x72557734, "drm_mode_config_reset" },
	{ 0x4d926efb, "__SCK__tp_func_dma_fence_signaled" },
	{ 0x4ae90d8e, "hdmi_avi_infoframe_check" },
	{ 0xaf158a3a, "check_move_unevictable_folios" },
	{ 0x54f5cb6b, "fb_io_write" },
	{ 0x3022b649, "ttm_bo_move_accel_cleanup" },
	{ 0x24261659, "drm_fb_helper_blank" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x26532144, "drm_release_noglobal" },
	{ 0xdc418e9b, "i2c_transfer" },
	{ 0x3309eeb5, "drm_atomic_helper_commit_duplicated_state" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0x665ce36f, "drm_atomic_set_fb_for_plane" },
	{ 0x5c0366dc, "pm_runtime_no_callbacks" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe31b9301, "intel_gmch_gtt_flush" },
	{ 0x85fb464f, "platform_device_unregister" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x9d3d5ed6, "pci_rebar_get_possible_sizes" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfcd2d18f, "drm_dp_send_power_updown_phy" },
	{ 0x9073b37b, "drm_kms_helper_poll_enable" },
	{ 0xf8fad654, "drm_crtc_vblank_reset" },
	{ 0x94ed1ded, "drm_dp_mst_root_conn_atomic_check" },
	{ 0x19b0ed26, "vga_get" },
	{ 0x63c00eac, "ttm_device_fini" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x9bababc4, "drm_connector_init" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0xb19b445, "ioread8" },
	{ 0x96f632fc, "drm_dp_add_payload_part1" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6cdafff1, "fput" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0xf4b266da, "drm_connector_list_iter_begin" },
	{ 0x3f622220, "drm_mode_create_dp_colorspace_property" },
	{ 0xb15ba3c7, "drm_dp_mst_topology_mgr_resume" },
	{ 0x87daac5d, "drm_is_current_master" },
	{ 0x6d888476, "drm_dp_downstream_debug" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xe3ac15d5, "drm_mode_is_420_only" },
	{ 0xd04bea4b, "drm_fb_helper_damage_area" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x81a21eab, "drm_helper_move_panel_connectors_to_head" },
	{ 0xc50680d5, "__pm_runtime_use_autosuspend" },
	{ 0xa4afc9e9, "mipi_dsi_dcs_nop" },
	{ 0x6b12e9c6, "drm_edp_backlight_set_level" },
	{ 0xdfa50c40, "drm_dp_set_phy_test_pattern" },
	{ 0x4da76b14, "__mmap_lock_do_trace_released" },
	{ 0x9e124c65, "sysfs_remove_link" },
	{ 0x7c88c586, "drm_connector_set_link_status_property" },
	{ 0x6d83b2b5, "drm_crtc_cleanup" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5ddbd42d, "drm_edid_read_ddc" },
	{ 0x9ae0bb0f, "dma_resv_fini" },
	{ 0x1641947c, "pinctrl_select_state" },
	{ 0xafb864c1, "refcount_dec_and_lock_irqsave" },
	{ 0xe3ef901d, "dma_fence_array_create" },
	{ 0x1503b9d6, "ttm_pool_alloc" },
	{ 0x4519e965, "dump_page" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x648d953b, "drm_dsc_dp_pps_header_init" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x56f3fac4, "drm_plane_create_zpos_immutable_property" },
	{ 0xd2e93201, "vmap" },
	{ 0x30a21c23, "drm_fb_helper_set_par" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xb8e3fd42, "drm_mode_destroy" },
	{ 0x910793e7, "drm_fb_helper_set_suspend" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x10d86899, "pm_runtime_get_if_active" },
	{ 0x547c997b, "drm_crtc_vblank_put" },
	{ 0xbb8e169a, "vga_switcheroo_handler_flags" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf0ec9340, "drm_dp_read_clock_recovery_delay" },
	{ 0x7ced6992, "hygon_lmc_key" },
	{ 0x24de7432, "seq_puts" },
	{ 0x107742a9, "drm_get_subpixel_order_name" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0xf5b4f9bb, "drm_ioctl" },
	{ 0x7d630965, "handle_simple_irq" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe43c0265, "simple_attr_write" },
	{ 0x42dedef1, "drm_mode_duplicate" },
	{ 0x4720a717, "drm_modeset_lock_single_interruptible" },
	{ 0x278fa4b6, "drm_plane_create_alpha_property" },
	{ 0x1fbf30bd, "init_uts_ns" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xad48df8b, "drm_ioctl_kernel" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xedc03953, "iounmap" },
	{ 0x146b5986, "ttm_bo_unmap_virtual" },
	{ 0x40d04664, "console_trylock" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0x20ae13f7, "simple_open" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x2ec6ccdc, "drm_object_attach_property" },
	{ 0x43b47952, "device_link_remove" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xf9ca2eb4, "kstrtoint_from_user" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,drm_display_helper,ttm,video,drm_buddy,backlight,i2c-algo-bit,cec");

MODULE_ALIAS("pci:v00008086d00003577sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002562sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003582sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000358Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002572sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002582sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000258Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002592sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002772sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000027A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000027AEsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002972sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002982sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002992sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000029D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002A42sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E32sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E42sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00002E92sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A001sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A011sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000042sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000046sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000102sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000010Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000112sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000122sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000106sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000116sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000126sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000016Asv0000152Dsd00008990bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000156sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000166sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000152sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000015Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000162sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000016Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000402sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000406sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000040Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D02sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D06sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D0Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000412sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000416sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000041Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D12sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D16sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D1Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000422sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000426sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000042Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000C2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D22sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D26sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000D2Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F30sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F31sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F32sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000F33sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001606sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001602sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000160Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001616sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001612sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000161Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001622sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000162Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001636sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001632sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000163Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000022B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001913sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001915sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001902sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000190Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001917sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001916sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001921sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001912sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000191Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001923sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001926sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001927sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000192Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001932sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000193Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00000A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00001A85sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005A84sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005A85sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003184sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003185sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005913sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005915sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005902sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000590Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005916sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005921sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Esv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005912sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005917sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005926sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005923sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005927sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000593Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000591Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000087C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E93sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E99sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E91sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E92sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E96sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E98sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E94sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003E9Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA7sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000087CAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00003EA2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BA8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BC8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BE6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BF6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009B21sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BAAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BACsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009B41sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BCAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009BCCsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A50sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A52sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A53sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A54sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A56sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A57sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A58sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A71sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00008A5Dsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004541sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004551sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004555sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004557sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004570sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004571sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E51sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E57sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E61sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004E71sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A68sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A70sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A49sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A59sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009A78sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AC9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AD9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00009AF8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C80sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C8Csv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C90sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004C9Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004680sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004682sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004688sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000468Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046AAsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004626sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004628sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046C3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000046D2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004905sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004906sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004907sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004908sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00004909sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A780sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A781sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A782sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A783sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A788sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A789sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Asv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A78Bsv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A721sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A9sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A720sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d0000A7A8sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005690sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005691sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005692sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005693sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005694sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005695sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A5sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A6sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005696sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00005697sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056A4sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B2sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056B3sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C0sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d000056C1sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D40sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D60sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D45sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007D55sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00008086d00007DD5sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "8B8770AFDE3B26C746B7248");
