#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xac832982, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x7a8b8a61, "_gpl");
SYMBOL_CRC(stm_data_write, 0xe0d7f892, "_gpl");
SYMBOL_CRC(stm_register_device, 0xb6db7f79, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x2132b981, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x28e3f33f, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x9a993fb4, "_gpl");
SYMBOL_CRC(stm_source_write, 0xe213abc3, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x04e082d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd40be227, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9f8a18f8, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x84dde4f4, "device_unregister" },
	{ 0x4c431cfe, "pm_runtime_set_autosuspend_delay" },
	{ 0xaea41af7, "vm_iomap_memory" },
	{ 0x2f5e7ede, "config_item_get" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc24499e5, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe389ce5f, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6cba6a3b, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6c008d9, "put_device" },
	{ 0x1094ae9f, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xfbe17911, "module_put" },
	{ 0xecee80a8, "compat_ptr_ioctl" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x340c41e9, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xdfabd7a8, "configfs_register_subsystem" },
	{ 0x29d7c05a, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0x53628a6d, "config_group_init_type_name" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc7635d38, "class_unregister" },
	{ 0x506300cd, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x49798b5f, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5c0366dc, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7f5f0b70, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x53b5f6f5, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x293900b8, "config_item_put" },
	{ 0x9245ddcb, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9f5be2b9, "kobject_set_name" },
	{ 0x43d4e33c, "device_match_name" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfa16f1f7, "boot_cpu_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xc50680d5, "__pm_runtime_use_autosuspend" },
	{ 0x725c82cd, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd587579f, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x6530263d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8117C4D1C07EC8F6D13605");
