#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rvt_alloc_device, "", "");
KSYMTAB_FUNC(rvt_dealloc_device, "", "");
KSYMTAB_FUNC(rvt_register_device, "", "");
KSYMTAB_FUNC(rvt_unregister_device, "", "");
KSYMTAB_FUNC(rvt_init_port, "", "");
KSYMTAB_FUNC(rvt_check_ah, "", "");
KSYMTAB_FUNC(rvt_cq_enter, "", "");
KSYMTAB_FUNC(rvt_mcast_find, "", "");
KSYMTAB_FUNC(rvt_fast_reg_mr, "", "");
KSYMTAB_FUNC(rvt_invalidate_rkey, "", "");
KSYMTAB_FUNC(rvt_lkey_ok, "", "");
KSYMTAB_FUNC(rvt_rkey_ok, "", "");
KSYMTAB_DATA(ib_rvt_state_ops, "", "");
KSYMTAB_FUNC(rvt_error_qp, "", "");
KSYMTAB_FUNC(rvt_get_rwqe, "", "");
KSYMTAB_FUNC(rvt_comm_est, "", "");
KSYMTAB_FUNC(rvt_rc_error, "", "");
KSYMTAB_FUNC(rvt_rnr_tbl_to_usec, "", "");
KSYMTAB_FUNC(rvt_add_retry_timer_ext, "", "");
KSYMTAB_FUNC(rvt_add_rnr_timer, "", "");
KSYMTAB_FUNC(rvt_stop_rc_timers, "", "");
KSYMTAB_FUNC(rvt_del_timers_sync, "", "");
KSYMTAB_FUNC(rvt_rc_rnr_retry, "", "");
KSYMTAB_FUNC(rvt_qp_iter_init, "", "");
KSYMTAB_FUNC(rvt_qp_iter_next, "", "");
KSYMTAB_FUNC(rvt_qp_iter, "", "");
KSYMTAB_FUNC(rvt_send_complete, "", "");
KSYMTAB_FUNC(rvt_copy_sge, "", "");
KSYMTAB_FUNC(rvt_ruc_loopback, "", "");
KSYMTAB_FUNC(rvt_compute_aeth, "", "");
KSYMTAB_FUNC(rvt_get_credit, "", "");
KSYMTAB_FUNC(rvt_restart_sge, "", "");

SYMBOL_CRC(rvt_alloc_device, 0x3bd33049, "");
SYMBOL_CRC(rvt_dealloc_device, 0x2638890b, "");
SYMBOL_CRC(rvt_register_device, 0x1c783e53, "");
SYMBOL_CRC(rvt_unregister_device, 0x5c192d5a, "");
SYMBOL_CRC(rvt_init_port, 0x740a1be6, "");
SYMBOL_CRC(rvt_check_ah, 0x3ab60baa, "");
SYMBOL_CRC(rvt_cq_enter, 0x86a343fd, "");
SYMBOL_CRC(rvt_mcast_find, 0x53cf4f8e, "");
SYMBOL_CRC(rvt_fast_reg_mr, 0x90a4d8ab, "");
SYMBOL_CRC(rvt_invalidate_rkey, 0x416713e3, "");
SYMBOL_CRC(rvt_lkey_ok, 0x8709c09f, "");
SYMBOL_CRC(rvt_rkey_ok, 0x6c0d8115, "");
SYMBOL_CRC(ib_rvt_state_ops, 0x0e385842, "");
SYMBOL_CRC(rvt_error_qp, 0xb3f21928, "");
SYMBOL_CRC(rvt_get_rwqe, 0x427c8921, "");
SYMBOL_CRC(rvt_comm_est, 0xe88560ee, "");
SYMBOL_CRC(rvt_rc_error, 0xd35ecf04, "");
SYMBOL_CRC(rvt_rnr_tbl_to_usec, 0xe9cf3e43, "");
SYMBOL_CRC(rvt_add_retry_timer_ext, 0xbcecff23, "");
SYMBOL_CRC(rvt_add_rnr_timer, 0x4ed12ec0, "");
SYMBOL_CRC(rvt_stop_rc_timers, 0x7e6fa891, "");
SYMBOL_CRC(rvt_del_timers_sync, 0x693f85d4, "");
SYMBOL_CRC(rvt_rc_rnr_retry, 0xc582fca1, "");
SYMBOL_CRC(rvt_qp_iter_init, 0xda4f6a5b, "");
SYMBOL_CRC(rvt_qp_iter_next, 0x7caf1adc, "");
SYMBOL_CRC(rvt_qp_iter, 0x03a627b8, "");
SYMBOL_CRC(rvt_send_complete, 0xcab66d1a, "");
SYMBOL_CRC(rvt_copy_sge, 0x415f8ead, "");
SYMBOL_CRC(rvt_ruc_loopback, 0xcc424dd9, "");
SYMBOL_CRC(rvt_compute_aeth, 0xb3a9eb10, "");
SYMBOL_CRC(rvt_get_credit, 0x90eabe6b, "");
SYMBOL_CRC(rvt_restart_sge, 0x0f3bf3e1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x425bf26f, "rdma_copy_ah_attr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4ec5b6fd, "ib_umem_release" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0xfacea7a1, "hrtimer_try_to_cancel" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c21be6f, "ib_sg_to_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf1c19ca7, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0xe625e86b, "ib_unregister_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6c1cab2e, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5635a60a, "vmalloc_user" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4cb99d0c, "kmalloc_node_trace" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88bfd65c, "ib_unregister_mad_agent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x59c847cd, "cpumask_of_node" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0xc332c97, "rdma_destroy_ah_attr" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x9aaa48f0, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xf220fd3c, "ib_umem_get" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xdfce9088, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x971c2edc, "rdma_destroy_ah_user" },
	{ 0x63c45d34, "ib_dealloc_device" },
	{ 0x36559f, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfa16f1f7, "boot_cpu_data" },
	{ 0x910bc5f4, "ib_register_mad_agent" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xb2c9a8c9, "remap_vmalloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x119d2cc7, "rdma_replace_ah_attr" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xd0aef05a, "ib_set_device_ops" },
	{ 0x61d24c52, "ib_rate_to_mbps" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_uverbs");


MODULE_INFO(srcversion, "ED8D30DB8BC26639765D111");
