#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x144ce7b7, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x553cccc2, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x2014ce2e, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x0c9af32c, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x624d32c4, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0xf4017b76, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0x05d8ca8c, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0x8c2ac4a8, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x439ab213, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x84faa8d8, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x48608ac5, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0xf773fa48, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0xc3e51bca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x15ab8095, "usb_bulk_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe55a0f12, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc11cc822, "add_timer" },
	{ 0xa0db4f0d, "usb_sg_wait" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2fbe4089, "usb_control_msg" },
	{ 0x3ae7407f, "usb_register_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xab4f6da9, "device_for_each_child" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x6cf015fb, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0xd7714826, "usb_sg_cancel" },
	{ 0x29cebed4, "usb_deregister" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xe12a4d42, "mfd_add_devices" },
	{ 0xb7312e4e, "usb_enable_autosuspend" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");
