#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x4c80e689, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x9e07d011, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x84aed32, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf218a5ea, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd34a5212, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x22364555, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf1f1cf0c, "param_ops_ushort" },
	{ 0x526604a3, "consume_skb" },
	{ 0x7283db9f, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x66bd0854, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x19e0e1de, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4519e965, "dump_page" },
	{ 0x9e38b101, "ndo_dflt_bridge_getlink" },
	{ 0xf7a575a8, "unregister_netdev" },
	{ 0x78dbee3e, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x65e62872, "dma_unmap_page_attrs" },
	{ 0xd79c950f, "request_firmware" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0xa188c3cb, "pci_num_vf" },
	{ 0x1fed78d8, "pci_request_regions" },
	{ 0xeb93051, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xe7f0ff85, "pci_sriov_get_totalvfs" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x7d1971c0, "__put_devmap_managed_page_refs" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x11dcd8a1, "udp_tunnel_nic_ops" },
	{ 0xc960f8ab, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc19ba014, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x762b813f, "eth_type_trans" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e2efa93, "dma_map_page_attrs" },
	{ 0xfd320196, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa094a951, "__napi_schedule" },
	{ 0x1fd357c6, "pci_enable_msix_range" },
	{ 0xffd9b78b, "netif_device_detach" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xf415654a, "__hw_addr_unsync_dev" },
	{ 0x52767a81, "netif_device_attach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x8708b7f, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xef85856, "netif_set_real_num_tx_queues" },
	{ 0x751df9d8, "netif_set_real_num_rx_queues" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfd255da, "skb_push" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0xfba412f1, "napi_enable" },
	{ 0x745f8e4c, "netif_receive_skb" },
	{ 0x65810f23, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe050f383, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0x6b0c2eb9, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd5901bff, "pci_iounmap" },
	{ 0x8809d884, "pci_restore_state" },
	{ 0x887028ef, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb7c85ae1, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xcd8e20d4, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0xa30ab138, "netif_tx_lock" },
	{ 0xc05ccdd7, "__netdev_alloc_skb" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0xade55649, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb77dc150, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x10b2bdea, "alloc_pages" },
	{ 0xebd8c8f7, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34e9aa36, "netif_carrier_off" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x749d5d0d, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x377574, "__hw_addr_sync_dev" },
	{ 0xb88f7175, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x883396d6, "netif_carrier_on" },
	{ 0xc9998cfe, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0xedccf099, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x488aa711, "napi_schedule_prep" },
	{ 0xc44871, "pci_sriov_set_totalvfs" },
	{ 0xaa3b93d, "napi_disable" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0x98331cc, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbbc9435b, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa3216db7, "pci_write_config_dword" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x8cb329be, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "54F7FBA3F6C66A05A883538");
