#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xe5135147, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x592d4bc2, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x55767e51, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xe01716d6, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x07b3f806, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72935796, "__tracepoint_xdp_exception" },
	{ 0xefe91626, "xsk_tx_completed" },
	{ 0x84aed32, "alloc_etherdev_mqs" },
	{ 0x5a208370, "netdev_lower_get_next" },
	{ 0xcab921, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf218a5ea, "pci_save_state" },
	{ 0xe98ef9be, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5245d989, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x19e192d3, "device_set_wakeup_enable" },
	{ 0xd34a5212, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc3a5152, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4826442e, "pci_find_ext_capability" },
	{ 0x71695ca3, "kthread_create_worker" },
	{ 0xfa2b108b, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ede85e9, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7e9de901, "devlink_unregister" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe9fb9efc, "devm_request_threaded_irq" },
	{ 0x468679dd, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0x80aec92b, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x437f4dba, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfce97b63, "call_switchdev_notifiers" },
	{ 0x65f9a1da, "__napi_alloc_skb" },
	{ 0x25c46c84, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdcb5c42d, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc7417a76, "auxiliary_device_init" },
	{ 0x147f42c0, "pci_enable_device_mem" },
	{ 0x526604a3, "consume_skb" },
	{ 0xe4b45794, "kthread_delayed_work_timer_fn" },
	{ 0x6e946291, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xaf97e1e2, "pci_alloc_irq_vectors" },
	{ 0x33071ec2, "flow_rule_match_l2tpv3" },
	{ 0x66bd0854, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x18a06879, "xsk_tx_peek_release_desc_batch" },
	{ 0x19e0e1de, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x8b88401c, "dmam_alloc_attrs" },
	{ 0x4519e965, "dump_page" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x3ce1c1fc, "devl_lock" },
	{ 0xfd8dbc97, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9e38b101, "ndo_dflt_bridge_getlink" },
	{ 0xf7a575a8, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x204a8220, "xdp_features_set_redirect_target" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x41fb5559, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x65e62872, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd79c950f, "request_firmware" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0xac3aed11, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x89eccbbb, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x744cafc7, "devlink_params_unregister" },
	{ 0x5f1ebe5a, "dma_sync_single_for_device" },
	{ 0xa188c3cb, "pci_num_vf" },
	{ 0xe81ba41a, "flow_rule_match_eth_addrs" },
	{ 0xa3b0a5b4, "skb_add_rx_frag" },
	{ 0x327f3688, "get_device_system_crosststamp" },
	{ 0xaa328777, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb64336ed, "ptp_clock_index" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x59141fd8, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0c0cf9b, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x23802861, "devl_rate_leaf_destroy" },
	{ 0xbd832353, "devlink_register" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xe38c12b2, "xdp_do_redirect" },
	{ 0xee395ef7, "devlink_free" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe5f5c47b, "devl_rate_node_create" },
	{ 0xfd436e9c, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x11dcd8a1, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x78c4fd43, "pci_set_power_state" },
	{ 0xe58c60bb, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb8405555, "pci_irq_vector" },
	{ 0x2957bf61, "flow_rule_match_ipv4_addrs" },
	{ 0xc960f8ab, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7926cdac, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x77edf38e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0x2cb00249, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x6205c8b4, "devlink_flash_update_status_notify" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0x55e5276f, "pci_restore_msi_state" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0xb917e88b, "xdp_return_buff" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x68fdada9, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xfae4f766, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x762b813f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e2efa93, "dma_map_page_attrs" },
	{ 0xfd320196, "napi_complete_done" },
	{ 0xd6510ee0, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8b3ef64d, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x3d0ee75b, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0xce389356, "devm_free_irq" },
	{ 0xb1ca1490, "net_dim" },
	{ 0xa094a951, "__napi_schedule" },
	{ 0x2289c592, "ipv6_skip_exthdr" },
	{ 0xa5e44ed5, "xsk_set_rx_need_wakeup" },
	{ 0xa5809337, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xffd9b78b, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xa26c1244, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf415654a, "__hw_addr_unsync_dev" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x83b2cfad, "napi_gro_receive" },
	{ 0x52767a81, "netif_device_attach" },
	{ 0x57a7b56e, "xdp_features_clear_redirect_target" },
	{ 0x8962e66c, "netdev_pick_tx" },
	{ 0x149f5c94, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xae92cf53, "xp_raw_get_dma" },
	{ 0xe8d93bd0, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x719d3243, "xdp_rxq_info_is_reg" },
	{ 0x33242691, "flow_rule_match_enc_opts" },
	{ 0x52a191ee, "flow_block_cb_setup_simple" },
	{ 0xda3f6963, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4493f73, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x6a16021c, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x883dd431, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xea4e2478, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x38130b, "vlan_dev_real_dev" },
	{ 0xa2cccc19, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x80f7566b, "devm_kmemdup" },
	{ 0xf929fefe, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xde8d0800, "devlink_port_unregister" },
	{ 0x3c885b81, "devlink_flash_update_timeout_notify" },
	{ 0x4cda5f4, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xc73a9462, "init_net" },
	{ 0x8708b7f, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4b38d49e, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x45866860, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xdc736f30, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xef85856, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x10b17c2c, "__auxiliary_device_add" },
	{ 0xa7c98fc9, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x751df9d8, "netif_set_real_num_rx_queues" },
	{ 0x23e97f87, "flow_indr_block_cb_alloc" },
	{ 0x84b41949, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xac053f0b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x79f9e2d3, "pci_device_is_present" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0xfbdab613, "pcie_flr" },
	{ 0xfba412f1, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd7e1fb26, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xeee41da, "dcbnl_ieee_notify" },
	{ 0xfb20e828, "xsk_uses_need_wakeup" },
	{ 0x65810f23, "register_netdev" },
	{ 0xce78c2f5, "dev_mc_del" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xe050f383, "free_netdev" },
	{ 0xaf87fa77, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x6b0c2eb9, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4da09825, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x63e66840, "netif_tx_stop_all_queues" },
	{ 0x8809d884, "pci_restore_state" },
	{ 0xb016fe83, "bpf_trace_run1" },
	{ 0x887028ef, "netif_tx_wake_queue" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb7c85ae1, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x1b07fd2e, "dcb_getapp" },
	{ 0x4ea968c8, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x913044e0, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb64f49a0, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x266ace2f, "netif_schedule_queue" },
	{ 0x9ec0a81d, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5454cf4d, "flow_rule_match_ipv6_addrs" },
	{ 0xc68ec3e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc307d1d9, "ptp_clock_unregister" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0xb58b48ca, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x4000d136, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x31159d12, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfe1beb3d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x70cbf9a7, "flow_rule_match_pppoe" },
	{ 0x6212af15, "flow_rule_match_enc_control" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x89a20c52, "__page_frag_cache_drain" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf0139976, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb090a658, "rps_may_expire_flow" },
	{ 0x9f7dcfd2, "metadata_dst_free" },
	{ 0x4b02cfb9, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4f6b7d5, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6959ab87, "devlink_params_register" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0xcf198150, "kthread_destroy_worker" },
	{ 0x179281a1, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x8f960937, "flow_rule_match_enc_ports" },
	{ 0x1b8227b5, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x647c924a, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xa15a86ae, "pcie_print_link_status" },
	{ 0x3d4a7cb2, "xp_set_rxq_info" },
	{ 0xe5af0af4, "flow_rule_match_vlan" },
	{ 0x4d201ad6, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x95539151, "napi_build_skb" },
	{ 0xab226d6a, "netdev_master_upper_dev_get_rcu" },
	{ 0x8b8bc618, "__xdp_rxq_info_reg" },
	{ 0x994a9693, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34e9aa36, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xecfd47de, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x377574, "__hw_addr_sync_dev" },
	{ 0xd1269a9b, "devlink_port_register_with_ops" },
	{ 0xb88f7175, "pci_disable_sriov" },
	{ 0xdfb7cb6f, "pldmfw_flash_image" },
	{ 0xafa4999f, "kthread_queue_delayed_work" },
	{ 0x27dd5bf7, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd2ec073f, "dst_release" },
	{ 0x883396d6, "netif_carrier_on" },
	{ 0x3cc947f0, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x242acaa0, "dev_uc_add_excl" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfa16f1f7, "boot_cpu_data" },
	{ 0xc2970f40, "xp_free" },
	{ 0x25fa445c, "dev_mc_add_excl" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xedccf099, "netif_set_tso_max_size" },
	{ 0xb76f871b, "__skb_flow_dissect" },
	{ 0x3a0896ee, "vlan_dev_vlan_id" },
	{ 0xaecc713c, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x5215ca54, "pcim_iomap_table" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x7c758812, "xdp_master_redirect" },
	{ 0x7a020c84, "__devm_add_action" },
	{ 0x488aa711, "napi_schedule_prep" },
	{ 0xe561f734, "napi_consume_skb" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0x8113cb20, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xaa3b93d, "napi_disable" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0xc4533da8, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf42158b9, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc63be68c, "pci_free_irq_vectors" },
	{ 0x2055710a, "flow_rule_match_control" },
	{ 0xedd2cd14, "flow_rule_match_ip" },
	{ 0xbbc9435b, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x9dbf8a85, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x7da7559, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf0367979, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x8cb329be, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf8305b2c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5EBAA391858BA42463741D2");
