#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x2652570f, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x9ddbba7c, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x0a944a50, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x2ce03d73, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xdc0144fa, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xd8c8c1f4, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0xc779b4a0, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x542bc9fa, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x27e507c2, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x7fe021a0, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xb0baaf94, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x12ecf1fa, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xbb343540, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x01106872, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x05d3bc45, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0xbb4c7165, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0xaaad12d5, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0x5643ace1, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0xd54a8813, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x9d288521, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0xc60900c2, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xe0dbe750, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x1d299618, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x6d920d41, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xddf84001, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xa42f1ce1, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x21b500c0, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0xa0df4596, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x4b43bfed, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x3ff3f928, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xfe52a40e, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x07454f4d, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xcda59b10, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x2382f945, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0x1f6f7529, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x238653b6, "");
SYMBOL_CRC(mlx4_test_async, 0xa4a6830f, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x4be35f05, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x6f8f1844, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x76516480, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0xc9df6f51, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x43173975, "");
SYMBOL_CRC(mlx4_assign_eq, 0x54aa7429, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xaa6aa020, "");
SYMBOL_CRC(mlx4_release_eq, 0xdd589225, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0xe8d6c047, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xb2c65dba, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x0da22437, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xa3e09cca, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x9f506e11, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0xab85da02, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x44d3cec0, "");
SYMBOL_CRC(mlx4_wol_read, 0xd5bd9c33, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x169ce513, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x89eb20dd, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xd3e9c1e3, "");
SYMBOL_CRC(set_phv_bit, 0xfc085ef3, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x6b27e578, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0xdba9d261, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0xe50791bb, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x5bb43d52, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x6b4b6c83, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x5bc27807, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x76c3f2a5, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xf617cb13, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0xe4da0181, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x48d54d65, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x9865d9cc, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x9b717e37, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0xb4f96c4b, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x33e5d56e, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xb3db1a56, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xce8d099a, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0xf1de416d, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x3453dd11, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x77fcea58, "");
SYMBOL_CRC(mlx4_read_clock, 0xe657797b, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xeb293952, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xd4dec38f, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0xec041568, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x3eff7e15, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x97a15a13, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x4aaa7bd7, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x195d0221, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x2e6a1979, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x74863248, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x8db33d26, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x7b8215e5, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xe3bb7cb9, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xdc0cdaf1, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x8962eb18, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0xcceed3a3, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x7d73762f, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x67591fe9, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x590d4e63, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xb7c4affa, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x6b7cc77a, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xb5e921fe, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0xa749eab4, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x584104b4, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xd31e3e64, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x2d97d398, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0x1780382f, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xf3bd3e51, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x10aff3a4, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xfbadf3b8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x220cccfd, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x5f7baa41, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xbdf8564d, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x464ec05f, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xd19d5a37, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0xcaae5674, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x1bef1eb7, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x993ac36f, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xb43f663a, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xd9a67b3c, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xff079143, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x2a3c9b1c, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x9393e2e6, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xa787ac76, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xb23b39e8, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xda192a07, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xb3002da7, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x2e01d0ec, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x6b6bf088, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x7fd2881d, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x6d952978, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xcdf54a4f, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0xf8341baf, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x65acc472, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xe35a6529, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x2a305c21, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xa9bd0f5f, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xc5be0bfd, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x4c6d6e47, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0xb465a02e, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x833395d6, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x2e68faa3, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x4dde4f27, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x6c593d85, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0xbaceeda7, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x9eef5137, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0x5b26e86f, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x26ad3946, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x18303eec, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xabe73fb1, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0xf5daf0e9, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x25a2e289, "");
SYMBOL_CRC(mlx4_get_module_info, 0x940ec853, "");
SYMBOL_CRC(mlx4_max_tc, 0x759beffb, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x336278ff, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xbd7b4fa3, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x4372c5c6, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x45d358f2, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xdd39d7c9, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x7df5761e, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x432d88aa, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xcadaaec4, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x06a65fe5, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x4a364623, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x866bd118, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x0fb24c90, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xe982ad02, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x07452880, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf218a5ea, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7ba92cd3, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x32286ac0, "devl_region_create" },
	{ 0x7e9de901, "devlink_unregister" },
	{ 0x6555652e, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc7417a76, "auxiliary_device_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xae0e5302, "devlink_region_snapshot_id_get" },
	{ 0x3ce1c1fc, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x5f1ebe5a, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xa188c3cb, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa2cd8255, "param_array_ops" },
	{ 0x1fed78d8, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0c0cf9b, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xe7f0ff85, "pci_sriov_get_totalvfs" },
	{ 0xbd832353, "devlink_register" },
	{ 0x6a81ecea, "devlink_port_type_clear" },
	{ 0xee395ef7, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf0b41a19, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9b5c95fa, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa3641c7b, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9767d810, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8b3ef64d, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0x1fd357c6, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4cb99d0c, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0xa26c1244, "__free_pages" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x44b573ab, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xc73a9462, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x10b17c2c, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x67da9f1f, "devl_port_register_with_ops" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf7ac31c2, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8809d884, "pci_restore_state" },
	{ 0x24aeaa3a, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb7c85ae1, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe732f6f8, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x9ec0a81d, "__alloc_pages" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xddfc46e2, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x31159d12, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb77dc150, "pci_release_regions" },
	{ 0x75c5918c, "devl_assert_locked" },
	{ 0xa15a86ae, "pcie_print_link_status" },
	{ 0x10b2bdea, "alloc_pages" },
	{ 0xae085224, "devl_port_unregister" },
	{ 0x6e59580e, "devl_param_driverinit_value_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xecfd47de, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb88f7175, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc9998cfe, "pci_disable_msix" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfa16f1f7, "boot_cpu_data" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x3e7f670f, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8bf98099, "dma_unmap_sg_attrs" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x98331cc, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbbc9435b, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa3216db7, "pci_write_config_dword" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x9b1bdbcf, "device_remove_file" },
	{ 0xe990ee1a, "dma_map_sg_attrs" },
	{ 0xc3ddf399, "devl_param_value_changed" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");
