#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb726f96, "phy_init_hw" },
	{ 0x90eb946, "usbnet_resume" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x29cebed4, "usb_deregister" },
	{ 0xd1b77755, "usb_autopm_get_interface_no_resume" },
	{ 0x60c6204f, "usb_autopm_put_interface" },
	{ 0x2d2eaaa6, "platform_get_ethdev_address" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7b5333ec, "phy_disconnect" },
	{ 0xfd603581, "mdiobus_unregister" },
	{ 0xb6b034aa, "mdiobus_free" },
	{ 0xf73d1e95, "__irq_resolve_mapping" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x2ee0c7e9, "irq_domain_remove" },
	{ 0xa0368dac, "irq_domain_free_fwnode" },
	{ 0x37a0cba, "kfree" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x30d0acf, "genphy_read_status" },
	{ 0xed767ba3, "phy_mii_ioctl" },
	{ 0x208da2d9, "skb_pull" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc05ccdd7, "__netdev_alloc_skb" },
	{ 0xc4fa1323, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfe21d3fe, "skb_trim" },
	{ 0x42458d33, "usbnet_skb_return" },
	{ 0x86e1840d, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa8472d98, "usbnet_get_endpoints" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb76a3060, "__irq_domain_alloc_fwnode" },
	{ 0x199618eb, "irq_domain_simple_ops" },
	{ 0x695e6ca7, "__irq_domain_add" },
	{ 0x41a98996, "irq_create_mapping_affinity" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0x7d630965, "handle_simple_irq" },
	{ 0x852db9e, "irq_set_chip_and_handler_name" },
	{ 0xfc2f6fd7, "mdiobus_alloc_size" },
	{ 0xaf6d1cc1, "__mdiobus_register" },
	{ 0xd8b9fe92, "phy_find_first" },
	{ 0xcb63d827, "phy_connect_direct" },
	{ 0x7c54f28a, "phy_attached_info" },
	{ 0x77edf38e, "netdev_err" },
	{ 0x56c34440, "usbnet_suspend" },
	{ 0xfb578fc5, "memset" },
	{ 0x6b6f6010, "usbnet_probe" },
	{ 0x363c7b1, "usbnet_disconnect" },
	{ 0xa91d1804, "usbnet_open" },
	{ 0x993abcc, "usbnet_stop" },
	{ 0x81b8fb0c, "usbnet_start_xmit" },
	{ 0x7ccd51cf, "eth_mac_addr" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x12d459bd, "usbnet_change_mtu" },
	{ 0x5f2f3c53, "usbnet_tx_timeout" },
	{ 0x7b093de1, "dev_get_tstats64" },
	{ 0x57b7b69c, "usbnet_get_drvinfo" },
	{ 0xb1dd43a3, "usbnet_get_msglevel" },
	{ 0x648ab6af, "usbnet_set_msglevel" },
	{ 0x334bef17, "phy_ethtool_nway_reset" },
	{ 0x46ea91ea, "net_selftest" },
	{ 0xf0367979, "ethtool_op_get_ts_info" },
	{ 0x4ee8088a, "phy_ethtool_get_link_ksettings" },
	{ 0x307c9904, "phy_ethtool_set_link_ksettings" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xfd255da, "skb_push" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xc3676b71, "usbnet_read_cmd" },
	{ 0x9245969c, "usbnet_read_cmd_nopm" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfd436e9c, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6d1c93f5, "usbnet_write_cmd" },
	{ 0xa02a1808, "usbnet_write_cmd_nopm" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfe1beb3d, "__dynamic_netdev_dbg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc997f6e9, "generic_handle_domain_irq" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7915527b, "phy_start" },
	{ 0xaa622a89, "phy_stop" },
	{ 0xb7f6a2cd, "phy_get_pause" },
	{ 0x36fa07bf, "phy_print_status" },
	{ 0x135e5c4c, "usbnet_defer_kevent" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x19e192d3, "device_set_wakeup_enable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8cb329be, "netdev_info" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3ae7407f, "usb_register_driver" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "usbnet");

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0878p1400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v184Fp0051d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1E6A952C6FEABE611EA4AA6");
