#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0x552e0429, "");
SYMBOL_CRC(ath10k_info, 0x856ed728, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x308d5ee5, "");
SYMBOL_CRC(ath10k_err, 0x976efde4, "");
SYMBOL_CRC(ath10k_warn, 0x102247dd, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xab456256, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xe8862b7e, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x860f8146, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0x57393aea, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x9fb9acff, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x34f29075, "");
SYMBOL_CRC(ath10k_core_start, 0x267e3de4, "");
SYMBOL_CRC(ath10k_core_stop, 0x6a1702cb, "");
SYMBOL_CRC(ath10k_core_register, 0x74b67f70, "");
SYMBOL_CRC(ath10k_core_unregister, 0xb6278514, "");
SYMBOL_CRC(ath10k_core_create, 0xa69ff214, "");
SYMBOL_CRC(ath10k_core_destroy, 0xad602a9d, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x6590a5b1, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xaf1746c5, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x2960062b, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xc1e67e99, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0xd6d270fe, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x4ee49da6, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x0bfaae45, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x8adb42bf, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x680465e7, "");
SYMBOL_CRC(ath10k_bmi_start, 0x2f7de455, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xaa494767, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x3fc616ff, "");
SYMBOL_CRC(ath10k_coredump_new, 0xb89722f0, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xcd2308d7, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0xc14d772f, "");
SYMBOL_CRC(ath10k_ce_send, 0x4da74b94, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xec98b110, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xd2ac29f5, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x3925d4c9, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0x0a8923ee, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xe686af28, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xb7fd5c37, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xb0da5ede, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x4b5658d0, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0x4684766f, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x018ba6e8, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x5d7349f2, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xcb91a673, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x491ce949, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x1617e3a0, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x16e3d06e, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0xf724d990, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x070c4ab0, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x3351d790, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xdb26a662, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0xd1be82ae, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x46408e6c, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xd9b1ed71, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x0b9d2de6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc9c7fe9e, "ieee80211_beacon_update_cntdwn" },
	{ 0x880bf5db, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x19e192d3, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xd1706c83, "ieee80211_connection_loss" },
	{ 0x64ec9596, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe04e59b2, "is_acpi_device_node" },
	{ 0x6afab0de, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf3e31fd, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2bee4de, "ieee80211_txq_get_depth" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0xf511ff3, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xc4fa1323, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xdcb5c42d, "firmware_request_nowarn" },
	{ 0x526604a3, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x55bd556f, "ieee80211_txq_may_transmit" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x61ca7a69, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x93c4182c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5ed8ba9b, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x65e62872, "dma_unmap_page_attrs" },
	{ 0x4a599a1d, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x221dcd40, "ieee80211_iterate_stations_atomic" },
	{ 0x5f1ebe5a, "dma_sync_single_for_device" },
	{ 0xe5d8b8, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb6eedec, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xf7b47272, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xcd311a61, "thermal_cooling_device_register" },
	{ 0x7ee6887d, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x18b5f209, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x5ae3fa21, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xd33f956a, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0x5e151476, "skb_queue_purge_reason" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9b7c7a0c, "ieee80211_find_sta" },
	{ 0x1e2efa93, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5228642f, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8535864c, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xe93dbc5e, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x27b35c89, "skb_queue_tail" },
	{ 0xc7c7ab07, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc302abca, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2ee72a28, "wiphy_to_ieee80211_hw" },
	{ 0x42a69ac8, "ath_reg_notifier_apply" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe643eee, "ieee80211_queue_delayed_work" },
	{ 0xd6a8313f, "ieee80211_proberesp_get" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x20ae13f7, "simple_open" },
	{ 0x208da2d9, "skb_pull" },
	{ 0x9e124c65, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1fbf30bd, "init_uts_ns" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xeaac1094, "ieee80211_find_sta_by_ifaddr" },
	{ 0xe309cdc4, "ieee80211_next_txq" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x15dadc2f, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfd255da, "skb_push" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0xfba412f1, "napi_enable" },
	{ 0xe79c3532, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x33f0ce31, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x87a2809c, "ieee80211_report_low_ack" },
	{ 0x26ab4fec, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x56fa5ccc, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbafe5d65, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98573d2c, "ieee80211_alloc_hw_nm" },
	{ 0xa763b08, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb79a433b, "default_llseek" },
	{ 0xc2a436b4, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xcd8e20d4, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x4b453f39, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x39b95a62, "devm_nvmem_cell_get" },
	{ 0x6859cfee, "ieee80211_stop_queue" },
	{ 0xc05ccdd7, "__netdev_alloc_skb" },
	{ 0x53bf501e, "ieee80211_ready_on_channel" },
	{ 0x22cefcd0, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfe21d3fe, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaaa6f40e, "skb_realloc_headroom" },
	{ 0x724c031d, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x92dcd6de, "ieee80211_scan_completed" },
	{ 0x3d8744f9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfb659fe4, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa86e064a, "ath_regd_init" },
	{ 0xbdcc0d9f, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x130147e0, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9ac7f529, "ieee80211_tdls_oper_request" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4de6c59, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc8592a6c, "thermal_cooling_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb4b8b72c, "ieee80211_tx_rate_update" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x51ff71b1, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xaa3b93d, "napi_disable" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd5d08c72, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xe7605110, "ieee80211_csa_finish" },
	{ 0xe57415ab, "skb_queue_head" },
	{ 0xdfe11f3d, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,ath");


MODULE_INFO(srcversion, "4E7AE264C1E554AD5FBD4A1");
