#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xbd0b6455, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x365822ac, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xe8fb97ab, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xcf9fecb5, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x04ff723a, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0x77449ba2, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x204f9ecb, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x98edec31, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x8cc6c11c, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x3707bf87, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x9f0b3e28, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x3e60e957, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x44bff635, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xe156c2fd, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0x3d6863db, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0xbd8fd52b, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0xfa6697bd, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0x463cd800, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1534089, "ath9k_hw_set_txpowerlimit" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xace29848, "ath_hw_keyreset" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x7bad3934, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x20ae13f7, "simple_open" },
	{ 0x208da2d9, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb79a433b, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x17d27e67, "ath9k_hw_gettsf64" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "CAF792D3354F30FC31E70C6");
