#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x94a00be1, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xa0349c20, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xa96c92ee, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x51f468b2, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x9b74edc9, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x1738f544, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0xa400cc2c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x7108b166, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb7b4fdfc, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x44e61fd5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xc977e032, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xf1088bcf, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x3b9a1716, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x260d10c5, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x75cb98f5, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x56212a54, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x7d09a32f, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0xfd8a7136, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x93ddedd4, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x57600828, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x6c9e3a35, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xcf04ba92, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x1996052c, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xdc17851a, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xe999a167, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x3e3147b0, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0xdaf3ae9b, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xf3742489, "_gpl");
SYMBOL_CRC(mt76_rx, 0xf0d65f27, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xda7b4203, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x45409575, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x9db23c1b, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xf61dfdf8, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x49e1541d, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xa9bc83c3, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0xf45a1bcc, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xa8abc61f, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xb6af120c, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xe7ed0849, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x9d3e752f, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x6357f89e, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x55d81168, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x6735cf10, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xf447760f, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xa5a8b143, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xa3b6b5bc, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x2cdc9e5e, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x42b85a88, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xd673daf8, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xa80260ac, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xfb9e5876, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x883e09fc, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x9d1060d9, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x3221499d, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x59dab47d, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x37a21cdd, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x54d6134a, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x58d11364, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x6882bf6f, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x2c18e499, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xa023c0de, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x8873b58c, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xc7cdeb7e, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x60404ad0, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x0fb53b11, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xddbfd84d, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x0aa068e5, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x797bf112, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xdab64fa5, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x15ab3149, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x288e6b2e, "_gpl");
SYMBOL_CRC(mt76_tx, 0x094053c6, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xfdc1d25d, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x85c60d24, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x2e4578ea, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x9192c9be, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xa274ec67, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x03f50bbc, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x994af28a, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0xb3fde2e5, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x41df3d66, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x4bb17c9b, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x71814247, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x44988d4d, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x917d6d20, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x8d5da49d, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x9f804f9a, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xd9f661ce, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xf89be0b3, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x3475d2ce, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x4a2f5407, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x21089b9d, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0xa2193012, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x5391015d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x880bf5db, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdec17486, "pcie_capability_read_word" },
	{ 0xd34a5212, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x65d59ae2, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdf3e31fd, "__ieee80211_schedule_txq" },
	{ 0x48677174, "debugfs_attr_write" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xc4fa1323, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3d6e2c65, "page_pool_alloc_frag" },
	{ 0x526604a3, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x66bd0854, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8b88401c, "dmam_alloc_attrs" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x93c4182c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5ed8ba9b, "ieee80211_free_hw" },
	{ 0x65e62872, "dma_unmap_page_attrs" },
	{ 0x4a599a1d, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5f1ebe5a, "dma_sync_single_for_device" },
	{ 0xa3b0a5b4, "skb_add_rx_frag" },
	{ 0xe5d8b8, "ieee80211_tx_status_ext" },
	{ 0xffae9e41, "debugfs_create_blob" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xc97199db, "page_pool_destroy" },
	{ 0x7ee6887d, "ieee80211_register_hw" },
	{ 0x93a2fbe8, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9e533132, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xfa830420, "ieee80211_sta_eosp" },
	{ 0x7bad3934, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc960f8ab, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa27caf11, "kthread_park" },
	{ 0x7367fe22, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x781f3715, "wake_up_process" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e2efa93, "dma_map_page_attrs" },
	{ 0xfd320196, "napi_complete_done" },
	{ 0x756dab65, "ieee80211_get_tx_rates" },
	{ 0x556537d1, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8b52c372, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb09952b5, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x310a27e0, "pci_disable_link_state" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x83b2cfad, "napi_gro_receive" },
	{ 0x27b35c89, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5e6c4786, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x65d00a65, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe643eee, "ieee80211_queue_delayed_work" },
	{ 0x80f7566b, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8fb71a6, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x321dacea, "simple_attr_release" },
	{ 0x3c349f16, "ieee80211_calc_rx_airtime" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeaac1094, "ieee80211_find_sta_by_ifaddr" },
	{ 0xe309cdc4, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe98ab2cb, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfd255da, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfba412f1, "napi_enable" },
	{ 0xe79c3532, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4fbfe5f8, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x59abfb4, "kthread_stop" },
	{ 0x56fa5ccc, "ieee80211_free_txskb" },
	{ 0x9bbff77c, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98573d2c, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xc2a436b4, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9265d818, "ieee80211_rx_list" },
	{ 0xb7c85ae1, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xf49e42dd, "page_pool_create" },
	{ 0xaeb139cd, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafda4a69, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7277ed3, "kthread_create_on_node" },
	{ 0xeacbed6a, "cfg80211_reg_can_beacon" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0x3d8744f9, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfb659fe4, "ieee80211_unregister_hw" },
	{ 0x95539151, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x24de7432, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x8d532d0c, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd11420b2, "debugfs_create_u8" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xd5d08c72, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xe7605110, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");
