#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x65a34dd9, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0x3dfec763, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x16c51ed2, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x01d7b18f, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x855f4685, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x3b1d2a1f, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x7c525809, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0xe5edd414, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x52c2fbcf, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x642571e7, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0xe9d5aaba, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0x78d37ca4, "");
SYMBOL_CRC(rtw89_pm_ops, 0x3064115c, "");
SYMBOL_CRC(rtw89_pci_probe, 0x473fe64e, "");
SYMBOL_CRC(rtw89_pci_remove, 0x3cfa4257, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdec17486, "pcie_capability_read_word" },
	{ 0x4826442e, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x58d3ae86, "rtw89_alloc_ieee80211_hw" },
	{ 0xe9fb9efc, "devm_request_threaded_irq" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0xc4fa1323, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x526604a3, "consume_skb" },
	{ 0x7283db9f, "pci_iomap" },
	{ 0xaf97e1e2, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0x93c4182c, "skb_dequeue" },
	{ 0x65e62872, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5f1ebe5a, "dma_sync_single_for_device" },
	{ 0x1fed78d8, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xcc6bd2e4, "rtw89_core_napi_init" },
	{ 0x20f1072c, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e2efa93, "dma_map_page_attrs" },
	{ 0xfd320196, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xce389356, "devm_free_irq" },
	{ 0xa094a951, "__napi_schedule" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x27b35c89, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5076f24b, "rtw89_core_init" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4bed5eb8, "rtw89_core_napi_deinit" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfd255da, "skb_push" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x827f89ae, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x23ccf593, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd5901bff, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb7c85ae1, "dma_sync_single_for_cpu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x202c0a87, "ieee80211_tx_status" },
	{ 0x21080643, "rtw89_ser_notify" },
	{ 0xc05ccdd7, "__netdev_alloc_skb" },
	{ 0xeea8edd1, "skb_unlink" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x1ce7e0b0, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0xca6f494b, "rtw89_core_rx" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb77dc150, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5fc271cb, "rtw89_core_deinit" },
	{ 0xec91acea, "pci_write_config_byte" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x488aa711, "napi_schedule_prep" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0xc63be68c, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x828ea6c, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25ff6add, "rtw89_chip_info_setup" },
	{ 0xabb4ac0, "rtw89_mac_get_err_status" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "9AA8EFB7B61C17965C16C0E");
