#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x2dfde0ea, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xbe6a3ad3, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xe098ae7d, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x77530fe6, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xab56ccbd, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xfb2b8737, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x08189dec, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x01fedb11, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x444a3c62, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xd476c131, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x88b6cc1f, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x4730d6b3, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x552f055c, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x330229a1, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xbc271901, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xcd5e1e69, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x36fb0c71, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x6429798b, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x867e4447, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x0250f339, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x3d54fc1d, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x4151bdbb, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x32387c08, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x976ff82c, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x16c6f125, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x25ee937b, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x2335e12c, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x08ca92ba, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x5d753ad4, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x233466c6, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x9ac069cd, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x3d8b2761, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xbbe01e74, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x0684f42c, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xa0464942, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x9fb1524c, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x32fe295f, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xb7f94abf, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x939d8164, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x21d96ebc, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x17366dcf, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x899b633f, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xd2b0594a, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x05d9eca7, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xdf485835, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xa26a91f1, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xd01dbe03, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x7aa37374, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x2d785df5, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xa8d3a677, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x0880e5ea, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x1e4e1862, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x3ac0d4b2, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x71072fe8, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xcf9b0d69, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xa7ce4f8f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x2294e9c9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xbf4895c0, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x23604000, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f965577, "set_capacity_and_notify" },
	{ 0x85b7b338, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x45ac2bfc, "set_disk_ro" },
	{ 0xa015154a, "__blk_alloc_disk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x822ddf2f, "blk_integrity_register" },
	{ 0xd40be227, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x9422b3d3, "device_remove_file_self" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0xf511ff3, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x607b4e60, "blk_queue_logical_block_size" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb96b65b4, "dev_set_name" },
	{ 0x72165d3d, "ext_pi_type3_crc64" },
	{ 0xf5b803b9, "bio_split_to_limits" },
	{ 0x139bbfe3, "trace_seq_printf" },
	{ 0x38781dcb, "disk_update_readahead" },
	{ 0x6ee323c5, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xb8ef891a, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xd9fd6c38, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa72e50d0, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd7dfbb1b, "class_destroy" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd485649d, "should_fail" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0xee4a3de6, "blk_mq_unquiesce_queue" },
	{ 0xc43978de, "t10_pi_type1_crc" },
	{ 0x7437a7f9, "blk_queue_dma_alignment" },
	{ 0xd9a39829, "blk_mq_quiesce_queue" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x30335a40, "ext_pi_type1_crc64" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xe643379d, "blk_queue_write_cache" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc03ec5b3, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc8f630d1, "disk_uevent" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0xf0b41a19, "param_ops_byte" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9b5c95fa, "get_device" },
	{ 0xa110580f, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1aadd78a, "__blk_mq_alloc_disk" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x2df78d29, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x23e2d977, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x24529ef, "blk_mq_alloc_tag_set" },
	{ 0x9a893067, "blk_rq_is_poll" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ab821a9, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x58d634e0, "put_disk" },
	{ 0x786067b9, "cdev_device_add" },
	{ 0x62f76ebd, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xd2d54961, "blk_queue_physical_block_size" },
	{ 0xab601d13, "blk_execute_rq" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0xe1813fb0, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x4cb99d0c, "kmalloc_node_trace" },
	{ 0xcbd6ecf6, "blk_queue_flag_set" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd9ff8860, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xa26c1244, "__free_pages" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x47125280, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfbe17911, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc302abca, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xecee80a8, "compat_ptr_ioctl" },
	{ 0x89f1d9d5, "t10_pi_type3_crc" },
	{ 0x3ba370c1, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb5f94bf, "blk_mq_quiesce_tagset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdbf675f, "kobject_uevent_env" },
	{ 0x2667adb8, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x340c41e9, "init_srcu_struct" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x1ac3e314, "__SCK__tp_func_block_bio_remap" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x914dfa1, "debugfs_create_bool" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x29d7c05a, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x643cf9b6, "blk_rq_map_user_io" },
	{ 0x9e124c65, "sysfs_remove_link" },
	{ 0x151371e4, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x906cfa06, "set_capacity" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x22de5f21, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x1e0ef30, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1aa3657b, "blk_sync_queue" },
	{ 0x4399c104, "bdev_start_io_acct" },
	{ 0xe000f2a3, "bio_integrity_add_page" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x867d76f, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0xc16502ce, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd2449256, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x1ac23fbb, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xab34804a, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfcd57425, "del_gendisk" },
	{ 0xb95c09b2, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x506300cd, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd3448968, "bio_integrity_alloc" },
	{ 0x2f604570, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x59b4a781, "blk_set_stacking_limits" },
	{ 0xf63ba53a, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x1e30e023, "blk_put_queue" },
	{ 0xb016fe83, "bpf_trace_run1" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2c5aded0, "blk_mq_wait_quiesce_done" },
	{ 0xdf3ef104, "param_ops_charp" },
	{ 0xe43f8d0f, "blk_queue_max_segments" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2c4097f1, "io_uring_cmd_do_in_task_lazy" },
	{ 0xe7228952, "blk_mq_init_queue" },
	{ 0x54d4854c, "debugfs_create_x16" },
	{ 0x4df68eba, "io_uring_cmd_done" },
	{ 0x740fe790, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc9dafcae, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x745a981, "xa_erase" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x696e2db4, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb0242959, "blk_mq_complete_request" },
	{ 0xf81b2f10, "blk_queue_chunk_sectors" },
	{ 0x6fd10848, "blk_queue_max_write_zeroes_sectors" },
	{ 0xa4956f, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x8cb23f30, "blk_mq_destroy_queue" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x30600b83, "blk_freeze_queue_start" },
	{ 0x7d245ce1, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x10b2bdea, "alloc_pages" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xefd576c5, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x768b0e7e, "blk_queue_io_min" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0xca969e4a, "__tracepoint_block_bio_remap" },
	{ 0x313aaa84, "blk_mq_unfreeze_queue" },
	{ 0xd317d2b9, "blk_mq_tagset_busy_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe623cbd9, "blkdev_compat_ptr_ioctl" },
	{ 0xde7cf6dc, "blk_rq_map_user_iov" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x88bbf5e3, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xb87344e3, "blk_queue_max_hw_sectors" },
	{ 0xcd05109e, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x2ae02666, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x17c6192b, "blk_mq_freeze_queue_wait" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0x8636664e, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xc729c3f3, "blk_queue_io_opt" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x8df58a8b, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbedc3f28, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x55a2fb60, "bdev_end_io_acct" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x12e1c98c, "blk_steal_bios" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "7283B3F04E6F52E4302C481");
