#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b02c40a, "cxgbi_hbas_add" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x8872f51c, "cxgbi_iscsi_cleanup" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x6ba9930c, "cxgbi_sock_skb_entail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x67e0c0b6, "cxgbi_sock_free_cpl_skbs" },
	{ 0xeb93051, "___pskb_trim" },
	{ 0x26cf889f, "cxgbi_conn_pdu_ready" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfbe17911, "module_put" },
	{ 0x42655370, "cxgbi_sock_fail_act_open" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf97233c, "cxgb4_remove_tid" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x70451286, "cxgbi_sock_closed" },
	{ 0xcb6f1f84, "cxgbi_sock_purge_wr_queue" },
	{ 0x64517b2c, "cxgb4_l2t_release" },
	{ 0xfcb2ae40, "cxgb4_free_atid" },
	{ 0xcf51e5de, "cxgb4_clip_release" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x216c0e93, "cxgbi_sock_established" },
	{ 0x10cddfbe, "cxgbi_conn_tx_open" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdbd36cc1, "cxgb4_pktgl_to_skb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x9e153285, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xd43e36b3, "cxgb4_alloc_atid" },
	{ 0x23ea9099, "cxgb4_l2t_get" },
	{ 0xd69a0294, "cxgb4_best_mtu" },
	{ 0x4bb842bd, "cxgb4_port_chan" },
	{ 0x76cb1213, "cxgb4_port_idx" },
	{ 0xd40be227, "try_module_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xaf6c5aa3, "__neigh_event_send" },
	{ 0x9d44de9f, "ip6_mtu" },
	{ 0xaca04f79, "neigh_destroy" },
	{ 0x7e3b07b3, "cxgb4_clip_get" },
	{ 0xe9385d1d, "ipv4_mtu" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xec3438b5, "cxgbi_create_session" },
	{ 0xa182a24d, "cxgbi_destroy_session" },
	{ 0x1af9d431, "cxgbi_create_conn" },
	{ 0x6d318b4b, "iscsi_conn_unbind" },
	{ 0x1a78fed0, "cxgbi_bind_conn" },
	{ 0x987067aa, "iscsi_conn_start" },
	{ 0x8fb7fe3e, "iscsi_conn_stop" },
	{ 0xc5f54ef1, "iscsi_tcp_conn_teardown" },
	{ 0x17a4fb7b, "cxgbi_set_conn_param" },
	{ 0x9d0d70a2, "cxgbi_get_ep_param" },
	{ 0x362ea0ba, "iscsi_conn_get_param" },
	{ 0xc1738f32, "iscsi_session_get_param" },
	{ 0x97433002, "cxgbi_get_host_param" },
	{ 0x18679c0, "cxgbi_set_host_param" },
	{ 0xfa25e65a, "iscsi_conn_send_pdu" },
	{ 0x58a7ce0f, "cxgbi_get_conn_stats" },
	{ 0x2f76acd7, "iscsi_tcp_task_init" },
	{ 0x3a7d1a07, "iscsi_tcp_task_xmit" },
	{ 0x5605dad8, "cxgbi_cleanup_task" },
	{ 0xc472bf36, "cxgbi_conn_alloc_pdu" },
	{ 0xa0203184, "cxgbi_conn_xmit_pdu" },
	{ 0xec780f7e, "cxgbi_conn_init_pdu" },
	{ 0xe95bd37f, "cxgbi_parse_pdu_itt" },
	{ 0x678de3b9, "iscsi_session_recovery_timedout" },
	{ 0x6011098c, "cxgbi_ep_connect" },
	{ 0xc8df6db6, "cxgbi_ep_poll" },
	{ 0x25aea9df, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xb74604f7, "iscsi_queuecommand" },
	{ 0x1bd43b9c, "iscsi_eh_abort" },
	{ 0xf6a0af2e, "iscsi_eh_device_reset" },
	{ 0x8fbf9fda, "iscsi_eh_recover_target" },
	{ 0xaa0683a9, "iscsi_target_alloc" },
	{ 0xba5c1775, "scsi_change_queue_depth" },
	{ 0x59625f1f, "iscsi_eh_cmd_timed_out" },
	{ 0xf1f1cf0c, "param_ops_ushort" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7dab6332, "cxgbi_iscsi_init" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xd24e4798, "cxgb4_register_uld" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5f7e9604, "cxgbi_device_unregister" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x6348cde, "cxgbi_sock_rcv_wr_ack" },
	{ 0x9cc8800f, "__kfree_skb" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xcaf018f8, "cxgb4_ofld_send" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x24b2267d, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x2cf9999c, "cxgbi_sock_rcv_abort_rpl" },
	{ 0xa52d0ebd, "cxgbi_sock_rcv_peer_close" },
	{ 0x138525e8, "cxgb4_select_ntuple" },
	{ 0x96defb55, "cxgb4_l2t_send" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfb578fc5, "memset" },
	{ 0x3ec1da6c, "cxgbi_ddp_ppm_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa79e7a47, "cxgbi_device_register" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x69acdf38, "memcpy" },
	{ 0x41a3dd9d, "cxgbi_device_portmap_create" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "libcxgbi,cxgb4,libiscsi,libiscsi_tcp");


MODULE_INFO(srcversion, "4E0025AE3FC5F365D2C0C5C");
