#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x00bfd817, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xc695d503, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x95697745, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xb73dd2d0, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x5098060b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0x542fe443, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x6e635cb5, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x968ba998, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x47747139, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0x3143a20c, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x59bdad18, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x58a672c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0x81619c62, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x83b12628, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0x4f85881b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xda51ed88, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x277ece0e, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xeb348f2e, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x5a491cc6, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x24ddaad4, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0xd9c52cdb, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0x4899869f, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x83e99ca7, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x0d101258, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x0a9e2653, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xa989796c, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x951b95a2, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xb006d412, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xd5dc27a6, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x1ecc1d04, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x37522502, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x06b50eb4, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x9f2c72bf, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x2767e8a3, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xf93fc78f, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xb1253704, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xf4ba5fdc, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x1c9eaa1f, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x34a40267, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x386f40e7, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xabdd0e65, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xe7e32c29, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x1a5855b9, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xfae3220f, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x1a29c25b, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x73f7fba6, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x069ead24, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x71f16195, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x164673dd, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x81f81fb4, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x1769c01f, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xd027c0d6, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x2ed6f0f9, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x0ea04a8e, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x6f6e8de6, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x4b9e9f3d, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xc42b5a78, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x2e6ce797, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf6c008d9, "put_device" },
	{ 0x84dde4f4, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfe4f6168, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9b5c95fa, "get_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd648f51, "device_find_child" },
	{ 0xab4f6da9, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xae433b4c, "scsi_target_unblock" },
	{ 0x98331cc, "_dev_printk" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0xe8366f3b, "__nlmsg_put" },
	{ 0xc14d8965, "netlink_broadcast" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfae8007b, "netlink_kernel_release" },
	{ 0x168db8e3, "bus_unregister" },
	{ 0x36d89d2e, "transport_class_unregister" },
	{ 0xc7635d38, "class_unregister" },
	{ 0xd587579f, "class_register" },
	{ 0xe5a37834, "transport_class_register" },
	{ 0xdd1bcce3, "bus_register" },
	{ 0xc73a9462, "init_net" },
	{ 0x5bca52a2, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9ece60fa, "scsi_is_host_device" },
	{ 0x9f04bfbb, "scsi_scan_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xab14c066, "scsi_host_get" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0x29d7c05a, "device_add" },
	{ 0xe580d3e2, "transport_setup_device" },
	{ 0x5424c112, "transport_add_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd7005eb6, "transport_destroy_device" },
	{ 0x24aeaa3a, "device_del" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe160ca07, "transport_remove_device" },
	{ 0xf140c057, "attribute_container_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0xfe21d3fe, "skb_trim" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbf3db2f0, "scsi_host_lookup" },
	{ 0xaa4ce572, "scsi_host_put" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0xd4e3e969, "bsg_remove_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1be57be8, "bsg_setup_queue" },
	{ 0x163649a2, "__scsi_init_queue" },
	{ 0xbebc8a88, "bsg_job_done" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe31732b4, "scsi_block_targets" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xb96b65b4, "dev_set_name" },
	{ 0xca0b3c1d, "device_register" },
	{ 0xb8490e5, "sysfs_create_group" },
	{ 0xb94e07c, "attribute_container_register" },
	{ 0x38572a59, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xffb2896a, "netlink_capable" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd40be227, "try_module_get" },
	{ 0xfbe17911, "module_put" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x1202e002, "netlink_unicast" },
	{ 0x208da2d9, "skb_pull" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");
