#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x2a9003c8, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x478f339e, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x36afa5cf, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x7f4e650f, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xa80c9cf2, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x8c5f3f68, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x401a25d4, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xe3c2e1cf, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xfb80ed97, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x55f36d6d, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x07fae7dd, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xa647f4da, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xf33a1efb, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x31f4da9b, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xafa4d46e, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x077c1d17, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x7de7eba9, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x2b5bc19b, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x41e1c1c1, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf218a5ea, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x84c930d2, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf3b1701c, "pci_read_vpd" },
	{ 0xbd17acdc, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e18d2a9, "pci_request_selected_regions" },
	{ 0xbc3e9dfa, "pci_release_selected_regions" },
	{ 0xf3fb20b, "pci_user_write_config_byte" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xeea3f8c7, "pci_bus_max_busnr" },
	{ 0xce633d67, "pci_check_and_mask_intx" },
	{ 0x7283db9f, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xaf97e1e2, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x9ee5ddc2, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x2e34ec2b, "pci_dev_put" },
	{ 0x5e4bbb4a, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x1420dd4c, "vfio_virqfd_disable" },
	{ 0xd7275746, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd77e3705, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9ac1197f, "fget" },
	{ 0xa188c3cb, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x751cae49, "pci_user_read_config_dword" },
	{ 0x720a636b, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc24499e5, "dump_mm" },
	{ 0x20cd33ae, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdffb7de4, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xbc7d90da, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf08fdc62, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x78c4fd43, "pci_set_power_state" },
	{ 0xa98864c0, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xb8405555, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3100dcbf, "__tracepoint_mmap_lock_released" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x97673459, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x64d996c3, "pci_user_write_config_word" },
	{ 0xb73b9386, "vfio_iommufd_device_ictx" },
	{ 0x4b1161b5, "bus_register_notifier" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x1606039b, "vfio_file_is_group" },
	{ 0xda3f6963, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x53260d97, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa2cccc19, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9ec1ca28, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x6cdafff1, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xb0e7f94, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x60004f8d, "vfio_virqfd_enable" },
	{ 0xa38abefe, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x679621c1, "aperture_remove_conflicting_pci_devices" },
	{ 0x73d7ff14, "vfio_unregister_group_dev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd5eab240, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc126dfba, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd5901bff, "pci_iounmap" },
	{ 0x8809d884, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x797253cd, "pcie_get_mps" },
	{ 0x5e3a217a, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x31fb9e86, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xbaea81e6, "__mmap_lock_do_trace_start_locking" },
	{ 0xa4726ec3, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xf0139976, "_dev_notice" },
	{ 0x53b5f6f5, "pm_runtime_forbid" },
	{ 0x58d5c4ee, "pm_runtime_allow" },
	{ 0x1bdd58b, "pci_reset_bus" },
	{ 0xc60e39c7, "mmput" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0xf7c3d49a, "vfio_register_group_dev" },
	{ 0xc08ba471, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd7fce831, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc00af248, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xd907ee9b, "__tracepoint_mmap_lock_start_locking" },
	{ 0x1575ecb9, "pci_get_class" },
	{ 0xa279ad92, "pci_user_write_config_dword" },
	{ 0x40570af4, "pcie_capability_read_dword" },
	{ 0x4da76b14, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3cae7ff0, "pci_load_and_free_saved_state" },
	{ 0xb88f7175, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0xba119e4d, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfa16f1f7, "boot_cpu_data" },
	{ 0xd4e7f614, "pci_check_and_unmask_intx" },
	{ 0xce7767d0, "pcie_set_readrq" },
	{ 0xda09a94b, "pci_walk_bus" },
	{ 0xaecc713c, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xabba3f48, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0x1366fe77, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xca6acd1a, "vga_set_legacy_decoding" },
	{ 0xe67052f3, "pci_dev_unlock" },
	{ 0xfd8368a0, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc63be68c, "pci_free_irq_vectors" },
	{ 0xbbc9435b, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x832629b, "__pm_runtime_idle" },
	{ 0xf7d58a57, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x96253d25, "pci_bus_type" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "D52E30ECC522D761BA67CAA");
