#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_worker_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x647433a6, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xbd634056, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x5a640f35, "_gpl");
SYMBOL_CRC(vhost_vq_work_queue, 0xf59040a6, "_gpl");
SYMBOL_CRC(vhost_vq_flush, 0x55aebdcc, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x406721f3, "_gpl");
SYMBOL_CRC(vhost_vq_has_work, 0xe57acaae, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x29ebc51b, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x463fce10, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x895209de, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x7c134b34, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x965579ba, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xaaf05905, "_gpl");
SYMBOL_CRC(vhost_worker_ioctl, 0x9edc8ad7, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x7d7faab8, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x5397bdc7, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x9906eefd, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xaeb67819, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xe6c8abb3, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xa91e8b03, "");
SYMBOL_CRC(vhost_chr_poll, 0x9cade6ed, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x6d344ed2, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x573e2b12, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0xe163f7a3, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x93712c21, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xe45a0e69, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xad5d9b15, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xe429183b, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x91e4aad3, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x90289df9, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x31fe6912, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x27249311, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x0fb3031c, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0x656e4518, "_gpl");
SYMBOL_CRC(vhost_signal, 0xc37cae6d, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x58ad66e7, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0x6178fc8c, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x5cca628f, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x8642debe, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0xb540c5e4, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xb418e60e, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x759bb267, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x68b09d67, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xc859e57f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa91d6065, "kcov_remote_start" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3123ca46, "kcov_remote_stop" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc60e39c7, "mmput" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf273f2a3, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5b30e25c, "vhost_task_wake" },
	{ 0xfb578fc5, "memset" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdf37cea8, "unpin_user_pages_dirty_lock" },
	{ 0x73cfa82e, "pin_user_pages_fast" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc58007de, "vhost_task_create" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6ef7ead9, "kcov_common_handle" },
	{ 0x8f00f6d1, "vhost_task_start" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4471a51d, "vhost_task_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x6cdafff1, "fput" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x745a981, "xa_erase" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x59bfda2e, "iov_iter_init" },
	{ 0x37842331, "_copy_to_iter" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x7ced6992, "hygon_lmc_key" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0xcb4c48ae, "_copy_from_iter" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe275f64b, "iov_iter_revert" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1000e51, "schedule" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x242b2b35, "get_task_mm" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0xe2484486, "eventfd_fget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x55fe0d3b, "iov_iter_advance" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0xf1f1cf0c, "param_ops_ushort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "B116BA6E2729BA86820EDE9");
