#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf929370, "fs_overflowgid" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x89ed98f1, "dquot_commit" },
	{ 0x640f577b, "truncate_inode_pages" },
	{ 0xdcc114, "percpu_free_rwsem" },
	{ 0x53e80761, "bh_uptodate_or_lock" },
	{ 0x1d5ee5ce, "inode_init_owner" },
	{ 0x813c9d05, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf3780267, "setattr_prepare" },
	{ 0xdd4ab24c, "vfs_fsync_range" },
	{ 0x2600719f, "iget_locked" },
	{ 0xee593243, "clear_nlink" },
	{ 0x850451c4, "jbd2_complete_transaction" },
	{ 0xc0b1db88, "file_check_and_advance_wb_err" },
	{ 0x838632e4, "filemap_flush" },
	{ 0x963dfe52, "filemap_get_folios_tag" },
	{ 0x2783c7f5, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7de29e5e, "d_instantiate" },
	{ 0xeaaf9083, "pagecache_isize_extended" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeed72bfe, "blk_start_plug" },
	{ 0xdd2c169b, "mb_cache_create" },
	{ 0x97558d43, "clear_inode" },
	{ 0x30faad5b, "inode_to_bdi" },
	{ 0x91c774fa, "bpf_trace_run4" },
	{ 0xfdcc4e3e, "iocb_bio_iopoll" },
	{ 0xe36a2aed, "dquot_set_dqinfo" },
	{ 0x449183e8, "dquot_commit_info" },
	{ 0xe636607d, "generic_set_encrypted_ci_d_ops" },
	{ 0xcda2ea6, "jbd2_journal_invalidate_folio" },
	{ 0xd82de9f, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe0348a44, "generic_fh_to_dentry" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x5b19692b, "jbd2_submit_inode_data" },
	{ 0xafd7e9a7, "dquot_disable" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x3b7e9085, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e90b163, "fs_param_is_string" },
	{ 0x3e2f6944, "__folio_batch_release" },
	{ 0x91d23979, "dquot_free_inode" },
	{ 0x2645df8f, "folio_unlock" },
	{ 0xf00922be, "set_blocksize" },
	{ 0x80902457, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xea2155e1, "fscrypt_parse_test_dummy_encryption" },
	{ 0xb0e602eb, "memmove" },
	{ 0xedfb651c, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x23fe08b9, "filemap_map_pages" },
	{ 0xe5f820a8, "jbd2_journal_forget" },
	{ 0xf059aeac, "jbd2__journal_restart" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xae2c19dc, "try_to_writeback_inodes_sb" },
	{ 0x910d8a6c, "jbd2_journal_stop" },
	{ 0x4519e965, "dump_page" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x248f2ff9, "dquot_get_state" },
	{ 0x64dc2dba, "init_special_inode" },
	{ 0x321ea39c, "fscrypt_fname_siphash" },
	{ 0x189a9918, "fs_dax_get_by_bdev" },
	{ 0xe703ce41, "unregister_filesystem" },
	{ 0xe92a805f, "__fscrypt_prepare_setattr" },
	{ 0x64de8933, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd0127c86, "bpf_trace_run6" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xd3b93279, "__fscrypt_prepare_lookup" },
	{ 0xa867a3dd, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xcac3e163, "__find_get_block" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x4be249c4, "__block_write_begin" },
	{ 0x940c1522, "jbd2_journal_set_triggers" },
	{ 0xef4407f6, "inode_needs_sync" },
	{ 0xac7bb7f, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8babdab2, "inode_query_iversion" },
	{ 0xe863f438, "fscrypt_ioctl_get_key_status" },
	{ 0xbc6ce723, "nop_posix_acl_access" },
	{ 0x38c88ef4, "jbd2_journal_load" },
	{ 0x290cfd3c, "nop_posix_acl_default" },
	{ 0x761ee67a, "d_make_root" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x552b6ccd, "jbd2_journal_check_available_features" },
	{ 0x1d6986eb, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x679e96fc, "jbd2_journal_set_features" },
	{ 0xb6beab62, "sb_set_blocksize" },
	{ 0x28d7003b, "invalidate_mapping_pages" },
	{ 0xa866c610, "sync_filesystem" },
	{ 0x5d1609, "noop_dirty_folio" },
	{ 0x1ee6a89c, "end_buffer_read_sync" },
	{ 0xdb7ea6c7, "block_page_mkwrite" },
	{ 0xd989d952, "folio_redirty_for_writepage" },
	{ 0xf26b07e1, "register_shrinker" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xcfe0f149, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xe177828e, "d_splice_alias" },
	{ 0x79b7aace, "jbd2__journal_start" },
	{ 0xf292dbe6, "jbd2_journal_unlock_updates" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x90b80c75, "generic_error_remove_page" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x63924899, "fiemap_prep" },
	{ 0xe6570985, "trace_print_symbols_seq" },
	{ 0xfd142777, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf51bfb0, "from_vfsuid" },
	{ 0xb4254c5e, "ihold" },
	{ 0x5caeea7f, "fs_lookup_param" },
	{ 0xea3e04a2, "d_find_any_alias" },
	{ 0xa02729f9, "inode_dio_wait" },
	{ 0x59379fee, "jbd2_journal_get_create_access" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x5557f1b0, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc24499e5, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xed219023, "finish_open" },
	{ 0x388093c8, "dax_iomap_rw" },
	{ 0x34926ed, "jbd2_journal_init_dev" },
	{ 0xc506a706, "iput" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x62c72d89, "fs_param_is_enum" },
	{ 0xb3197715, "fs_param_is_s32" },
	{ 0x458b6475, "jbd2_journal_clear_features" },
	{ 0x80c66d82, "freeze_bdev" },
	{ 0x7d1971c0, "__put_devmap_managed_page_refs" },
	{ 0x10d78e9b, "fscrypt_show_test_dummy_encryption" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xdfd4979c, "iter_file_splice_write" },
	{ 0x6ebba2c6, "jbd2_journal_inode_ranged_wait" },
	{ 0x8b003dea, "filemap_release_folio" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf3932313, "mb_cache_entry_wait_unused" },
	{ 0x1c33b6b6, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x55eb2205, "dax_iomap_fault" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x1db1ab30, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3aa73722, "register_filesystem" },
	{ 0x50e8d12f, "dquot_transfer" },
	{ 0x8b75c338, "d_tmpfile" },
	{ 0xdec68178, "kmem_cache_create" },
	{ 0xea052ac, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x3bc18d30, "jbd2_fc_release_bufs" },
	{ 0x3d956c43, "sync_inode_metadata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc325891c, "fscrypt_ioctl_get_policy_ex" },
	{ 0x38917a79, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xc6ad8a8c, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x41bf36e1, "submit_bh" },
	{ 0x7fdd0958, "vfs_setpos" },
	{ 0xe9406e25, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x60d65b8b, "fscrypt_decrypt_pagecache_blocks" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0x781f3715, "wake_up_process" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0xf55da947, "fscrypt_setup_filename" },
	{ 0x52af24c8, "crypto_destroy_tfm" },
	{ 0xf12b261, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xea4ff66c, "sysfs_notify" },
	{ 0x79cfb626, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8c23f4d9, "iomap_dio_rw" },
	{ 0xb16c3b75, "jbd2_fc_get_buf" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x967228c9, "fs_param_is_u32" },
	{ 0xbe522664, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x872d13bb, "lock_two_nondirectories" },
	{ 0xf15b1935, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x188eff20, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xe09dd27b, "mnt_want_write_file" },
	{ 0xcd45b3d8, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x15302dd1, "block_invalidate_folio" },
	{ 0xa012f73, "mb_cache_entry_touch" },
	{ 0x9d73ca78, "buffer_migrate_folio_norefs" },
	{ 0x34120b29, "dquot_quota_sync" },
	{ 0x459af666, "make_kprojid" },
	{ 0x44d6d0fc, "iomap_seek_hole" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf8380976, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd12e1e99, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xff30c3c2, "fscrypt_set_context" },
	{ 0x8c8fd97d, "try_to_free_buffers" },
	{ 0x97e098c7, "make_kuid" },
	{ 0xf769a9de, "create_empty_buffers" },
	{ 0x24208b67, "truncate_inode_pages_final" },
	{ 0xe45923c8, "block_write_end" },
	{ 0x9d9c076f, "d_alloc" },
	{ 0xc5ff1cf1, "sync_blockdev" },
	{ 0x8543fb7, "fs_kobj" },
	{ 0xcd3ce5a1, "bio_add_folio" },
	{ 0xc5fe8681, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0x9997ccdd, "sync_mapping_buffers" },
	{ 0x744845b6, "fscrypt_file_open" },
	{ 0x5470e070, "generic_perform_write" },
	{ 0x5caafb2e, "dquot_initialize" },
	{ 0x71b75862, "__filemap_get_folio" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1c451437, "dquot_quota_on" },
	{ 0xe1608ea9, "unregister_shrinker" },
	{ 0x2ad21a2, "blkdev_put" },
	{ 0xdacb5c42, "dquot_initialize_needed" },
	{ 0x141ed771, "kmem_cache_alloc" },
	{ 0xe78938a0, "dquot_reclaim_space_nodirty" },
	{ 0xc09bb100, "get_inode_acl" },
	{ 0xd0a896e3, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x3084b063, "invalidate_inode_buffers" },
	{ 0x2cd12b33, "block_commit_write" },
	{ 0xeaa7d11e, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7b5d5b10, "submit_bio" },
	{ 0x43d67a9a, "mnt_drop_write_file" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa6a088b7, "fscrypt_match_name" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc461c3b4, "jbd2_journal_force_commit_nested" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x286a595, "inode_init_once" },
	{ 0x3af53a10, "file_write_and_wait_range" },
	{ 0x5f79e3f2, "jbd2_journal_update_sb_errno" },
	{ 0x861a7a70, "fscrypt_dummy_policies_equal" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x35329d40, "dquot_claim_space_nodirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0xa0dfb9b8, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xc5d2a90e, "__task_pid_nr_ns" },
	{ 0x361a16b7, "dquot_set_dqblk" },
	{ 0x4b7185ef, "bio_put" },
	{ 0xa388ce02, "jbd2_journal_start_reserved" },
	{ 0xf6c14afd, "percpu_up_write" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x35a66fd9, "jbd2_journal_clear_err" },
	{ 0xfa3071aa, "__brelse" },
	{ 0xbdbf1b4b, "posix_acl_create" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0xf29f2ca6, "jbd2_journal_init_inode" },
	{ 0x6cdafff1, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{   0xb1ea, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc1ba709a, "jbd2_journal_abort" },
	{ 0xf61794b3, "generic_file_read_iter" },
	{ 0xeff82092, "jbd2_journal_blocks_per_page" },
	{ 0x80992ecf, "inode_maybe_inc_iversion" },
	{ 0x2488129e, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf41119f, "thp_get_unmapped_area" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xeda73e70, "set_cached_acl" },
	{ 0x9e9720d8, "blkdev_get_by_dev" },
	{ 0x7fff1f7c, "kmem_cache_create_usercopy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x3eda2f21, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb7fc034d, "sync_dirty_buffer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1fbf30bd, "init_uts_ns" },
	{ 0xa8fe7034, "insert_inode_locked" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa90b7eaa, "unlock_two_nondirectories" },
	{ 0x4c3a9e1d, "thaw_bdev" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x3c6dbbc3, "__fscrypt_prepare_rename" },
	{ 0x70d3f144, "dquot_resume" },
	{ 0x9aaa48f0, "bpf_trace_run5" },
	{ 0xa133fd61, "setattr_copy" },
	{ 0x76464545, "jbd2_journal_release_jbd_inode" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe814fb3b, "jbd2_fc_begin_commit" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6dc2d49, "write_cache_pages" },
	{ 0x892894da, "file_update_time" },
	{ 0x45ec5eab, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xec1edc39, "fscrypt_ioctl_set_policy" },
	{ 0xfb331c7e, "set_nlink" },
	{ 0x77f0f892, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x3789bb47, "security_inode_init_security" },
	{ 0x79b16e62, "seq_putc" },
	{ 0x9d8482ca, "fscrypt_decrypt_bio" },
	{ 0x33799a8a, "jbd2_journal_revoke" },
	{ 0xbd6841d4, "crc16" },
	{ 0x312ad3f9, "from_kgid" },
	{ 0x4248e659, "iomap_swapfile_activate" },
	{ 0xd5263820, "mb_cache_destroy" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8bdfc47c, "__mb_cache_entry_free" },
	{ 0xa1411144, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5f5d8060, "__fscrypt_encrypt_symlink" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x960b311d, "folio_wait_writeback" },
	{ 0x3ef6186, "jbd2_journal_start_commit" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcae83430, "blkdev_issue_zeroout" },
	{ 0x9fdd8bff, "__fscrypt_prepare_link" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3e4368a8, "kobject_init_and_add" },
	{ 0xda093c35, "crypto_shash_update" },
	{ 0x2c5f4b1b, "from_vfsgid" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xaa7b1dbb, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x61347034, "mb_cache_entry_delete_or_get" },
	{ 0xd1b2d7b0, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xae15cd0f, "dax_writeback_mapping_range" },
	{ 0x4476594b, "jbd2_trans_will_send_data_barrier" },
	{ 0xce3029e6, "folio_wait_stable" },
	{ 0x200b37c2, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe93ad296, "d_obtain_alias" },
	{ 0x5e748aa6, "file_modified" },
	{ 0xbfe7452f, "posix_acl_chmod" },
	{ 0x59abfb4, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dfd8808, "__bread_gfp" },
	{ 0xd24b516, "from_kprojid" },
	{ 0xf9f545f, "fscrypt_put_encryption_info" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbd00db9f, "freezing_slow_path" },
	{ 0xdcd5015f, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x63439968, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x29fc1e97, "dax_layout_busy_page" },
	{ 0x2086c242, "iomap_bmap" },
	{ 0x20df47d2, "__folio_start_writeback" },
	{ 0xb016fe83, "bpf_trace_run1" },
	{ 0x9639c4b9, "set_task_ioprio" },
	{ 0xd3865fc1, "folio_end_writeback" },
	{ 0x60baf114, "jbd2_journal_dirty_metadata" },
	{ 0x411bdd27, "proc_mkdir" },
	{ 0x4aacde88, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x72bed63b, "jbd2_journal_try_to_free_buffers" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7b9dbaad, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3f88310a, "jbd2_transaction_committed" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x113e08de, "iomap_fiemap" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0x4e527695, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x50b80992, "mb_cache_entry_find_first" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x6283dd4c, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x70360556, "filemap_get_folios" },
	{ 0x42953c57, "make_kgid" },
	{ 0x40a3d64b, "invalidate_bdev" },
	{ 0x4accf7c8, "fscrypt_zeroout_range" },
	{ 0xfe3840d6, "jbd2_journal_wipe" },
	{ 0xece784c2, "rb_first" },
	{ 0xfa5508de, "fscrypt_drop_inode" },
	{ 0x4c36f8cf, "wbc_account_cgroup_owner" },
	{ 0xfbf92099, "from_kgid_munged" },
	{ 0x8a409158, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x31369499, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb42a9a79, "dax_finish_sync_fault" },
	{ 0xddea6f00, "dquot_get_dqblk" },
	{ 0xc7277ed3, "kthread_create_on_node" },
	{ 0xacd81eb3, "jbd2_inode_cache" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe3b4293d, "block_read_full_folio" },
	{ 0x75ff42e, "jbd2_fc_end_commit" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x715f2a16, "trace_print_flags_seq" },
	{ 0x78cf3f8b, "fscrypt_free_bounce_page" },
	{ 0x470b2ba5, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe39d4c7b, "__dquot_alloc_space" },
	{ 0x927b762a, "noop_direct_IO" },
	{ 0xe9209c22, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf024a12b, "__fscrypt_prepare_readdir" },
	{ 0x90eb265e, "igrab" },
	{ 0x116cd93f, "__getblk_gfp" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x3a2512bd, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfd902db, "mb_cache_entry_create" },
	{ 0x1dbbd224, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xcba82989, "kobject_del" },
	{ 0xbd6d2666, "d_instantiate_new" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0xabf0f7dd, "__dquot_free_space" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xee1784d8, "fs_param_is_blockdev" },
	{ 0xb532830c, "jbd2_fc_wait_bufs" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x90e4b9e4, "generic_buffers_fsync_noflush" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4fbca7e6, "init_user_ns" },
	{ 0x8cf59018, "file_path" },
	{ 0x62890faa, "fscrypt_ioctl_add_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xfc36109a, "fscrypt_fname_disk_to_usr" },
	{ 0x315d3148, "inode_set_ctime_current" },
	{ 0x8e16ea7f, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0xebd8c8f7, "__folio_put" },
	{ 0xde6b3e2f, "fscrypt_enqueue_decrypt_work" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xf3afcb68, "remove_proc_entry" },
	{ 0x603614f5, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8c2ee9cc, "fscrypt_ioctl_get_policy" },
	{ 0x89e17784, "dquot_quota_off" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x6d8200a4, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x7a09002c, "find_inode_by_ino_rcu" },
	{ 0x74145121, "touch_atime" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6393958e, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa34db5f2, "jbd2_journal_force_commit" },
	{ 0xc17f9b50, "__lock_buffer" },
	{ 0x4b1e7bc6, "tag_pages_for_writeback" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x26897b52, "mb_cache_entry_get" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x24726212, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x65008ba0, "posix_acl_update_mode" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x25820c64, "fs_overflowuid" },
	{ 0xc5fddd57, "__folio_lock" },
	{ 0xf2e5692f, "dquot_quota_on_mount" },
	{ 0x433538ce, "filemap_dirty_folio" },
	{ 0xf48c685a, "fs_holder_ops" },
	{ 0x7a060ed5, "pagecache_get_page" },
	{ 0x77ce47cc, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1ab022d7, "is_bad_inode" },
	{ 0x24de7432, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xffcf26be, "rcuwait_wake_up" },
	{ 0x62f96ea1, "dquot_mark_dquot_dirty" },
	{ 0x37ce2e0a, "fscrypt_prepare_symlink" },
	{ 0x16cfa825, "block_is_partially_uptodate" },
	{ 0xcc5640d2, "dquot_get_next_id" },
	{ 0xc231acc3, "dquot_file_open" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x4052f27d, "generic_fh_to_parent" },
	{ 0x81917dbf, "__fs_parse" },
	{ 0xeaa65a63, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xeec46fd1, "end_buffer_write_sync" },
	{ 0xc239fa99, "dget_parent" },
	{ 0x8a8bbc69, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xb792dfad, "proc_create_single_data" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x740f3856, "inode_io_list_del" },
	{ 0x24b15338, "jbd2_journal_lock_updates" },
	{ 0x70842aeb, "filemap_write_and_wait_range" },
	{ 0x471ad89f, "jbd2_journal_free_reserved" },
	{ 0xd0bffc7e, "dquot_acquire" },
	{ 0x7273c758, "dax_zero_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1b65c90d, "generic_file_llseek_size" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd8794d62, "jbd2_journal_errno" },
	{ 0xdcc2d637, "fscrypt_prepare_new_inode" },
	{ 0x22cda7fa, "generic_write_checks" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xd6f00a63, "dqget" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6487748a, "proc_create_seq_private" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa4c8550f, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xb08d0dac, "fscrypt_get_symlink" },
	{ 0xc47a5eb3, "dqput" },
	{ 0x21c419b6, "dquot_quotactl_sysfile_ops" },
	{ 0x349cba85, "strchr" },
	{ 0xc0bd0a93, "kmem_cache_alloc_lru" },
	{ 0xa379bd82, "filemap_fault" },
	{ 0x21c06fb8, "crypto_alloc_shash" },
	{ 0xe9aa3c24, "dquot_writeback_dquots" },
	{ 0xfc4c6347, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x275719d5, "dquot_get_next_dqblk" },
	{ 0x2442497e, "make_bad_inode" },
	{ 0x60aab9fe, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x453d3d69, "jbd2_wait_inode_data" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xb488d46d, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0xa7d1d28a, "dquot_load_quota_inode" },
	{ 0xbcbcbe72, "mark_buffer_dirty_inode" },
	{ 0x1b9bb952, "sb_min_blocksize" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xcd53ecc3, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9ea18406, "iomap_seek_data" },
	{ 0xe314bc37, "jbd2_journal_flush" },
	{ 0x4df1c3bf, "fscrypt_free_inode" },
	{ 0x333b2b6e, "jbd2_fc_end_commit_fallback" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xf55df3fa, "fscrypt_has_permitted_context" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x107eb7f2, "dquot_destroy" },
	{ 0x84ab0219, "iget_failed" },
	{ 0x7a6d2f3c, "fscrypt_symlink_getattr" },
	{ 0xbeef1fe5, "dquot_alloc" },
	{ 0x13ddc01c, "fs_bio_set" },
	{ 0xc758cc6e, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa02694fd, "d_path" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xffb0f64, "blkdev_issue_discard" },
	{ 0x4252099b, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x481814c4, "mb_cache_entry_find_next" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "jbd2");


MODULE_INFO(srcversion, "00F2543C92CD8F0A36F36F0");
