#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad809a15, "nfs_clone_server" },
	{ 0x91b7ad16, "nlmclnt_proc" },
	{ 0xd8090eb, "nfs_writeback_update_inode" },
	{ 0x6aa3f764, "nfs_alloc_client" },
	{ 0x54473b30, "nfs_dentry_operations" },
	{ 0x10379b28, "xdr_write_pages" },
	{ 0xdaed4a7d, "xdr_inline_decode" },
	{ 0xb97fe23a, "nfs_submount" },
	{ 0x89df2d0c, "__tracepoint_nfs_xdr_status" },
	{ 0x115f5d4a, "nfs_mknod" },
	{ 0x5f595ec3, "nfs_create_server" },
	{ 0x69acdf38, "memcpy" },
	{ 0x26de8837, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xde6caf03, "xdr_read_pages" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd048210c, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x81855bc, "nfs_mkdir" },
	{ 0x122c3a7e, "_printk" },
	{ 0xac4a561a, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x97e098c7, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x598cd003, "nfs_file_operations" },
	{ 0xfc6d2919, "nfs_rename" },
	{ 0x4a483538, "nfs_lookup" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf7f069f0, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x35f4281b, "nfs_invalidate_atime" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd4b5da6, "nfs_getattr" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcc41721d, "register_nfs_version" },
	{ 0x8cf3b09e, "rpc_call_start" },
	{ 0x172d539, "rpc_call_sync" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xa23299e4, "rpc_prepare_reply_pages" },
	{ 0x8fbf45e5, "nfs_fs_type" },
	{ 0x6c64e45f, "nfs_setattr" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe023cf4b, "xdr_terminate_string" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x42953c57, "make_kgid" },
	{ 0xfbf92099, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xef8a8bd0, "xdr_reserve_space" },
	{ 0xd5f4da8, "nfs_rmdir" },
	{ 0xe14126c5, "unregister_nfs_version" },
	{ 0x20e08455, "nfs_setattr_update_inode" },
	{ 0x905a45da, "nfs_sops" },
	{ 0x25c76d6a, "nfs_instantiate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4fbca7e6, "init_user_ns" },
	{ 0x3e044d31, "nfs_link" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe7e6103c, "nfs_permission" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x8a8bbc69, "from_kuid_munged" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xc76650b3, "nfs_free_client" },
	{ 0x6a3bf077, "nfs_close_context" },
	{ 0xbd3f5e3c, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x88466e, "nfs_symlink" },
	{ 0xb69af8e4, "nfs_unlink" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc");


MODULE_INFO(srcversion, "1388D2111A729C93F0A79C3");
