#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(garp_request_join, "_gpl", "");
KSYMTAB_FUNC(garp_request_leave, "_gpl", "");
KSYMTAB_FUNC(garp_init_applicant, "_gpl", "");
KSYMTAB_FUNC(garp_uninit_applicant, "_gpl", "");
KSYMTAB_FUNC(garp_register_application, "_gpl", "");
KSYMTAB_FUNC(garp_unregister_application, "_gpl", "");

SYMBOL_CRC(garp_request_join, 0x668c9d62, "_gpl");
SYMBOL_CRC(garp_request_leave, 0x64d0925b, "_gpl");
SYMBOL_CRC(garp_init_applicant, 0xebb60860, "_gpl");
SYMBOL_CRC(garp_uninit_applicant, 0x1c3e38a3, "_gpl");
SYMBOL_CRC(garp_register_application, 0xdf2b489f, "_gpl");
SYMBOL_CRC(garp_unregister_application, 0x850c43ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc84336ed, "mod_timer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb339bc04, "stp_proto_register" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf92d06c1, "stp_proto_unregister" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfd255da, "skb_push" },
	{ 0x6bc41a12, "llc_mac_hdr_init" },
	{ 0x27b35c89, "skb_queue_tail" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x38e1d57e, "dev_mc_add" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x56470118, "__warn_printk" },
	{ 0x208da2d9, "skb_pull" },
	{ 0xece784c2, "rb_first" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x62e021be, "__dev_queue_xmit" },
	{ 0x93c4182c, "skb_dequeue" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xce78c2f5, "dev_mc_del" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "A3A6CC3F5FD488BA3C2AD13");
