#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x013ac7a7, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xb4a7b2ef, "");
SYMBOL_CRC(dccp_v4_send_check, 0x72f118b4, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x17d1976f, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xfd8c554f, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xeafce5bf, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0xc1b469a8, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0xd62bf32f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39a12a12, "__inet_lookup_established" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x218714d6, "inet_bhash2_reset_saddr" },
	{ 0x5913451e, "inet_csk_addr2sockaddr" },
	{ 0x2fa703f3, "inet_unregister_protosw" },
	{ 0xf1737cef, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x86d49ddc, "dccp_shutdown" },
	{ 0xdd7f52e5, "inet_bhash2_update_saddr" },
	{ 0x333df82e, "dccp_connect" },
	{ 0x2ff90b8, "dccp_rcv_state_process" },
	{ 0x1d441ba6, "dccp_reqsk_send_ack" },
	{ 0xe85903ab, "inet_lookup_reuseport" },
	{ 0x9874cc5f, "__inet_lookup_listener" },
	{ 0x31de3854, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x57f1090c, "sock_common_getsockopt" },
	{ 0x2be4abdf, "inet_bind" },
	{ 0x115e08b0, "__inet_inherit_port" },
	{ 0x37f8bb38, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x48f8f064, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x65840f35, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc0e9b75d, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8457e58e, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xeaf995a, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd430a9e, "sk_error_report" },
	{ 0x9c2f51cc, "register_pernet_subsys" },
	{ 0xde1f25a7, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x923e2571, "inet_getname" },
	{ 0xced2b18a, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8c52a527, "proto_unregister" },
	{ 0xaeb2acad, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcf8fb3c3, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0xa6d147f8, "dccp_done" },
	{ 0x5fc858bf, "inet_release" },
	{ 0x5cfdeff4, "__sk_dst_check" },
	{ 0x4fc7e467, "dccp_disconnect" },
	{ 0x20b5c82b, "ip_route_output_key_hash" },
	{ 0x6e4310c0, "proto_register" },
	{ 0x5137f45a, "inet_hash" },
	{ 0xdfc637f4, "__sk_receive_skb" },
	{ 0xe00819e6, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x89303a9, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xa848d092, "inet_csk_get_port" },
	{ 0xfa1f3af9, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x8244d589, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0xa286feaf, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9fb45c0c, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9d44de9f, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xaaad6146, "inet_add_protocol" },
	{ 0xb395650e, "inet_shutdown" },
	{ 0xe30c7db2, "sk_free" },
	{ 0x16ce2d43, "dccp_close" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x32329e2d, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfeee323, "inet_hash_connect" },
	{ 0x77f0f892, "kmem_cache_free" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x122c0943, "inet_csk_route_child_sock" },
	{ 0xd0446c55, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0xf4353be9, "inet_csk_update_pmtu" },
	{ 0x621c3ba1, "dccp_getsockopt" },
	{ 0xcb09a2b9, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x230b523f, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe05fc8cd, "skb_checksum" },
	{ 0x96f6ab4b, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc610d22e, "sock_no_mmap" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0x40bead59, "dccp_child_process" },
	{ 0xb3e76f4d, "sock_common_recvmsg" },
	{ 0x70a1a99e, "dccp_setsockopt" },
	{ 0x9ee44af6, "dccp_ioctl" },
	{ 0x6963b446, "inet_sk_rebuild_header" },
	{ 0xa54047d7, "inet_del_protocol" },
	{ 0xe9385d1d, "ipv4_mtu" },
	{ 0x9073ff34, "dccp_recvmsg" },
	{ 0x692a719e, "inet_sendmsg" },
	{ 0xe6bd86b6, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x75ce7552, "dccp_create_openreq_child" },
	{ 0xbd52bfbe, "inet_csk_prepare_forced_close" },
	{ 0xbcad9dab, "security_skb_classify_flow" },
	{ 0xc6ae7f10, "sock_pfree" },
	{ 0x7246ca7e, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x737bb584, "dccp_send_sync" },
	{ 0xd2ec073f, "dst_release" },
	{ 0x9c886407, "sock_release" },
	{ 0xf4502dc6, "dccp_make_response" },
	{ 0xcbc741ae, "dccp_destroy_sock" },
	{ 0xdc29063d, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa06ebc8f, "sock_gettstamp" },
	{ 0x3c2a29ca, "sk_setup_caps" },
	{ 0x876e8297, "ip_build_and_send_pkt" },
	{ 0x287f2ee3, "dccp_sendmsg" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x936241b4, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xba940148, "inet_twsk_put" },
	{ 0xa2672918, "inet_unhash" },
	{ 0x2d1ac01b, "ip_getsockopt" },
	{ 0x6251447f, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3937ae96, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x46637896, "inet_csk_reqsk_queue_drop" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "7CD7B0311F5E62658C36AA3");
