#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd3a212b, "ip_tunnel_header_ops" },
	{ 0x52606c38, "ip_tunnel_setup" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x187bc4af, "ip_tunnel_ctl" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0xd69178ec, "ip_tunnel_init" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc2bc4ad1, "ip_tunnel_delete_nets" },
	{ 0x5fe291b7, "rtnl_link_unregister" },
	{ 0x23edb6c7, "ip_tunnel_init_net" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe0f180d1, "ip6_route_output_flags" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x735bcfba, "xfrm_lookup_route" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd2ec073f, "dst_release" },
	{ 0xcd0cf864, "skb_scrub_packet" },
	{ 0x56516efe, "ip6_output" },
	{ 0x20b5c82b, "ip_route_output_key_hash" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9d44de9f, "ip6_mtu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x7c61d701, "icmp_ndo_send" },
	{ 0xa2257296, "ip_output" },
	{ 0xcc252084, "icmpv6_ndo_send" },
	{ 0xe9385d1d, "ipv4_mtu" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x61fc0420, "__xfrm_decode_session" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0xeba3ea74, "ip_tunnel_lookup" },
	{ 0x42fc3502, "xfrm_state_lookup" },
	{ 0x39140cda, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b03fbc5, "ipv4_update_pmtu" },
	{ 0x3b2400eb, "__xfrm_state_destroy" },
	{ 0x65840f35, "__xfrm_policy_check" },
	{ 0xd5ca8fc9, "xfrm_input" },
	{ 0xac22d4aa, "ip_tunnel_uninit" },
	{ 0x16238154, "ip_tunnel_siocdevprivate" },
	{ 0x52d29be6, "ip_tunnel_change_mtu" },
	{ 0x7b093de1, "dev_get_tstats64" },
	{ 0xde630947, "ip_tunnel_get_iflink" },
	{ 0x3d55a72d, "ip_tunnel_dellink" },
	{ 0x682a626, "ip_tunnel_get_link_net" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5f517a2a, "register_pernet_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x8c4cde16, "xfrm4_protocol_register" },
	{ 0x1a22a911, "xfrm4_tunnel_register" },
	{ 0xdd0586ed, "rtnl_link_register" },
	{ 0x355d1907, "xfrm4_tunnel_deregister" },
	{ 0x7b2a11b9, "xfrm4_protocol_deregister" },
	{ 0xe07579d9, "unregister_pernet_device" },
	{ 0xe82eed5d, "nla_put" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe46212c4, "ip_tunnel_changelink" },
	{ 0x181dbff5, "ip_tunnel_newlink" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,tunnel4");


MODULE_INFO(srcversion, "224948FA8DA00872FFF06A4");
