#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x2015054e, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xdfa82c83, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xc1001004, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x9622dc48, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x816d177e, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x516965ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1c496d6, "nf_ct_ext_add" },
	{ 0x7c550523, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x31f8cff2, "nsh_pop" },
	{ 0xac445f1f, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x33676e12, "nf_ct_set_timeout" },
	{ 0x8413e5a1, "dev_get_stats" },
	{ 0xd131d34c, "__nla_put" },
	{ 0xd40be227, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15428b2e, "dev_fill_metadata_dst" },
	{ 0x91c774fa, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0xb0640ecd, "nf_ct_handle_fragments" },
	{ 0x7ccd51cf, "eth_mac_addr" },
	{ 0xc4fa1323, "skb_put" },
	{ 0x1bf6cc31, "genl_notify" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdde4e3c0, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x526604a3, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x10298105, "nf_ct_nat" },
	{ 0x36fa32bb, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xad5a0f11, "skb_eth_pop" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x78fb999b, "skb_gso_validate_mac_len" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0xf974377a, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xcc0a9674, "nf_ct_helper" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x7829c022, "__skb_ext_del" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0xdd176475, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdd0586ed, "rtnl_link_register" },
	{ 0xf9a57b0, "nf_connlabels_put" },
	{ 0xaf0c0f1e, "genlmsg_put" },
	{ 0xeb93051, "___pskb_trim" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x28f77c50, "dev_set_promiscuity" },
	{ 0x5cf62fce, "nf_ct_destroy_timeout" },
	{ 0x86fcc159, "nf_ct_add_helper" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xad4459f2, "nf_conntrack_helper_put" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xeb07a339, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x60de7e5a, "nf_ct_skb_network_trim" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x72348dfb, "unregister_netdevice_queue" },
	{ 0xdec68178, "kmem_cache_create" },
	{ 0xe35ae06e, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x1f9a80ab, "ether_setup" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0xe0efc501, "skb_csum_hwoffload_help" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x2e3d0f4e, "nf_connlabels_replace" },
	{ 0x762b813f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf924d366, "alloc_netdev_mqs" },
	{ 0xb16ce7a3, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb07dc4ac, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x803199e5, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc14d8965, "netlink_broadcast" },
	{ 0xe8d08d6a, "skb_eth_push" },
	{ 0xf153918, "nf_conncount_count" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x141ed771, "kmem_cache_alloc" },
	{ 0x464c336, "skb_mpls_pop" },
	{ 0x42d2ed02, "skb_vlan_pop" },
	{ 0xdd4dc9d1, "dst_init" },
	{ 0xfbe17911, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5fe291b7, "rtnl_link_unregister" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x1bbc3e36, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc73a9462, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xb92994cb, "ipv6_stub" },
	{ 0x7b506c1a, "skb_mpls_update_lse" },
	{ 0x208da2d9, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x1202e002, "netlink_unicast" },
	{ 0x9aaa48f0, "bpf_trace_run5" },
	{ 0xf3b0052c, "dev_get_by_index_rcu" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfd255da, "skb_push" },
	{ 0x77f0f892, "kmem_cache_free" },
	{ 0x79dd9b34, "netdev_upper_dev_unlink" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0xe090a63f, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe050f383, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcdafd05b, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe07579d9, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0x84437305, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x34526607, "nf_nat_helper_put" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0xa86a38a, "nf_ct_delete" },
	{ 0x6e84d7e0, "nf_conncount_init" },
	{ 0x1c2a0a89, "skb_vlan_push" },
	{ 0x7b093de1, "dev_get_tstats64" },
	{ 0xffa97ac6, "netif_rx" },
	{ 0xc05ccdd7, "__netdev_alloc_skb" },
	{ 0x56aa081d, "netdev_master_upper_dev_link" },
	{ 0x57cf0ba7, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x6c09b0b9, "inet_proto_csum_replace16" },
	{ 0xfe21d3fe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcd0cf864, "skb_scrub_packet" },
	{ 0x9d2e4539, "nf_ct_deliver_cached_events" },
	{ 0x90b6c069, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x5feaff81, "skb_tx_error" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x62e021be, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0x74aaf381, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa5825d73, "inet_proto_csum_replace4" },
	{ 0xebe618eb, "nf_conncount_destroy" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x5fe40e52, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x994a9693, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x792c16d7, "dev_get_by_name" },
	{ 0x749d5d0d, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x27dd5bf7, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd2ec073f, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcdb3b537, "peernet2id_alloc" },
	{ 0x3e1da053, "nf_ct_get_tuplepr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x75795b48, "netdev_rx_handler_register" },
	{ 0x5a8e677c, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2bbb6f44, "genl_unregister_family" },
	{ 0x54362475, "dev_disable_lro" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x292c9135, "genl_register_family" },
	{ 0x7782c7b4, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x62d25304, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x3ec2a33a, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0xbe240d16, "skb_mpls_push" },
	{ 0x5f517a2a, "register_pernet_device" },
	{ 0x86e1c6ca, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xaa2c48ee, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc758cc6e, "kmem_cache_destroy" },
	{ 0x9aab23b, "__skb_vlan_pop" },
	{ 0x3f74faea, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x987be2c, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "9AE736D4187887A2FA625FE");
