#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_emu10k1_memblk_map, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_bzero, "", "");
KSYMTAB_FUNC(snd_emu10k1_synth_copy_from_user, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_alloc, "", "");
KSYMTAB_FUNC(snd_emu10k1_voice_free, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_read, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write, "", "");
KSYMTAB_FUNC(snd_emu10k1_ptr_write_multiple, "", "");

SYMBOL_CRC(snd_emu10k1_memblk_map, 0x193ce59d, "");
SYMBOL_CRC(snd_emu10k1_synth_alloc, 0x8e9c232e, "");
SYMBOL_CRC(snd_emu10k1_synth_free, 0x43c43059, "");
SYMBOL_CRC(snd_emu10k1_synth_bzero, 0x9d8966e0, "");
SYMBOL_CRC(snd_emu10k1_synth_copy_from_user, 0xa53665d2, "");
SYMBOL_CRC(snd_emu10k1_voice_alloc, 0xfdb570bb, "");
SYMBOL_CRC(snd_emu10k1_voice_free, 0x07a808aa, "");
SYMBOL_CRC(snd_emu10k1_ptr_read, 0x27634ffd, "");
SYMBOL_CRC(snd_emu10k1_ptr_write, 0x78ae1892, "");
SYMBOL_CRC(snd_emu10k1_ptr_write_multiple, 0xd31a0e03, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd91f0425, "snd_rawmidi_receive" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb84428e5, "snd_dma_alloc_dir_pages" },
	{ 0xe9fb9efc, "devm_request_threaded_irq" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf1f1605e, "snd_rawmidi_transmit" },
	{ 0xf1699fa6, "snd_ac97_write_cache" },
	{ 0x64514d8c, "snd_ctl_add" },
	{ 0x2cf6457a, "snd_ac97_resume" },
	{ 0xdc938a70, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9ff6cf01, "snd_seq_device_new" },
	{ 0x1f7c41d5, "snd_card_register" },
	{ 0xd79c950f, "request_firmware" },
	{ 0xbce05f83, "snd_devm_alloc_dir_pages" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0xf2dcd564, "snd_pcm_hw_constraint_minmax" },
	{ 0x90b8e773, "snd_timer_interrupt" },
	{ 0xa2cd8255, "param_array_ops" },
	{ 0x1fed78d8, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x88d064c8, "snd_card_rw_proc_new" },
	{ 0x15e64f20, "snd_ac97_update_bits" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x375c6b4, "snd_ac97_mixer" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe153aa63, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xb8c0bcd1, "snd_ctl_remove" },
	{ 0x7c3e325d, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x74020a8d, "snd_ctl_find_id" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0xc4010d38, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf61a3417, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8bbbe427, "snd_ctl_remove_id" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdc24d3d5, "iommu_get_domain_for_dev" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3b0a145c, "snd_ac97_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x83037bd, "snd_pcm_lib_malloc_pages" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xd28dc0da, "__snd_util_mem_alloc" },
	{ 0x6341eec3, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc536763f, "snd_pcm_lib_free_pages" },
	{ 0x76e0c5c0, "snd_hwdep_new" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9cd3d3e2, "snd_ctl_notify" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x63a6f4c2, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaaaac188, "snd_pcm_set_managed_buffer" },
	{ 0xb4ca6f4, "snd_timer_new" },
	{ 0x1db38e2a, "snd_ctl_rename" },
	{ 0x757d05e3, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x213fc110, "snd_ac97_update" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe9c73659, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0xdf3ef104, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4c34a451, "snd_rawmidi_new" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x268c9526, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0139976, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0xd9038f88, "snd_rawmidi_set_ops" },
	{ 0xb2b5940d, "snd_pcm_lib_preallocate_pages" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x78740cc9, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3542af2c, "snd_info_create_card_entry" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x59673ec6, "snd_device_free" },
	{ 0x404aed18, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xf42158b9, "pcim_enable_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5f2b4e0b, "snd_pcm_hw_rule_noresample" },
	{ 0xf646317f, "snd_ac97_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-pcm,snd-ac97-codec,snd,snd-seq-device,snd-timer,snd-util-mem,snd-hwdep");

MODULE_ALIAS("pci:v00001102d00000002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001102d00000008sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1423C36AA4CAEDBFED33904");
