#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x1f627aa5, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xe3bc8861, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xf8b3872d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3ca23480, "acpi_dev_get_first_match_dev" },
	{ 0x2a8264ab, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb8ec74f8, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5e1fe3f4, "regcache_cache_only" },
	{ 0xe04e59b2, "is_acpi_device_node" },
	{ 0xf7069f6, "gpiod_put" },
	{ 0x1ebd0f3c, "regcache_sync" },
	{ 0x68cb46ac, "regmap_write" },
	{ 0xe9fb9efc, "devm_request_threaded_irq" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xdcb5c42d, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x64514d8c, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfa6afc57, "gpiod_count" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x2baef5f5, "cs_dsp_stop" },
	{ 0x4c431cfe, "pm_runtime_set_autosuspend_delay" },
	{ 0x9944251c, "cs35l41_register_errata_patch" },
	{ 0xe2133270, "gpiod_set_value_cansleep" },
	{ 0xf1fff504, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x151bf8cc, "gpiod_get_index" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37652c1c, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xdee216f4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e758704, "cs35l41_init_boost" },
	{ 0x2f258893, "cs35l41_enter_hibernate" },
	{ 0x9b5c95fa, "get_device" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76e2a3a4, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6cba6a3b, "__pm_runtime_set_status" },
	{ 0xf61a3417, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6c008d9, "put_device" },
	{ 0x1094ae9f, "pm_runtime_enable" },
	{ 0x5fc80600, "fwnode_gpiod_get_index" },
	{ 0xe483322c, "device_property_read_u32_array" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6341eec3, "snd_ctl_boolean_mono_info" },
	{ 0xfddeb056, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a286f65, "cs_dsp_halo_init" },
	{ 0x72544b10, "cs_dsp_power_down" },
	{ 0x43b47952, "device_link_remove" },
	{ 0x1ac136b2, "cs35l41_test_key_unlock" },
	{ 0xf93a55db, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf19a0222, "cs35l41_test_key_lock" },
	{ 0x5f2b4fb7, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc9c8efc6, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x464261cd, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x12672b8d, "hda_cs_dsp_write_ctl" },
	{ 0x2d87180, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1c159d7b, "devm_kasprintf" },
	{ 0xa460f47e, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6de2cb81, "cs35l41_exit_hibernate" },
	{ 0x999e8297, "vfree" },
	{ 0xaa34c931, "regmap_read" },
	{ 0x592de397, "cs_dsp_run" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x969c5e77, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0xc86651b5, "cs35l41_write_fs_errata" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xec76445, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xdaf5c13a, "cs35l41_configure_cs_dsp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x4d66e1b, "_dev_crit" },
	{ 0xd1cb0589, "regmap_update_bits_base" },
	{ 0x962fb438, "dev_err_probe" },
	{ 0x6c5f7d24, "regmap_multi_reg_write" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0x3964b079, "component_add" },
	{ 0xc50680d5, "__pm_runtime_use_autosuspend" },
	{ 0xe6a3ed5c, "cs35l41_set_channels" },
	{ 0x725c82cd, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x23c1368, "device_link_add" },
	{ 0x37567412, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "1A29D6EFF06E64B188F2F44");
