#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xa7fcf847, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x1bcf7df4, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xa9612acf, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x5609acab, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xa18e33b6, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x1ca2baaa, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x05929f04, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x6c1ad7ca, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x3d3a7232, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0xa45f8627, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x73168086, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xeba4c2d6, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x70e6de02, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x3c1dc16a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf3ee1213, "device_property_present" },
	{ 0x5e1fe3f4, "regcache_cache_only" },
	{ 0x1ebd0f3c, "regcache_sync" },
	{ 0x68cb46ac, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7809b593, "snd_soc_jack_report" },
	{ 0xe2133270, "gpiod_set_value_cansleep" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf2dcd564, "snd_pcm_hw_constraint_minmax" },
	{ 0xa10a8cd5, "regcache_sync_region" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x17d580c9, "snd_soc_put_enum_double" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xdee216f4, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7f8e0e8f, "devm_gpiod_get_optional" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67db5611, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d0842c5, "regulator_bulk_disable" },
	{ 0xe483322c, "device_property_read_u32_array" },
	{ 0x86267dfd, "snd_soc_get_enum_double" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xe4ce6f2e, "snd_soc_info_volsw" },
	{ 0x4e33f1f3, "regcache_drop_region" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe3954628, "snd_soc_info_enum_double" },
	{ 0x723a202f, "regulator_bulk_enable" },
	{ 0x749b7b90, "devm_regulator_bulk_get" },
	{ 0x5af8a8f6, "snd_soc_get_volsw" },
	{ 0xaa34c931, "regmap_read" },
	{ 0x329751f9, "snd_soc_put_volsw" },
	{ 0xf8bd0da0, "snd_soc_component_update_bits" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xff7eb45c, "regmap_bulk_read" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd1cb0589, "regmap_update_bits_base" },
	{ 0x962fb438, "dev_err_probe" },
	{ 0x6c5f7d24, "regmap_multi_reg_write" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "ABDF760A37EB1899A58220A");
