#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0x58256cad, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xda520e85, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xa449ef56, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x6789de8c, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0x90477946, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x042a8595, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x30519067, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x1dbe1f40, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0xeeaaa2de, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0xd6e70ae7, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x8c816780, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x7d309325, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0xaf96fb41, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0xf9d55066, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xeeee148e, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x8c255849, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x015f0d04, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x8c161a43, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x12607a4b, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0xbe15a73c, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0x1aae1640, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x459d2660, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0xf6024fb7, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x169088c3, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xfebb353b, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x7e83ce9b, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xcb8cd538, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xab1f9e20, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xfddc7012, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0x907e5332, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x72990d11, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xd8c8bcc2, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x5e254a0c, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0x543bee91, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0xd94bec86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x129623c0, "platform_device_put" },
	{ 0xf218a5ea, "pci_save_state" },
	{ 0x810e1bab, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1a2babd8, "sst_dsp_register_poll" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb84428e5, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6cbe4238, "snd_hdac_bus_send_cmd" },
	{ 0xb872fe87, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x82d8bd02, "snd_hdac_stream_set_spib" },
	{ 0xec13b6d5, "snd_hdac_bus_enter_link_reset" },
	{ 0x594b4089, "sst_ipc_tx_message_wait" },
	{ 0x3f5f905, "intel_nhlt_get_dmic_geo" },
	{ 0x311cb2a5, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdc39bc33, "snd_hdac_ext_stream_start" },
	{ 0x5e2655a6, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xb45bd51e, "snd_hdac_ext_stream_free_all" },
	{ 0xd81a8da0, "snd_hdac_bus_update_rirb" },
	{ 0x2efdcfde, "sst_dsp_shim_write_unlocked" },
	{ 0x710724b5, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd79c950f, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf2dcd564, "snd_pcm_hw_constraint_minmax" },
	{ 0x17e55932, "snd_hdac_codec_modalias" },
	{ 0x237cd5ac, "snd_hdac_bus_stop_chip" },
	{ 0x1fed78d8, "pci_request_regions" },
	{ 0x4ad55da6, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa0b8f7a, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x98688c44, "snd_intel_dsp_driver_probe" },
	{ 0x1245fcf3, "snd_hdac_stream_set_lpib" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe153aa63, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0x3539b5aa, "snd_sgbuf_get_chunk_size" },
	{ 0x5c3b3a4b, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5b557169, "snd_hdac_ext_bus_device_remove" },
	{ 0x383de6af, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x5f4560d4, "snd_pcm_set_sync" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0x52737de0, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c64183, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4825502c, "snd_hdac_stream_timecounter_init" },
	{ 0x5569d4a7, "snd_hdac_ext_link_free_all" },
	{ 0xdea90838, "sst_ipc_tx_message_nowait" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0xc4010d38, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x67db5611, "devm_snd_soc_register_component" },
	{ 0x27bc9b97, "snd_hdac_bus_free_stream_pages" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0xdceaadfc, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa8f813d3, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x475e77a4, "snd_hdac_ext_bus_exit" },
	{ 0x97673459, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0x87e6a2f2, "sysfs_remove_file_ns" },
	{ 0x4185982a, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x71ce36da, "snd_hdac_ext_stream_clear" },
	{ 0x9b3a39e4, "snd_hdac_device_register" },
	{ 0xe3bab32b, "snd_hdac_stream_spbcap_enable" },
	{ 0x19af1ddf, "sst_ipc_tx_message_nopm" },
	{ 0xec1b565, "snd_hdac_i915_init" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xf93c12a1, "snd_hdac_bus_init_chip" },
	{ 0x70d1e745, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf38a12e4, "intel_nhlt_get_endpoint_blob" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x12e584b4, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0xec4b04a9, "sst_dsp_shim_read_unlocked" },
	{ 0x4cda5f4, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x20ae13f7, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0xcbbeaf69, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x85fb464f, "platform_device_unregister" },
	{ 0xa39864ee, "sst_ipc_fini" },
	{ 0x7b6b8df3, "snd_hdac_ext_stream_assign" },
	{ 0x6bfb7aef, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd63581df, "snd_hdac_ext_stream_init_all" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x5cbe0fa5, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xc301a924, "sst_dsp_shim_update_bits_forced" },
	{ 0x5a8dba1, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x77346587, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x18a3e181, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x16eb1dcd, "snd_soc_tplg_component_load" },
	{ 0x81299218, "sst_dsp_shim_read" },
	{ 0x765aeb74, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4c45664d, "snd_hdac_bus_stop_cmd_io" },
	{ 0x32c59d80, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8809d884, "pci_restore_state" },
	{ 0xb79a433b, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe9c73659, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x21d610a7, "snd_hdac_display_power" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd0f92b1, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ed2f40a, "sst_ipc_tx_msg_reply_complete" },
	{ 0x7bcad692, "snd_soc_tplg_component_remove" },
	{ 0x74cc88c7, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x268c9526, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1cd02200, "sst_dsp_shim_update_bits" },
	{ 0xbad53e8c, "snd_hdac_acomp_exit" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0x9fe60c70, "snd_hdac_bus_parse_capabilities" },
	{ 0xc6d78318, "platform_device_register_full" },
	{ 0x2d10ca48, "sst_dsp_outbox_write" },
	{ 0x58d5c4ee, "pm_runtime_allow" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x87fcb2c5, "snd_hdac_stream_setup" },
	{ 0x1fa6a616, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x14952211, "snd_hdac_stream_set_params" },
	{ 0xb77dc150, "pci_release_regions" },
	{ 0x1f14c9f0, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe0ae829c, "snd_hdac_bus_handle_stream_irq" },
	{ 0x66b58db4, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0xec91acea, "pci_write_config_byte" },
	{ 0x8491c0, "snd_hdac_stream_drsm_enable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x721c8d9b, "snd_soc_acpi_intel_skl_machines" },
	{ 0xa9c90b76, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x7b72e193, "snd_soc_set_runtime_hwparams" },
	{ 0x50abd6f8, "snd_hdac_get_stream" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0xfa9325e3, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xba119e4d, "pci_match_id" },
	{ 0xa4475be8, "snd_hdac_stream_sync_trigger" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x504c3ab4, "snd_hdac_ext_bus_link_put" },
	{ 0xdcf641bf, "snd_hda_codec_device_init" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0xd004b0a, "snd_hdac_set_codec_wakeup" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x26e3ac70, "snd_hdac_stream_reset" },
	{ 0x40ce3fe2, "sst_dsp_shim_write" },
	{ 0x404aed18, "snd_pcm_period_elapsed" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0x9ded42fd, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x4f13398b, "snd_soc_tplg_widget_bind_event" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0xb889b176, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x49253ca7, "intel_nhlt_init" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7735a6ab, "snd_hdac_stop_streams_and_chip" },
	{ 0xdad8dc79, "snd_hdac_dsp_cleanup" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x10128d3d, "snd_hdac_ext_stream_reset" },
	{ 0xda12f293, "snd_hdac_stop_streams" },
	{ 0x733d9f34, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x5d8927c7, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3216db7, "pci_write_config_dword" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8efd41ce, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81be1324, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa22315ca, "snd_soc_acpi_intel_hda_machines" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-hdac-hda,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");
