#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf218a5ea, "pci_save_state" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0x9045115e, "adf_exit_arb" },
	{ 0xe7e93b61, "adf_gen2_init_hw_csr_ops" },
	{ 0x7283db9f, "pci_iomap" },
	{ 0x8c259f3a, "adf_exit_admin_comms" },
	{ 0x6732e506, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xba9f734b, "adf_err_handler" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0x166d4c68, "adf_gen2_enable_ints" },
	{ 0x44bb123d, "adf_gen2_enable_error_correction" },
	{ 0x1fed78d8, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9493fc86, "node_states" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0xaba2e5f9, "adf_heartbeat_check_ctrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e707f37, "adf_gen2_get_admin_info" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6ed3c487, "adf_init_admin_comms" },
	{ 0x94d94f33, "adf_dev_down" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1bcb0259, "adf_dbgfs_init" },
	{ 0xfda250c7, "adf_gen2_get_num_aes" },
	{ 0xae09393e, "adf_send_admin_init" },
	{ 0x84aef88, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x4cb99d0c, "kmalloc_node_trace" },
	{ 0x272466db, "adf_gen2_cfg_iov_thds" },
	{ 0x7839eaa9, "pci_select_bars" },
	{ 0xa148004e, "adf_gen2_dev_config" },
	{ 0x9d76cb78, "adf_devmgr_add_dev" },
	{ 0x83ea2388, "adf_isr_resource_free" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb4a6c6a3, "adf_disable_sriov" },
	{ 0x7275ca27, "adf_cfg_dev_remove" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd8f68812, "adf_dev_up" },
	{ 0xed80c4e0, "adf_isr_resource_alloc" },
	{ 0xd5901bff, "pci_iounmap" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x752b613c, "adf_cfg_dev_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0x2be4e269, "adf_gen2_get_arb_info" },
	{ 0x83a47d55, "adf_init_arb" },
	{ 0x2ba37690, "adf_devmgr_rm_dev" },
	{ 0xb77dc150, "pci_release_regions" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe45f3512, "adf_gen2_init_dc_ops" },
	{ 0x4acd75ce, "adf_gen2_get_num_accels" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xce7767d0, "pcie_set_readrq" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x13f83619, "adf_reset_sbr" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0xccb697f0, "adf_dbgfs_exit" },
	{ 0xf555748c, "adf_gen2_init_pf_pfvf_ops" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00000435sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2171DFC753BB8813ACBCD70");
