#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x1437cd28, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xf0baebcf, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x7a8a1346, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0xe9e4479f, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x320979fd, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x806f9bb6, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xe0c04e93, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xb9bea1ef, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xe2ed3cc3, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xb55d7cff, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x2af73ed5, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x464261cd, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x72544b10, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x592de397, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x2baef5f5, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x297001db, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x9a286f65, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x5f2b4fb7, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x3d84d6db, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x98e85ff0, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xbf7f8f7f, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xe13935e3, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xf762d0ed, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x6685a964, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bc11a16, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98d01f27, "regmap_raw_write" },
	{ 0x9740bb24, "regmap_raw_read" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaa34c931, "regmap_read" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xd1cb0589, "regmap_update_bits_base" },
	{ 0x68cb46ac, "regmap_write" },
	{ 0x6c5f7d24, "regmap_multi_reg_write" },
	{ 0xff7eb45c, "regmap_bulk_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1c159d7b, "devm_kasprintf" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x999e8297, "vfree" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa916b694, "strnlen" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb7caf889, "regmap_raw_write_async" },
	{ 0x218d2cde, "regmap_async_complete" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x5c56886, "seq_lseek" },
	{ 0x2e9e89e2, "seq_read" },
	{ 0x1adf355d, "single_release" },
	{ 0x20ae13f7, "simple_open" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0x914dfa1, "debugfs_create_bool" },
	{ 0xa3a0486e, "debugfs_create_x32" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xd64d079e, "single_open" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xba87b279, "_dev_err" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FA3BBC13C13A4294CD702B3");
