#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x622c0c60, "");
SYMBOL_CRC(drm_gem_vram_put, 0x1e90ec2a, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x10e3eb87, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x0f37e7b7, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x675da607, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x8d891777, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x4ebbd9ec, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xbeb283f0, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x70ad8be4, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xcb904a22, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x53c2bb71, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x86c18e3c, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x4df74227, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x918da16d, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x46fe783f, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x6829cfa9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5d74755c, "ttm_range_man_init_nocheck" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x32dcdb48, "ww_mutex_lock_interruptible" },
	{ 0x54bfe8f1, "ttm_resource_manager_debug" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x755e08cf, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xc934dfd, "ttm_range_man_fini_nocheck" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x2615399f, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xafd6f34e, "ttm_bo_pin" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0xd43038eb, "drm_gem_ttm_mmap" },
	{ 0x2d5057ef, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5e2c7719, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x943aedc1, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9ff23e7, "ttm_tt_init" },
	{ 0x4357ff20, "drm_gem_handle_create" },
	{ 0x89fb84bb, "drm_gem_fb_get_obj" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x438fd731, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xc465dec5, "drm_debugfs_add_files" },
	{ 0x292e642d, "ttm_bo_init_validate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe405b583, "ttm_device_init" },
	{ 0x62c2fe76, "ttm_bo_validate" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xca5e462f, "ttm_bo_move_to_lru_tail" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xc3e6d35e, "ttm_bo_vmap" },
	{ 0xf449815e, "ttm_bo_put" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xdd04be50, "ttm_resource_free" },
	{ 0xc3a6f2d, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5690f017, "ttm_tt_fini" },
	{ 0x63c00eac, "ttm_device_fini" },
	{ 0x47ec27c0, "drm_gem_plane_helper_prepare_fb" },
	{ 0x75811a87, "ttm_bo_eviction_valuable" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xdc5d85e7, "drm_gem_ttm_print_info" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");
