#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0x0bcdceac, "");
SYMBOL_CRC(t3_l2t_send_event, 0xd3afda3f, "");
SYMBOL_CRC(t3_l2e_free, 0x9ef30842, "");
SYMBOL_CRC(t3_l2t_get, 0xd1911b7d, "");
SYMBOL_CRC(cxgb3_register_client, 0x771e7c1b, "");
SYMBOL_CRC(cxgb3_unregister_client, 0xaa8d431d, "");
SYMBOL_CRC(cxgb3_free_atid, 0xee109b54, "");
SYMBOL_CRC(cxgb3_free_stid, 0x824242f8, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x571acd7e, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x8cffa81c, "");
SYMBOL_CRC(cxgb3_remove_tid, 0xdb1cb5c9, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x50542bcf, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x27734d63, "");
SYMBOL_CRC(dev2t3cdev, 0x06d10fae, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x96262e11, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xe5df3e6f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x84aed32, "alloc_etherdev_mqs" },
	{ 0xf218a5ea, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdec17486, "pcie_capability_read_word" },
	{ 0x22364555, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7ba92cd3, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0xf3b1701c, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb7eccffe, "pci_enable_device" },
	{ 0xc4fa1323, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0xe831361b, "netdev_update_features" },
	{ 0x526604a3, "consume_skb" },
	{ 0x66bd0854, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4519e965, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf7a575a8, "unregister_netdev" },
	{ 0x78dbee3e, "napi_get_frags" },
	{ 0x65e62872, "dma_unmap_page_attrs" },
	{ 0xd79c950f, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0x5f1ebe5a, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xf0ff0c3d, "pci_disable_msi" },
	{ 0x1fed78d8, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x7d1971c0, "__put_devmap_managed_page_refs" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x762b813f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e2efa93, "dma_map_page_attrs" },
	{ 0xfd320196, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0xa094a951, "__napi_schedule" },
	{ 0x1fd357c6, "pci_enable_msix_range" },
	{ 0x388a0a34, "pci_write_vpd_any" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0xa26c1244, "__free_pages" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x83b2cfad, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc45f5b1e, "pci_find_capability" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x337fa852, "_dev_alert" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9635ad43, "pci_enable_msi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x208da2d9, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xef85856, "netif_set_real_num_tx_queues" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x751df9d8, "netif_set_real_num_rx_queues" },
	{ 0xede9210, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0xb0e7f94, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0xfba412f1, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x745f8e4c, "netif_receive_skb" },
	{ 0x65810f23, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe050f383, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb8490e5, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x63e66840, "netif_tx_stop_all_queues" },
	{ 0x8809d884, "pci_restore_state" },
	{ 0x887028ef, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb7c85ae1, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffa97ac6, "netif_rx" },
	{ 0xaf6c5aa3, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0xfe4f6168, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaca04f79, "neigh_destroy" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb77dc150, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x10b2bdea, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0xab226d6a, "netdev_master_upper_dev_get_rcu" },
	{ 0xebd8c8f7, "__folio_put" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34e9aa36, "netif_carrier_off" },
	{ 0xcbf357b1, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x883396d6, "netif_carrier_on" },
	{ 0xc9998cfe, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3a0896ee, "vlan_dev_vlan_id" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x488aa711, "napi_schedule_prep" },
	{ 0xaa3b93d, "napi_disable" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9cc8800f, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x8cb329be, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E2F81FAFDD33310C436FC66");
