#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0x27ebb5c1, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0x6e116eb5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72935796, "__tracepoint_xdp_exception" },
	{ 0xefe91626, "xsk_tx_completed" },
	{ 0x84aed32, "alloc_etherdev_mqs" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf218a5ea, "pci_save_state" },
	{ 0xe98ef9be, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xdec17486, "pcie_capability_read_word" },
	{ 0x19e192d3, "device_set_wakeup_enable" },
	{ 0xd34a5212, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc3a5152, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4826442e, "pci_find_ext_capability" },
	{ 0xfa2b108b, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ede85e9, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2e18d2a9, "pci_request_selected_regions" },
	{ 0xbc3e9dfa, "pci_release_selected_regions" },
	{ 0x80aec92b, "pci_wake_from_d3" },
	{ 0x437f4dba, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x65f9a1da, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc7417a76, "auxiliary_device_init" },
	{ 0x147f42c0, "pci_enable_device_mem" },
	{ 0x526604a3, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x66bd0854, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x18a06879, "xsk_tx_peek_release_desc_batch" },
	{ 0x19e0e1de, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4519e965, "dump_page" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0xfd8dbc97, "bpf_warn_invalid_xdp_action" },
	{ 0x9e38b101, "ndo_dflt_bridge_getlink" },
	{ 0xf7a575a8, "unregister_netdev" },
	{ 0xeecc43e, "xdp_convert_zc_to_xdp_frame" },
	{ 0x204a8220, "xdp_features_set_redirect_target" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x41fb5559, "pci_get_device" },
	{ 0x65e62872, "dma_unmap_page_attrs" },
	{ 0xd79c950f, "request_firmware" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x3c3f12a3, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0x5f1ebe5a, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xa188c3cb, "pci_num_vf" },
	{ 0xe81ba41a, "flow_rule_match_eth_addrs" },
	{ 0xa3b0a5b4, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf0ff0c3d, "pci_disable_msi" },
	{ 0xb64336ed, "ptp_clock_index" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xe38c12b2, "xdp_do_redirect" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0xfd436e9c, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x11dcd8a1, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x78c4fd43, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x2957bf61, "flow_rule_match_ipv4_addrs" },
	{ 0xc960f8ab, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x505f9d5b, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x77edf38e, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0x8b5e1e69, "dev_driver_string" },
	{ 0x55e5276f, "pci_restore_msi_state" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x68fdada9, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8716de6d, "ptp_find_pin" },
	{ 0x762b813f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1e2efa93, "dma_map_page_attrs" },
	{ 0x3e671dc3, "irq_set_affinity_notifier" },
	{ 0xfd320196, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3d0ee75b, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0xa094a951, "__napi_schedule" },
	{ 0x2289c592, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1fd357c6, "pci_enable_msix_range" },
	{ 0xa5e44ed5, "xsk_set_rx_need_wakeup" },
	{ 0x618911fc, "numa_node" },
	{ 0xa26c1244, "__free_pages" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xf415654a, "__hw_addr_unsync_dev" },
	{ 0x83b2cfad, "napi_gro_receive" },
	{ 0x57a7b56e, "xdp_features_clear_redirect_target" },
	{ 0x7839eaa9, "pci_select_bars" },
	{ 0x8962e66c, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xae92cf53, "xp_raw_get_dma" },
	{ 0xe8d93bd0, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x719d3243, "xdp_rxq_info_is_reg" },
	{ 0x52a191ee, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4493f73, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9635ad43, "pci_enable_msi" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x8708b7f, "softnet_data" },
	{ 0x20ae13f7, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x4b38d49e, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x45866860, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0xdc736f30, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xef85856, "netif_set_real_num_tx_queues" },
	{ 0x10b17c2c, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x751df9d8, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa823a776, "dma_alloc_attrs" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x200f8464, "pci_read_config_word" },
	{ 0xfba412f1, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd7e1fb26, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xeee41da, "dcbnl_ieee_notify" },
	{ 0xfb20e828, "xsk_uses_need_wakeup" },
	{ 0x65810f23, "register_netdev" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe050f383, "free_netdev" },
	{ 0xaf87fa77, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0x990b20a, "eth_platform_get_mac_address" },
	{ 0x6b0c2eb9, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x4da09825, "__SCK__tp_func_xdp_exception" },
	{ 0x63e66840, "netif_tx_stop_all_queues" },
	{ 0x8809d884, "pci_restore_state" },
	{ 0x887028ef, "netif_tx_wake_queue" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x534d4ea7, "netdev_set_sb_channel" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb7c85ae1, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x1b07fd2e, "dcb_getapp" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x913044e0, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb64f49a0, "ptp_clock_event" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x266ace2f, "netif_schedule_queue" },
	{ 0x9ec0a81d, "__alloc_pages" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc68ec3e, "netdev_set_tc_queue" },
	{ 0x5454cf4d, "flow_rule_match_ipv6_addrs" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc307d1d9, "ptp_clock_unregister" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0xb58b48ca, "xp_dma_unmap" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfe1beb3d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd65c57c, "netdev_unbind_sb_channel" },
	{ 0xbba8778, "dma_set_coherent_mask" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x89a20c52, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x90b6c069, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdc6c0fb5, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0x4b02cfb9, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd4f6b7d5, "netdev_reset_tc" },
	{ 0x13c2b22f, "dma_free_attrs" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x647c924a, "call_netdevice_notifiers" },
	{ 0x3d4a7cb2, "xp_set_rxq_info" },
	{ 0xe5af0af4, "flow_rule_match_vlan" },
	{ 0x4d201ad6, "xdp_rxq_info_unreg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x95539151, "napi_build_skb" },
	{ 0x8b8bc618, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x34e9aa36, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x377574, "__hw_addr_sync_dev" },
	{ 0xb88f7175, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x883396d6, "netif_carrier_on" },
	{ 0x3cc947f0, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc9998cfe, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x242acaa0, "dev_uc_add_excl" },
	{ 0x8c30fd01, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc2970f40, "xp_free" },
	{ 0x25fa445c, "dev_mc_add_excl" },
	{ 0x5aa3fa9a, "dev_uc_add" },
	{ 0x6d9a0af1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4d66e1b, "_dev_crit" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x7c758812, "xdp_master_redirect" },
	{ 0x5eda2e60, "__napi_schedule_irqoff" },
	{ 0x488aa711, "napi_schedule_prep" },
	{ 0xe561f734, "napi_consume_skb" },
	{ 0x7c03544d, "pci_read_config_byte" },
	{ 0x8113cb20, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xaa3b93d, "napi_disable" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0xc4533da8, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2055710a, "flow_rule_match_control" },
	{ 0xbbc9435b, "pci_enable_sriov" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x9dbf8a85, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x7da7559, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf0367979, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x8cb329be, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1A1F346FFA2E3EB7ED1F8A6");
