#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x8b9e12f4, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x403050e0, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x30b940bb, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x2e0dea42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd0586ed, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5fe291b7, "rtnl_link_unregister" },
	{ 0xfb578fc5, "memset" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xce2fa685, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3051025, "__dev_get_by_index" },
	{ 0xaa3512fb, "netdev_is_rx_handler_busy" },
	{ 0x75795b48, "netdev_rx_handler_register" },
	{ 0x987be2c, "register_netdevice" },
	{ 0x32b8ced5, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4542dd8a, "netif_stacked_transfer_operstate" },
	{ 0x8cac64f7, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x72348dfb, "unregister_netdevice_queue" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x79dd9b34, "netdev_upper_dev_unlink" },
	{ 0x5aa3fa9a, "dev_uc_add" },
	{ 0x19b48676, "dev_set_mtu" },
	{ 0x647c924a, "call_netdevice_notifiers" },
	{ 0x4808024b, "netif_inherit_tso_max" },
	{ 0xe831361b, "netdev_update_features" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x749d5d0d, "skb_clone" },
	{ 0xffa97ac6, "netif_rx" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x37465a61, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x526604a3, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x62e021be, "__dev_queue_xmit" },
	{ 0x80e8d3fc, "dev_forward_skb" },
	{ 0x37b5a4d3, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd156a29f, "__netif_rx" },
	{ 0x22f769b2, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x4cdc257, "netdev_core_stats_alloc" },
	{ 0xe28118b3, "dev_uc_sync" },
	{ 0x7db323ef, "dev_mc_sync" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x2b090756, "passthru_features_check" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0xc0171010, "ndo_dflt_fdb_dump" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0xb335be71, "eth_header_parse" },
	{ 0x830acaee, "eth_header_cache" },
	{ 0xf9bde882, "eth_header_cache_update" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1f9a80ab, "ether_setup" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xaddde83f, "__ethtool_get_link_ksettings" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc73a9462, "init_net" },
	{ 0x5b90f0e3, "generic_hwtstamp_set_lower" },
	{ 0x4133ab93, "generic_hwtstamp_get_lower" },
	{ 0xce78c2f5, "dev_mc_del" },
	{ 0xac3aed11, "dev_uc_del" },
	{ 0x25fa445c, "dev_mc_add_excl" },
	{ 0x242acaa0, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd38f9417, "__netpoll_free" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x5b07bfbb, "vlan_vid_del" },
	{ 0x43fdc4a2, "vlan_vid_add" },
	{ 0x9ef2bfb3, "dev_set_allmulti" },
	{ 0x28f77c50, "dev_set_promiscuity" },
	{ 0x4d0ab035, "dev_uc_unsync" },
	{ 0xea0fd47b, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x803199e5, "netdev_rx_handler_unregister" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb6aa1247, "dev_set_mac_address" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "655CB35379F9C4F79C8DD4D");
