#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0xa1177712, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0xcd4e9a4c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf4f6d6a, "vlan_uses_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x77edf38e, "netdev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5b07bfbb, "vlan_vid_del" },
	{ 0x43fdc4a2, "vlan_vid_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa54101d8, "dev_uc_sync_multiple" },
	{ 0x3a4cec7c, "dev_mc_sync_multiple" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8962e66c, "netdev_pick_tx" },
	{ 0x84aed32, "alloc_etherdev_mqs" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x65810f23, "register_netdev" },
	{ 0x34e9aa36, "netif_carrier_off" },
	{ 0x13ffbfd6, "failover_register" },
	{ 0xba87b279, "_dev_err" },
	{ 0xe050f383, "free_netdev" },
	{ 0xf7a575a8, "unregister_netdev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xffd9b78b, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9f32d30b, "failover_slave_unregister" },
	{ 0x134ce7cb, "failover_unregister" },
	{ 0x72348dfb, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xaddde83f, "__ethtool_get_link_ksettings" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x62e021be, "__dev_queue_xmit" },
	{ 0x52536008, "dev_kfree_skb_any_reason" },
	{ 0x4cdc257, "netdev_core_stats_alloc" },
	{ 0x883396d6, "netif_carrier_on" },
	{ 0x887028ef, "netif_tx_wake_queue" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf5cb1f2c, "netdev_lower_state_changed" },
	{ 0x63e66840, "netif_tx_stop_all_queues" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb3eba243, "vlan_vids_add_by_dev" },
	{ 0x647c924a, "call_netdevice_notifiers" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0x2b090756, "passthru_features_check" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a16021c, "dev_open" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xbafed6e1, "netdev_change_features" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xceed4560, "vlan_vids_del_by_dev" },
	{ 0x4d0ab035, "dev_uc_unsync" },
	{ 0xea0fd47b, "dev_mc_unsync" },
	{ 0xac053f0b, "dev_close" },
	{ 0x8413e5a1, "dev_get_stats" },
	{ 0x8cb329be, "netdev_info" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x19b48676, "dev_set_mtu" },
	{ 0x96253d25, "pci_bus_type" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");
