#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x97edc483, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x8f073bb6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x77edf38e, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x64695fea, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x9dbf8a85, "skb_clone_tx_timestamp" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5feaff81, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x437f4dba, "skb_tstamp_tx" },
	{ 0x4cdc257, "netdev_core_stats_alloc" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xec835715, "skb_copy_ubufs" },
	{ 0x7c550523, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeb93051, "___pskb_trim" },
	{ 0x83b2cfad, "napi_gro_receive" },
	{ 0xfd320196, "napi_complete_done" },
	{ 0xfa2b108b, "bpf_prog_put" },
	{ 0x2abc0fbf, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbad6bd1b, "sock_init_data_uid" },
	{ 0xe30c7db2, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5e151476, "skb_queue_purge_reason" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaa3b93d, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4d201ad6, "xdp_rxq_info_unreg" },
	{ 0xc960f8ab, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfbe17911, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0xef85856, "netif_set_real_num_tx_queues" },
	{ 0x751df9d8, "netif_set_real_num_rx_queues" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x72348dfb, "unregister_netdevice_queue" },
	{ 0x7926cdac, "netdev_state_change" },
	{ 0xe38c12b2, "xdp_do_redirect" },
	{ 0xfd8dbc97, "bpf_warn_invalid_xdp_action" },
	{ 0x72935796, "__tracepoint_xdp_exception" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xf6edc34d, "xdp_return_frame_rx_napi" },
	{ 0xeecc43e, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7d1971c0, "__put_devmap_managed_page_refs" },
	{ 0xebd8c8f7, "__folio_put" },
	{ 0x4519e965, "dump_page" },
	{ 0x39426d08, "build_skb" },
	{ 0xc4fa1323, "skb_put" },
	{ 0x36723686, "skb_set_owner_w" },
	{ 0x526604a3, "consume_skb" },
	{ 0x1cf1271d, "sock_recv_errqueue" },
	{ 0xfa09a518, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb76f871b, "__skb_flow_dissect" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x78dbee3e, "napi_get_frags" },
	{ 0x5032f5f5, "iov_iter_single_seg_count" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x719d3243, "xdp_rxq_info_is_reg" },
	{ 0x8b8bc618, "__xdp_rxq_info_reg" },
	{ 0x68fdada9, "xdp_rxq_info_reg_mem_model" },
	{ 0x66bd0854, "netif_napi_add_weight" },
	{ 0xfba412f1, "napi_enable" },
	{ 0x83e6073e, "lock_sock_nested" },
	{ 0xc8045959, "sk_attach_filter" },
	{ 0xfa01190c, "release_sock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xacb6e46d, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xf924d366, "alloc_netdev_mqs" },
	{ 0xfd3a212b, "ip_tunnel_header_ops" },
	{ 0x987be2c, "register_netdevice" },
	{ 0x887028ef, "netif_tx_wake_queue" },
	{ 0x1f9a80ab, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0xe050f383, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x600b9e20, "get_net_ns" },
	{ 0x2b887677, "open_related_ns" },
	{ 0x2889cb0e, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x42953c57, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x97e098c7, "make_kuid" },
	{ 0x4fbca7e6, "init_user_ns" },
	{ 0x4aacde88, "from_kuid" },
	{ 0x33fdaa2a, "sk_detach_filter" },
	{ 0xe831361b, "netdev_update_features" },
	{ 0xbffda88d, "dev_set_mac_address_user" },
	{ 0x647c924a, "call_netdevice_notifiers" },
	{ 0x312ad3f9, "from_kgid" },
	{ 0x3a77b1bb, "__module_get" },
	{ 0xb9f707bc, "skb_page_frag_refill" },
	{ 0xf5f75b8, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7c758812, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xcb4c48ae, "_copy_from_iter" },
	{ 0xed37d47e, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4335410, "skb_copy_datagram_from_iter" },
	{ 0x762b813f, "eth_type_trans" },
	{ 0x2444e037, "sock_alloc_send_pskb" },
	{ 0xa8d4ec48, "zerocopy_sg_from_iter" },
	{ 0x488aa711, "napi_schedule_prep" },
	{ 0xa094a951, "__napi_schedule" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x81eaeaf, "do_xdp_generic" },
	{ 0xfd255da, "skb_push" },
	{ 0xe8d93bd0, "eth_get_headlen" },
	{ 0x22364555, "napi_gro_frags" },
	{ 0xe275f64b, "iov_iter_revert" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x89a20c52, "__page_frag_cache_drain" },
	{ 0x2b090756, "passthru_features_check" },
	{ 0x7ccd51cf, "eth_mac_addr" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0xf0367979, "ethtool_op_get_ts_info" },
	{ 0x4da09825, "__SCK__tp_func_xdp_exception" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x3f290cb6, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x4ad3a0b1, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8cb329be, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x745f8e4c, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x883396d6, "netif_carrier_on" },
	{ 0x34e9aa36, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe82eed5d, "nla_put" },
	{ 0xfbf92099, "from_kgid_munged" },
	{ 0x8a8bbc69, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x547a87e2, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7b093de1, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x63e66840, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd64ad5cd, "bpf_prog_get_type_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdd0586ed, "rtnl_link_register" },
	{ 0xc4c6e944, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5fe291b7, "rtnl_link_unregister" },
	{ 0xb0c73cae, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4b38d49e, "xdp_return_frame" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x802b27c6, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xfb578fc5, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x46d4a0bc, "skb_copy_datagram_iter" },
	{ 0x37842331, "_copy_to_iter" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x55fe0d3b, "iov_iter_advance" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D5C32AED1E04F3C2E9DA85B");
