#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xab8c8d2a, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xff9a974f, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x38dfc679, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x1fe917ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x17e4ed59, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8ed31a4c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0xe8366f3b, "__nlmsg_put" },
	{ 0xae1a1fc1, "netdev_adjacent_change_commit" },
	{ 0x7ccd51cf, "eth_mac_addr" },
	{ 0xc4fa1323, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfce97b63, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8e88cc85, "ip6_dst_hoplimit" },
	{ 0xf1f1cf0c, "param_ops_ushort" },
	{ 0x526604a3, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x1dbb2a08, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd984a12a, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69e0515, "udp_tunnel6_xmit_skb" },
	{ 0xdd0586ed, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4808024b, "netif_inherit_tso_max" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0xa4a8ed52, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x1508be9, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd7a9bd75, "rtnl_create_link" },
	{ 0x8457e58e, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x72348dfb, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xaa7c4005, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1f9a80ab, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24183647, "udp_tunnel_drop_rx_port" },
	{ 0x58825f1b, "pskb_expand_head" },
	{ 0x32b8ced5, "netdev_upper_dev_link" },
	{ 0x9c2f51cc, "register_pernet_subsys" },
	{ 0x1acf7e47, "dev_addr_mod" },
	{ 0x4cdc257, "netdev_core_stats_alloc" },
	{ 0x762b813f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb16ce7a3, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0x183796d2, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9a6cb810, "eth_gro_complete" },
	{ 0xcaa54985, "rtnl_set_sk_err" },
	{ 0x6606ae09, "eth_gro_receive" },
	{ 0x26a99568, "rtnl_configure_link" },
	{ 0x6e82519d, "skb_tunnel_check_pmtu" },
	{ 0x1aa9abc, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xefa63f2f, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x3051025, "__dev_get_by_index" },
	{ 0x5fe291b7, "rtnl_link_unregister" },
	{ 0x1bbc3e36, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xb92994cb, "ipv6_stub" },
	{ 0x208da2d9, "skb_pull" },
	{ 0xe6ef5b35, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf3b0052c, "dev_get_by_index_rcu" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe75c2265, "gro_cells_receive" },
	{ 0xfd255da, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x79dd9b34, "netdev_upper_dev_unlink" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa73e903, "__rtnl_register_many" },
	{ 0xe050f383, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc3c2876e, "ip_mc_join_group" },
	{ 0xae614cc2, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x83e6073e, "lock_sock_nested" },
	{ 0x7c1ff08, "ethtool_op_get_link" },
	{ 0x4cf60b22, "nexthop_find_by_id" },
	{ 0xcd9842da, "arp_create" },
	{ 0xaddde83f, "__ethtool_get_link_ksettings" },
	{ 0xfd40a3ec, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x230b523f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe2d811c2, "netdev_adjacent_change_abort" },
	{ 0x6145b20a, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x62882fe1, "__iptunnel_pull_header" },
	{ 0xb3ebe183, "__pskb_pull_tail" },
	{ 0x7b093de1, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xffa97ac6, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x712c375a, "setup_udp_tunnel_sock" },
	{ 0x61c591b3, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfe21d3fe, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfe1beb3d, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcd0cf864, "skb_scrub_packet" },
	{ 0x503592fb, "nexthop_select_path" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9f7dcfd2, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7d8bdc69, "dst_cache_get_ip6" },
	{ 0xaca04f79, "neigh_destroy" },
	{ 0x582a6451, "dst_cache_get_ip4" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x6ef3299, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xcbee6188, "dst_cache_set_ip6" },
	{ 0x3cab2366, "rtnl_notify" },
	{ 0x7471f84c, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd156a29f, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x749d5d0d, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x27dd5bf7, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd2ec073f, "dst_release" },
	{ 0xa7d6d1c5, "unregister_nexthop_notifier" },
	{ 0x9ac6e6a3, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x9dea7cc1, "udp_tunnel_notify_del_rx_port" },
	{ 0xdfa64d4f, "register_nexthop_notifier" },
	{ 0xa7b9acdc, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x6bbebb2a, "__rtnl_unregister_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xa5cb24fc, "gro_find_receive_by_type" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x8cb329be, "netdev_info" },
	{ 0x4259eb91, "neigh_lookup" },
	{ 0xfa01190c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x987be2c, "register_netdevice" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "437034C7459B3F3C87B9290");
