#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x9ad256b5, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0xe00991b0, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0xcb82cba3, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0xb957d596, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x43171ac4, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0xc40e87f3, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x9a6d2c20, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x980c6ee5, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x27ef65eb, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0xdb3e4134, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xae4b9d43, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x943fdbbd, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x234535ff, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x69922dc8, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x47eaa88d, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xee19a8cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x664962d, "rt2x00queue_get_entry" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x38105677, "rt2800_process_rxwi" },
	{ 0xdd91e358, "rt2x00lib_beacondone" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xad1cb43, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x6dbc2d75, "rt2800_get_txwi_rxwi_size" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0xe5db010a, "rt2800_disable_wpdma" },
	{ 0xc35ad0db, "rt2800_wait_wpdma_ready" },
	{ 0x998feda4, "rt2800_enable_radio" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6a233608, "rt2800_txdone" },
	{ 0xd679fc91, "rt2800_txdone_nostatus" },
	{ 0x5a0b4d97, "rt2800_txstatus_timeout" },
	{ 0x18960bbd, "rt2800_txstatus_pending" },
	{ 0x9fde9077, "rt2800_probe_hw" },
	{ 0x37a83f0b, "rt2x00lib_pretbtt" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6e8537ce, "rt2x00mmio_rxdone" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "01CE6D4B6D990DC362815EA");
