#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xee9f689e, "");
SYMBOL_CRC(fc_host_post_event, 0xc48da7eb, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xaae181f6, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x6d0f4e70, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x5aa9e518, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x9b447967, "");
SYMBOL_CRC(fc_eh_timed_out, 0xdc176e95, "");
SYMBOL_CRC(fc_attach_transport, 0xb72f5e40, "");
SYMBOL_CRC(fc_release_transport, 0xad57b0fb, "");
SYMBOL_CRC(fc_remove_host, 0x6ccdf4eb, "");
SYMBOL_CRC(fc_remote_port_add, 0x9120483d, "");
SYMBOL_CRC(fc_remote_port_delete, 0x54fde6a9, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x91f3b8a7, "");
SYMBOL_CRC(fc_block_rport, 0xcbde1beb, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x494780d9, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0xec5a40a4, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xcfb3b1b5, "");
SYMBOL_CRC(fc_vport_terminate, 0x888597c6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb578fc5, "memset" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f04bfbb, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xe5a37834, "transport_class_register" },
	{ 0x36d89d2e, "transport_class_unregister" },
	{ 0x6e8e1241, "scsi_nl_sock" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0xe8366f3b, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xc14d8965, "netlink_broadcast" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xb94e07c, "attribute_container_register" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xf140c057, "attribute_container_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xaa4ce572, "scsi_host_put" },
	{ 0x9e124c65, "sysfs_remove_link" },
	{ 0xe160ca07, "transport_remove_device" },
	{ 0x24aeaa3a, "device_del" },
	{ 0xd7005eb6, "transport_destroy_device" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x98331cc, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xab14c066, "scsi_host_get" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0x9b5c95fa, "get_device" },
	{ 0xb96b65b4, "dev_set_name" },
	{ 0xe580d3e2, "transport_setup_device" },
	{ 0x29d7c05a, "device_add" },
	{ 0x5424c112, "transport_add_device" },
	{ 0x32251a0d, "transport_configure_device" },
	{ 0x1be57be8, "bsg_setup_queue" },
	{ 0x163649a2, "__scsi_init_queue" },
	{ 0x107207d6, "blk_queue_rq_timeout" },
	{ 0x6bc0a3e5, "scsi_queue_work" },
	{ 0xba87b279, "_dev_err" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc302abca, "sysfs_create_link" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xbf36ad68, "scsi_flush_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9ece60fa, "scsi_is_host_device" },
	{ 0xd4e3e969, "bsg_remove_queue" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xae433b4c, "scsi_target_unblock" },
	{ 0x38572a59, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x66ad1a89, "scsi_is_target_device" },
	{ 0xe31732b4, "scsi_block_targets" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xfa38e122, "blk_mq_run_hw_queues" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbebc8a88, "bsg_job_done" },
	{ 0x326305be, "bsg_job_get" },
	{ 0xa110580f, "blk_mq_end_request" },
	{ 0xf2d27206, "bsg_job_put" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf6c008d9, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E29DEB5BC1973305DF301E7");
