#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f965577, "set_capacity_and_notify" },
	{ 0x45ac2bfc, "set_disk_ro" },
	{ 0xabb0702c, "scsi_print_sense_hdr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x822ddf2f, "blk_integrity_register" },
	{ 0x6690a06a, "scsi_mode_sense" },
	{ 0x607b4e60, "blk_queue_logical_block_size" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6c3a01e5, "scsi_autopm_put_device" },
	{ 0xb7f4b566, "scsi_device_get" },
	{ 0xb96b65b4, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb8ef891a, "device_add_disk" },
	{ 0x84dde4f4, "device_unregister" },
	{ 0x4c431cfe, "pm_runtime_set_autosuspend_delay" },
	{ 0x9a083c89, "blk_pm_runtime_init" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdd849d51, "scsi_get_sense_info_fld" },
	{ 0x466ad80e, "scsi_get_vpd_page" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0xc43978de, "t10_pi_type1_crc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c6785b7, "block_pr_type_to_scsi" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe643379d, "blk_queue_write_cache" },
	{ 0x98cbb4cd, "scsicam_bios_param" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x82fec0b3, "blk_mq_alloc_disk_for_queue" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x9b5c95fa, "get_device" },
	{ 0xbf2fbbe, "scsi_command_normalize_sense" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xb3d2c76d, "scsi_hostbyte_string" },
	{ 0x2df78d29, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcaa74254, "scsi_device_set_state" },
	{ 0x54c3deb8, "scsi_test_unit_ready" },
	{ 0x8fd26cbc, "scsi_block_when_processing_errors" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1e1ea076, "scsi_register_driver" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x58d634e0, "put_disk" },
	{ 0xf187c2b9, "scsi_ioctl" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd2d54961, "blk_queue_physical_block_size" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0xcbd6ecf6, "blk_queue_flag_set" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xefd1d3f1, "disk_set_zoned" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc3cef853, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5dd68a6c, "scsi_device_put" },
	{ 0x89f1d9d5, "t10_pi_type3_crc" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfdecb2e1, "t10_pi_type3_ip" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x29d7c05a, "device_add" },
	{ 0x48a91171, "string_get_size" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd96d565f, "sdev_prefix_printk" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x3cca9048, "scsi_report_opcode" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0xfce43f74, "driver_unregister" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xaf3dd7dc, "scsi_logging_level" },
	{ 0xc7635d38, "class_unregister" },
	{ 0xfcd57425, "del_gendisk" },
	{ 0xb95c09b2, "blk_queue_max_discard_sectors" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa9ae5fad, "blk_queue_zone_write_granularity" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4e5673d7, "disk_alloc_independent_access_ranges" },
	{ 0xb4b35f14, "scsi_alloc_sgtables" },
	{ 0x2c8f22cf, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd6a30a09, "scsi_print_command" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x11cbc29e, "blk_queue_alignment_offset" },
	{ 0x6fd10848, "blk_queue_max_write_zeroes_sectors" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x26201613, "scmd_printk" },
	{ 0xf4ab541, "scsi_execute_cmd" },
	{ 0x14fdc701, "scsi_free_sgtables" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xc56591f, "disk_set_independent_access_ranges" },
	{ 0x829a8708, "scsi_mode_select" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0xcb8c6726, "disk_check_media_change" },
	{ 0x768b0e7e, "blk_queue_io_min" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x79be1588, "scsi_ioctl_block_when_processing_errors" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe623cbd9, "blkdev_compat_ptr_ioctl" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x872ce181, "t10_pi_type1_ip" },
	{ 0xd587579f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x107207d6, "blk_queue_rq_timeout" },
	{ 0x74bf2e01, "scsi_pr_type_to_block" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x5b318c7c, "scsi_set_medium_removal" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "1606235CF86A18ECB16FCC5");
