#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x32c3b57b, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0x7ab6e1f6, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0x513e41d3, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x405aa321, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0xf8d505ce, "");
SYMBOL_CRC(cdns_read_ping_status, 0x12ad6eaf, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xffad7830, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0x925985e4, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0x53eab582, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0xcf77882f, "");
SYMBOL_CRC(sdw_cdns_init, 0xb5ffbb5a, "");
SYMBOL_CRC(cdns_bus_conf, 0xfde73d07, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x91792b64, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xa1999d63, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xdb0600cd, "");
SYMBOL_CRC(sdw_cdns_probe, 0x29d5c802, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0xe650b77e, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xf751ffe8, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x2a2d8122, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa3da5fa, "sdw_bus_prep_clk_stop" },
	{ 0x65d59ae2, "simple_attr_open" },
	{ 0x48677174, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xad0d48e2, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0x5c56886, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd6d34a9a, "sdw_handle_slave_status" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x65d00a65, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x321dacea, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2e9e89e2, "seq_read" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1adf355d, "single_release" },
	{ 0x10ee46b4, "sdw_bread_no_pm_unlocked" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0xd64d079e, "single_open" },
	{ 0xd9b292f2, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "5682E1637E2AD83D605AFE8");
