#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xc2fead71, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x510659b7, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x6b14ca50, "");
SYMBOL_CRC(sdw_intel_startup, 0x2f6782f4, "");
SYMBOL_CRC(sdw_intel_exit, 0x752c942d, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x0bf06fd6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf77882f, "sdw_cdns_pdi_init" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x65d59ae2, "simple_attr_open" },
	{ 0x48677174, "debugfs_attr_write" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc7417a76, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb5ffbb5a, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdb0600cd, "sdw_cdns_clock_restart" },
	{ 0x513e41d3, "sdw_cdns_debugfs_init" },
	{ 0x17c0a3ca, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0x4c431cfe, "pm_runtime_set_autosuspend_delay" },
	{ 0xb0b1ecbd, "sdw_bus_master_add" },
	{ 0x53eab582, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8ce45042, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x91792b64, "sdw_cdns_is_clock_stop" },
	{ 0x5c56886, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x7ab6e1f6, "sdw_cdns_config_update_set_wait" },
	{ 0xab4f6da9, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf751ffe8, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6cba6a3b, "__pm_runtime_set_status" },
	{ 0xa3641c7b, "auxiliary_driver_unregister" },
	{ 0x67db5611, "devm_snd_soc_register_component" },
	{ 0xfde73d07, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xf6c008d9, "put_device" },
	{ 0xe650b77e, "cdns_set_sdw_stream" },
	{ 0x1094ae9f, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6134d409, "fwnode_property_read_u32_array" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x72e12fc, "sdw_clear_slave_status" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x65d00a65, "debugfs_attr_read" },
	{ 0x192befe2, "sdw_stream_remove_master" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2ef9102e, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x925985e4, "sdw_cdns_exit_reset" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x321dacea, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x10b17c2c, "__auxiliary_device_add" },
	{ 0x2a2d8122, "sdw_cdns_alloc_pdi" },
	{ 0xa1999d63, "sdw_cdns_clock_stop" },
	{ 0x6485add6, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0xf8d505ce, "cdns_xfer_msg_defer" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x405aa321, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf1eb3bd7, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1c159d7b, "devm_kasprintf" },
	{ 0x7a0e1e68, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x2e9e89e2, "seq_read" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0xa244eea1, "sdw_stream_add_master" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12ad6eaf, "cdns_read_ping_status" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x4ad64e54, "acpi_fetch_acpi_dev" },
	{ 0x2f3b3726, "device_get_named_child_node" },
	{ 0x29d5c802, "sdw_cdns_probe" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x32c3b57b, "sdw_cdns_config_update" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2df9a47d, "sdw_bus_master_delete" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1adf355d, "single_release" },
	{ 0x3e7f670f, "__auxiliary_driver_register" },
	{ 0xffad7830, "sdw_cdns_check_self_clearing_bits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xc50680d5, "__pm_runtime_use_autosuspend" },
	{ 0x531473dc, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xd64d079e, "single_open" },
	{ 0xa68feec4, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x725c82cd, "__pm_runtime_disable" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xc5da3105, "sdw_master_read_prop" },
	{ 0xb7fa9463, "sdw_compute_params" },
	{ 0x832629b, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,snd-soc-core,soundwire-generic-allocation,snd-pcm");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "C3131AF40CD08F0153D3ADE");
