#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd7e04d3, "ufshcd_uic_hibern8_exit" },
	{ 0xba87b279, "_dev_err" },
	{ 0xf4b19704, "pci_set_master" },
	{ 0x883dd431, "pcim_iomap_regions" },
	{ 0x5215ca54, "pcim_iomap_table" },
	{ 0x3652bd40, "ufshcd_alloc_host" },
	{ 0x9f06ccd, "ufshcd_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x58d5c4ee, "pm_runtime_allow" },
	{ 0xf42158b9, "pcim_enable_device" },
	{ 0xe04e59b2, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0x7f8e0e8f, "devm_gpiod_get_optional" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe2133270, "gpiod_set_value_cansleep" },
	{ 0x6ee323c5, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xa3a0486e, "debugfs_create_x32" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xeb260c62, "ufshcd_config_pwr_mode" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x832629b, "__pm_runtime_idle" },
	{ 0xc367f508, "ufshcd_suspend_prepare" },
	{ 0xce099c7f, "ufshcd_resume_complete" },
	{ 0x8fae7597, "ufshcd_system_suspend" },
	{ 0x3f44cbac, "ufshcd_runtime_suspend" },
	{ 0x52211124, "ufshcd_runtime_resume" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe5c05ccf, "ufshcd_dme_get_attr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xf05bfb53, "ufshcd_dme_set_attr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x7d245ce1, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x6b09a004, "__pci_register_driver" },
	{ 0x6807085e, "ufshcd_system_resume" },
	{ 0x53b5f6f5, "pm_runtime_forbid" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x6639e5bd, "ufshcd_remove" },
	{ 0x85fca5f8, "ufshcd_dealloc_host" },
	{ 0x25389f6f, "pci_unregister_driver" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "ufshcd-core");

MODULE_ALIAS("pci:v00001B36d00000013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000C00Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DFAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098FAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A847sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007747sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B8A80F2AEC2405FA3489501");
