#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x29c0d8ad, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xdf9c125c, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x7246ca7e, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x02ff90b8, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x75ce7552, "_gpl");
SYMBOL_CRC(dccp_check_req, 0xe6bd86b6, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x40bead59, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x1d441ba6, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x32329e2d, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xcb09a2b9, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x2c714ebd, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x9fb45c0c, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xf4502dc6, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xdc29063d, "_gpl");
SYMBOL_CRC(dccp_connect, 0x333df82e, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xe3baa845, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x737bb584, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x6251447f, "_gpl");
SYMBOL_CRC(dccp_done, 0xa6d147f8, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xd11e5184, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x3937ae96, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xcbc741ae, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x4fc7e467, "_gpl");
SYMBOL_CRC(dccp_poll, 0xe00819e6, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x9ee44af6, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x70a1a99e, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x621c3ba1, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x287f2ee3, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x9073ff34, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x37f8bb38, "_gpl");
SYMBOL_CRC(dccp_close, 0x16ce2d43, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x86d49ddc, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x218714d6, "inet_bhash2_reset_saddr" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0xc4fa1323, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x526604a3, "consume_skb" },
	{ 0x4889af5f, "sock_wmalloc" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x93c4182c, "skb_dequeue" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x100bddf8, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7f537353, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdec68178, "kmem_cache_create" },
	{ 0xa0652270, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbd430a9e, "sk_error_report" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0xa88f8508, "register_net_sysctl_sz" },
	{ 0x2b030200, "inet_sock_destruct" },
	{ 0xd8d3ded3, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x99bb41c1, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2f3c1f85, "sk_reset_timer" },
	{ 0x141ed771, "kmem_cache_alloc" },
	{ 0x27b35c89, "skb_queue_tail" },
	{ 0x13192b39, "sk_stream_wait_close" },
	{ 0x58761097, "inet_twsk_hashdance" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc73a9462, "init_net" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9d44de9f, "ip6_mtu" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xe30c7db2, "sk_free" },
	{ 0xc578c554, "sock_wake_async" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfd255da, "skb_push" },
	{ 0x77f0f892, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x83e6073e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x46d4a0bc, "skb_copy_datagram_iter" },
	{ 0x183f077f, "tcp_stream_memory_free" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe05fc8cd, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xdab02b4d, "sk_wait_data" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3d69c698, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeea8edd1, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5f43b91a, "inet_csk_listen_start" },
	{ 0xb2861dbd, "sk_free_unlock_clone" },
	{ 0x85804aa5, "sock_rfree" },
	{ 0xe9385d1d, "ipv4_mtu" },
	{ 0x36723686, "skb_set_owner_w" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2444e037, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x749d5d0d, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x55fe5f24, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd2ec073f, "dst_release" },
	{ 0x516c854b, "sk_stream_wait_connect" },
	{ 0xcb4c48ae, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf98dfd23, "inet_csk_destroy_sock" },
	{ 0x93d13146, "sk_stop_timer" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xc7d19012, "inet_rtx_syn_ack" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0xe275f64b, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdfc4a168, "inet_csk_listen_stop" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x9cc8800f, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xc758cc6e, "kmem_cache_destroy" },
	{ 0x6f6c2d4c, "inet_csk_complete_hashdance" },
	{ 0xfa01190c, "release_sock" },
	{ 0x46637896, "inet_csk_reqsk_queue_drop" },
	{ 0x38cf780a, "__inet_twsk_schedule" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "68EAB496103FFA5A448BD17");
