#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x3e1da053, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x6835c0c2, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x3f74faea, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x7782c7b4, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x0a86a38a, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xac445f1f, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xd189c44c, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x905d480a, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x84437305, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0xe7bb40ba, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x17a4aabe, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x10cc2184, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x86e1c6ca, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xb789d38c, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x1d6de7de, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x380c36f7, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x00025cd8, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x564365d6, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xdf5e2d7a, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xa0abdf91, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x9b2ad48d, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xff712be0, "_gpl");
SYMBOL_CRC(print_tuple, 0x0ba70977, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x0cf44cb0, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xadbdb2b7, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xc7cd8fe2, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xdee898e0, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xf047d200, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x25172b6b, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x0b131a34, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xad751430, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x0ac95acb, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x92328702, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xd59015f6, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xc3d73e6b, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xad73823d, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x2d07d94e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xc370058b, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xad4459f2, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x34526607, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x5300c33f, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xf974377a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x9dca8810, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x39088a3d, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x84d1353e, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x078e2202, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x1f31248e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xfcb32d5d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x6d5fa0e8, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xe62514c2, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xad18c116, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x70210667, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x7ccda4ad, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x9161072d, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x8f66038c, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x35510b87, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xf3c59154, "_gpl");
SYMBOL_CRC(nf_confirm, 0x7816bbc6, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xd1386f93, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xfb9e129b, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x611832e4, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xf30b8028, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xc1c496d6, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x85675e0c, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x9731a2ba, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x14b4e8ce, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x4823a73d, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xcbf07fd4, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xf5149ca4, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xcf0fe65a, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xac88ea22, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x33676e12, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x5cf62fce, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x04f58865, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x3da1600f, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x9d2e4539, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x0109585b, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x6e504a65, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xa376d315, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x2e3d0f4e, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xb07dc4ac, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x0f9a57b0, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xcc0a9674, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x86fcc159, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x60de7e5a, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xb0640ecd, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x364a321e, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xaa0af5ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf568fe52, "__do_once_done" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd40be227, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x916aee2a, "nf_defrag_ipv4_disable" },
	{ 0xd72a0a3e, "nf_ip6_checksum" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0x300503a2, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdaef5e2e, "nf_register_sockopt" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdf9ccb49, "nfct_btf_struct_access" },
	{ 0x3d030abb, "param_set_uint" },
	{ 0x15182616, "nf_defrag_ipv4_enable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1c9a038a, "nf_ct_frag6_gather" },
	{ 0xc37aa20f, "get_net_ns_by_id" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdec68178, "kmem_cache_create" },
	{ 0x955a99e8, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4426acd, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x9c2f51cc, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xa88f8508, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xbcad9f17, "nf_unregister_sockopt" },
	{ 0x49d0103d, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x97e098c7, "make_kuid" },
	{ 0xc8cc9b2, "nf_defrag_ipv6_disable" },
	{ 0x2289c592, "ipv6_skip_exthdr" },
	{ 0xbcf83f82, "nf_register_net_hooks" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x141ed771, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xfbe17911, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8ac57bba, "nf_checksum" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xc73a9462, "init_net" },
	{ 0x606f508c, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x77f0f892, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x79b16e62, "seq_putc" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x7e7f9b7a, "nf_checksum_partial" },
	{ 0xe090a63f, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8a2ae11b, "nf_unregister_net_hooks" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x83e6073e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x230b523f, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe83bb4f8, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4e0c0de2, "nf_log_packet" },
	{ 0x42953c57, "make_kgid" },
	{ 0xb299362d, "nf_ip_checksum" },
	{ 0x7a052412, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x557ac1e9, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x74aaf381, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x85e6615f, "proc_set_user" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0xa5825d73, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf3afcb68, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xec0677b3, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x24de7432, "seq_puts" },
	{ 0xf8967a57, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x4312c0d0, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x557860d9, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc758cc6e, "kmem_cache_destroy" },
	{ 0xfa01190c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "5EFC91646ADB6A5245684DE");
