#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x827bd4e4, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xf12fa94e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x4d301fe8, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x822597b0, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0xe6564683, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x32a07ff4, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x742f7234, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xa3ce1660, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x426b5252, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xbe4bcf07, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x6abdf670, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9c2f51cc, "register_pernet_subsys" },
	{ 0x7bc11a16, "seq_printf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24de7432, "seq_puts" },
	{ 0x230b523f, "unregister_pernet_subsys" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xbcf83f82, "nf_register_net_hooks" },
	{ 0x8a2ae11b, "nf_unregister_net_hooks" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe090a63f, "skb_ensure_writable" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa5825d73, "inet_proto_csum_replace4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x886063f1, "ip_route_me_harder" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5eef260c, "ip_local_out" },
	{ 0x36d11ea2, "kfree_skb_reason" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xfb578fc5, "memset" },
	{ 0xbcad9dab, "security_skb_classify_flow" },
	{ 0x7fbf65d7, "__nf_ip6_route" },
	{ 0x9f2f43c3, "xfrm_lookup" },
	{ 0xc7aebd26, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbffd231, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf3afcb68, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x3f74faea, "nf_ct_tmpl_alloc" },
	{ 0xc1c496d6, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4426acd, "proc_create_net_data" },
	{ 0x7782c7b4, "nf_ct_tmpl_free" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xc2e5e5bc, "__alloc_skb" },
	{ 0xc4fa1323, "skb_put" },
	{ 0x9731a2ba, "nf_ct_seqadj_init" },
	{ 0x526604a3, "consume_skb" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9f5c6dc2, "__cookie_v6_check" },
	{ 0x2289c592, "ipv6_skip_exthdr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C08FCA955B0BE810F32580E");
