#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x3dbb3759, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x08256523, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x6222bc06, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x8c0e6bad, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xbc63f921, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x39b5c664, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xc7d3f361, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x73edb36a, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x3e78717c, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x9b3a39e4, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x5b396c57, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0xc8d82d0b, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x17e55932, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x5fde3a18, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x1af1a3a6, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0xa3f19b9c, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x035a88b6, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0x3983d367, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x03714f94, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x7a78dec9, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x92d3d650, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xfb00122e, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xdfc2a6e4, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x31e172f3, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x7d341bbb, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x2e6928c8, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x39ab8320, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0xa2194fc5, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x8f00283c, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x39a0b4b2, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x599ca42a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0xa41bd2bf, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xbcdfad70, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0xa46932a0, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x3da0aaff, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x9a613e29, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xefbc0768, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x9b455953, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x74cc88c7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x4c45664d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x6cbe4238, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xd81a8da0, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x311cb2a5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x9fe60c70, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xec13b6d5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xcbbeaf69, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xb1571aef, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xf93c12a1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x237cd5ac, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xe0ae829c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x9ded42fd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x27bc9b97, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x69336a02, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xb7944050, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x3b4e885a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x5d8927c7, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x70d1e745, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xda12f293, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x7735a6ab, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x26e3ac70, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0x87fcb2c5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x12e584b4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x416039c8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xd349ed3f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x6d47d6b0, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x50abd6f8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0xfaa983a9, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x14952211, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x4825502c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xa4475be8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x32c59d80, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xe3bab32b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x82d8bd02, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xa08f6ccf, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x008491c0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0xb706d58e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x81be1324, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x1245fcf3, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xdceaadfc, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xb889b176, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xdad8dc79, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0xb64b218f, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x9b805641, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x96f9b5e2, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xaf6a8764, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x0d004b0a, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x21d610a7, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x053da49d, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x1789085b, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0xd616be7f, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x7746924f, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xbad53e8c, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0x4d2863c1, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x0ec1b565, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd40be227, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x1ebd0f3c, "regcache_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x68cb46ac, "regmap_write" },
	{ 0xb84428e5, "snd_dma_alloc_dir_pages" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xb96b65b4, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x8bd18c77, "component_master_add_with_match" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0xbf9eaedd, "snd_pcm_add_chmap_ctls" },
	{ 0x2e34ec2b, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x41fb5559, "pci_get_device" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0xe94d4ac3, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x10d86899, "pm_runtime_get_if_active" },
	{ 0x24240ea2, "kobject_init" },
	{ 0x2dc95af1, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5e8eccae, "regcache_reg_cached" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe153aa63, "snd_sgbuf_get_addr" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0x3539b5aa, "snd_sgbuf_get_chunk_size" },
	{ 0xdac1562f, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0xc4010d38, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6cba6a3b, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf1132a68, "_dev_info" },
	{ 0xfbe17911, "module_put" },
	{ 0x2b997c00, "component_match_add_typed" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x168db8e3, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xad6f63b8, "kobject_add" },
	{ 0x29d7c05a, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1dc961a, "__devres_alloc_node" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb8490e5, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x43b00aa8, "__regmap_init" },
	{ 0x24aeaa3a, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x31369499, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfe4f6168, "sysfs_remove_group" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x44516831, "component_master_del" },
	{ 0xaa34c931, "regmap_read" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc870a078, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x3a4f0a33, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xba119e4d, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xda354199, "devres_find" },
	{ 0xd1cb0589, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0xde228a2, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xed215e77, "component_unbind_all" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x96253d25, "pci_bus_type" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdd1bcce3, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x4252099b, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "27789244559BDB0B0F6942D");
