#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x185a16be, "");
SYMBOL_CRC(hda_bus_ml_free, 0x821e71b2, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0xb63daac7, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x7df97c20, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0x35be6972, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0x78daa822, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x17c0a3ca, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x0abe1150, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x531473dc, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x3aee0f27, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x7a0e1e68, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x344eaaa6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0xa68feec4, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0xbd4c847c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0xf1eb3bd7, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xd28c9138, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0xced7fbcd, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x0ad41c04, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x20bb6192, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x6485add6, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0x8ce45042, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0xd6760b22, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x2ef9102e, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xff9688d6, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0xb6810828, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xd7903ae9, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x9bf718b0, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xb6027b26, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xd5ad1ac0, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0x04fea026, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0xcba86e35, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0xb7c23e54, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x6df68685, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4ad55da6, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf39aedcd, "snd_hdac_ext_bus_link_power_down" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x504c3ab4, "snd_hdac_ext_bus_link_put" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");
