#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_machine_check, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x136bd119, "");
SYMBOL_CRC(sof_set_fw_state, 0x5ed3874b, "");
SYMBOL_CRC(snd_sof_device_probe, 0x65d3aa09, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x876fdd54, "");
SYMBOL_CRC(snd_sof_device_remove, 0x22ccbd6c, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x8d1398d8, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0x1928397b, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0xb42264bf, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x23f417ea, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0xd8a0640d, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0x1117176e, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0x7793b797, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x495391ca, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x0440addc, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0x58fe8791, "");
SYMBOL_CRC(snd_sof_run_firmware, 0xb4675dc8, "");
SYMBOL_CRC(snd_sof_fw_unload, 0x18df4298, "");
SYMBOL_CRC(sof_ipc_tx_message, 0xd600638c, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0xd34049df, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0xa9b1f128, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0x3a5f7761, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x8f6d7223, "");
SYMBOL_CRC(snd_sof_ipc_init, 0x95ef936e, "");
SYMBOL_CRC(snd_sof_ipc_free, 0xb1a33977, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0x9c6a64a1, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0xa2867cac, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0x730482a8, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0xde6ab4bc, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0xf888fec5, "");
SYMBOL_CRC(snd_sof_resume, 0x52d522b8, "");
SYMBOL_CRC(snd_sof_suspend, 0x5d1ad2f5, "");
SYMBOL_CRC(snd_sof_prepare, 0x11196ca9, "");
SYMBOL_CRC(snd_sof_complete, 0x5e27f9cf, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0xd5ba8e80, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0xbaf71a72, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0xa074e193, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0x9bd7e2b5, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x72a3b9f0, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x1ae855fa, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xf6a0a321, "");
SYMBOL_CRC(snd_sof_load_topology, 0xb8e742e9, "");
SYMBOL_CRC(sof_io_write, 0x28783f47, "");
SYMBOL_CRC(sof_io_read, 0xed729df6, "");
SYMBOL_CRC(sof_io_write64, 0x1fb5f736, "");
SYMBOL_CRC(sof_io_read64, 0x800b7bc7, "");
SYMBOL_CRC(sof_mailbox_write, 0x36eb42b0, "");
SYMBOL_CRC(sof_mailbox_read, 0xc851984e, "");
SYMBOL_CRC(sof_block_write, 0xacf2a779, "");
SYMBOL_CRC(sof_block_read, 0x3a1318e2, "");
SYMBOL_CRC(sof_widget_free, 0x0f5ca6bb, "");
SYMBOL_CRC(sof_widget_setup, 0x77521153, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0xc7b6cbe5, "");
SYMBOL_CRC(sof_dai_get_mclk, 0xc9d4d108, "");
SYMBOL_CRC(sof_dai_get_bclk, 0xd7247dd0, "");
SYMBOL_CRC(sof_machine_check, 0x70807cdc, "");
SYMBOL_CRC(sof_machine_register, 0xbf677e17, "");
SYMBOL_CRC(sof_machine_unregister, 0x92483a11, "");
SYMBOL_CRC(sof_ipc_msg_data, 0xf68f5bda, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0x91219fcc, "");
SYMBOL_CRC(sof_stream_pcm_open, 0xc568a226, "");
SYMBOL_CRC(sof_stream_pcm_close, 0x0384af1a, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0xff74ec9f, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0x09593951, "");
SYMBOL_CRC(sof_client_dev_register, 0x4674d83b, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0x75cf13db, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0xef2a4d2d, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0x3801ff51, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0x166d4034, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0x86142b4f, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0x52b92dc8, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0x48d31145, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0x1f91e161, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0x6b6717b5, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0xea3db78e, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0x59f22c0d, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0x618b0b2a, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x8bc15723, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x3ff474d5, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0x4f1c2631, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0xcdd53be8, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0xe5a8c494, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x6df625a1, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0x697cb0ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf0ec9428, "dpcm_end_walk_at_be" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x2b17d4c7, "snd_soc_dapm_dai_free_widgets" },
	{ 0xd40be227, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb84428e5, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x58470ccb, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc7417a76, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xccd0916d, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x56c015bd, "trace_raw_output_prep" },
	{ 0x4ecf13b0, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd79c950f, "request_firmware" },
	{ 0x6350b44e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x10d86899, "pm_runtime_get_if_active" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x27138f8c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa0200a60, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3b4449b8, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x969c3c6, "snd_sof_create_page_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x80170d1a, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa55b4b82, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaac9b96a, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x362a5566, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0xc4010d38, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x67db5611, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6c008d9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf1132a68, "_dev_info" },
	{ 0x46820b61, "debugfs_file_put" },
	{ 0xfbe17911, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf38a12e4, "intel_nhlt_get_endpoint_blob" },
	{ 0x3f834d9a, "snd_soc_rtdcom_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x80f7566b, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b115fdb, "perf_trace_run_bpf_submit" },
	{ 0x4cda5f4, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xba87b279, "_dev_err" },
	{ 0x20ae13f7, "simple_open" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x85fb464f, "platform_device_unregister" },
	{ 0x10b17c2c, "__auxiliary_device_add" },
	{ 0x820540a5, "widget_in_list" },
	{ 0x9aaa48f0, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xbe0379b9, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1254c394, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x16eb1dcd, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaaaac188, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb016fe83, "bpf_trace_run1" },
	{ 0x24aeaa3a, "device_del" },
	{ 0xb79a433b, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe3b03a6f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xafda4a69, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7bcad692, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa3588188, "snd_ctl_notify_one" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x1c159d7b, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x268c9526, "snd_pcm_hw_constraint_integer" },
	{ 0xda3e9485, "bpf_trace_run3" },
	{ 0x83193f03, "debugfs_create_file" },
	{ 0xc6d78318, "platform_device_register_full" },
	{ 0x33ca8596, "trace_event_buffer_reserve" },
	{ 0x98ec9813, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4477e582, "param_ops_bool" },
	{ 0x89b951f5, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x404aed18, "snd_pcm_period_elapsed" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x11f6037d, "kmalloc_trace" },
	{ 0x4326ebf5, "__pm_runtime_suspend" },
	{ 0xdaf528c9, "snd_pcm_hw_constraint_step" },
	{ 0x4f13398b, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x7c3daa7d, "param_ops_int" },
	{ 0x98331cc, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd34fe6bb, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8b3494ff, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3216db7, "pci_write_config_dword" },
	{ 0x398735a9, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xd18bd60e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,snd-sof-utils,snd-intel-dspcfg,snd");


MODULE_INFO(srcversion, "A22D7B3B07BAFDC070E9419");
